declare module '@sage/x3-stock-data-api-partial' {
    import type {
        BomCodes,
        BomRouting,
        BusinessPartner,
        CommonImage,
        CommonText,
        Container,
        Customer,
        CustomerProduct,
        CustomerProductInput,
        Package as SageX3MasterData$Package,
        Product,
        ProductCategory,
        ProductCategoryStatisticalGroups,
        ProductCategoryStatisticalGroupsBinding,
        ProductCategoryStatisticalGroupsInput,
        ProductPackingUnits,
        ProductPackingUnitsBinding,
        ProductPackingUnitsInput,
        ProductSite,
        ProductSiteInput,
        ProductStatisticalGroups,
        ProductStatisticalGroupsBinding,
        ProductStatisticalGroupsInput,
        ProductVersion,
        ProductVersionInput,
        Supplier,
        SupplierProduct,
        SupplierProductInput,
        TechnicalSheet,
        UnitOfMeasure,
    } from '@sage/x3-master-data-api';
    import type {
        CostType,
        Package as SageX3ProjectManagementData$Package,
        ProjectLink,
    } from '@sage/x3-project-management-data-api';
    import type { Package as SageX3Structure$Package } from '@sage/x3-structure-api';
    import type {
        Access,
        Company,
        GenericPrintReport,
        MiscellaneousTable,
        Package as SageX3System$Package,
        Site,
        User,
    } from '@sage/x3-system-api';
    import type { Package as SageXtremAppMetadata$Package } from '@sage/xtrem-app-metadata-api';
    import type { Package as SageXtremX3SystemUtils$Package, SysUser } from '@sage/xtrem-x3-system-utils-api';
    import type {
        AggregateQueryOperation,
        AggregateReadOperation,
        BinaryStream,
        ClientCollection,
        ClientNode,
        ClientNodeInput,
        GetDefaultsOperation,
        QueryOperation,
        ReadOperation,
        TextStream,
        VitalClientNode,
        VitalClientNodeInput,
        decimal,
        integer,
    } from '@sage/xtrem-client';
    export interface AdcFlowType$Enum {
        issueFlow: 1;
        stockChange: 2;
        containerOperation: 3;
        pickTicket: 4;
    }
    export type AdcFlowType = keyof AdcFlowType$Enum;
    export interface ContainerStatus$Enum {
        free: 1;
        inStock: 2;
    }
    export type ContainerStatus = keyof ContainerStatus$Enum;
    export interface CostSource$Enum {
        entered: 1;
        standardCost: 2;
        revisedStandardCost: 3;
        lastCost: 4;
        historicalAuc: 5;
        fifoCost: 6;
        lotAverageCost: 7;
        orderCost: 8;
        lifoCost: 9;
        lastPurchasePrice: 10;
    }
    export type CostSource = keyof CostSource$Enum;
    export interface DefaultLot$Enum {
        none: 1;
        supplierLot: 2;
        documentNumber: 3;
    }
    export type DefaultLot = keyof DefaultLot$Enum;
    export interface DimensionCostGroup$Enum {
        subtotal1: 1;
        subtotal2: 2;
        subtotal3: 3;
        subtotal4: 4;
        subtotal5: 5;
        subtotal6: 6;
        subtotal7: 7;
        subtotal8: 8;
        subtotal9: 9;
        subtotal10: 10;
        subtotal11: 11;
        subtotal12: 12;
        subtotal13: 13;
        subtotal14: 14;
        subtotal15: 15;
    }
    export type DimensionCostGroup = keyof DimensionCostGroup$Enum;
    export interface EntryTypeEnum$Enum {
        customer: 1;
        salesOrder: 2;
        picking: 3;
        delivery: 4;
        salesInvoice: 5;
        receipt: 6;
        transferInactive: 7;
        supplierReturn: 8;
        count: 9;
        workOrder: 10;
        suggestion: 11;
        productionTracking: 12;
        customerReturn: 13;
        purchaseOrder: 14;
        productionDeclaration: 15;
        miscellaneousStockInactive: 16;
        supplierInvoice: 17;
        salesCredit: 18;
        miscellaneousReceipt: 19;
        miscellaneousIssue: 20;
        locationChangeInactive: 21;
        intersiteTransferInactive: 22;
        intersiteTransferReceiptInactive: 23;
        transferForSubcontractingInactive: 24;
        receiptForSubcontractingInactive: 25;
        returnToStockInactive: 26;
        putawayPlan: 27;
        qualityControl: 28;
        stockChange: 29;
        valueChange: 30;
        assembly: 31;
        disassembly: 32;
        serviceRequest: 33;
        reorderPlan: 34;
        lotModification: 35;
        subcontractOrder: 36;
        trackingWoWo: 37;
        shipment: 38;
        transport: 39;
        project: 40;
    }
    export type EntryTypeEnum = keyof EntryTypeEnum$Enum;
    export interface ExpirationLeadTimeUnits$Enum {
        calendarDays: 1;
        month: 2;
    }
    export type ExpirationLeadTimeUnits = keyof ExpirationLeadTimeUnits$Enum;
    export interface LabelPrinting$Enum {
        noPrint: 1;
        stockLabel: 2;
        substituteValue3: 3;
        transfertDocument: 4;
        analysisDocument: 5;
        createdContainerLabel: 6;
        stockLabelAndCreatedContainerLabel: 7;
    }
    export type LabelPrinting = keyof LabelPrinting$Enum;
    export interface LicensePlateNumberEntry$Enum {
        optional: 1;
        mandatory: 2;
    }
    export type LicensePlateNumberEntry = keyof LicensePlateNumberEntry$Enum;
    export interface LocationCategory$Enum {
        internal: 1;
        dock: 2;
        customer: 3;
        subcontract: 4;
    }
    export type LocationCategory = keyof LocationCategory$Enum;
    export interface LotManagementMode$Enum {
        notManaged: 1;
        optionalLot: 2;
        mandatoryLot: 3;
        lotAndSublot: 4;
    }
    export type LotManagementMode = keyof LotManagementMode$Enum;
    export interface MaterialCostGroup$Enum {
        materialCost1: 1;
        materialCost2: 2;
        materialCost3: 3;
        materialCost4: 4;
        materialCost5: 5;
        materialCost6: 6;
        materialCost7: 7;
        materialCost8: 8;
        materialCost9: 9;
        materialCost10: 10;
        materialCost11: 11;
        materialCost12: 12;
        materialCost13: 13;
        materialCost14: 14;
        materialCost15: 15;
        materialCost16: 16;
        materialCost17: 17;
        materialCost18: 18;
        materialCost19: 19;
        materialCost20: 20;
    }
    export type MaterialCostGroup = keyof MaterialCostGroup$Enum;
    export interface PackingSequence$Enum {
        no: 1;
        free: 2;
        newLot: 3;
    }
    export type PackingSequence = keyof PackingSequence$Enum;
    export interface PrototypeOrActiveVersion$Enum {
        no: 1;
        yesExceptOnHold: 2;
        yes: 3;
    }
    export type PrototypeOrActiveVersion = keyof PrototypeOrActiveVersion$Enum;
    export interface QualityFilter1$Enum {
        statusA: 1;
        statusQ: 2;
        statusAq: 3;
        statusR: 4;
        statusAr: 5;
        statusQr: 6;
        statusAqr: 7;
    }
    export type QualityFilter1 = keyof QualityFilter1$Enum;
    export interface ReorderingManagementMode$Enum {
        notManaged: 1;
        byMrp: 2;
        byMps: 3;
        byRop: 4;
        byPeriod: 5;
    }
    export type ReorderingManagementMode = keyof ReorderingManagementMode$Enum;
    export interface StockSearchFilter$Enum {
        none: 1;
        location: 2;
        lot: 3;
        sublot: 4;
        serial: 5;
        status: 6;
        packingUnit: 7;
        pacStkConversionFactor: 8;
        identifier1: 9;
        identifier2: 10;
        licensePlateNumber: 11;
        customField1: 12;
        customField2: 13;
    }
    export type StockSearchFilter = keyof StockSearchFilter$Enum;
    export interface StockTransactionType$Enum {
        miscellaneousReceipt: 1;
        miscellaneousIssue: 2;
        supplierReceipt: 3;
        customerDelivery: 4;
        workOrderReceipt: 5;
        workOrderIssue: 6;
        locationChange: 7;
        qualityControl: 8;
        statusChange: 9;
        intersiteTransferReceiptNotActive: 10;
        receiptReturn: 11;
        deliveryReturn: 12;
        count: 13;
        intersiteTransfer: 14;
        transferForSubcontractNotActive: 15;
        subcontractReceipt: 16;
        loanDelivery: 17;
        loanDeliveryReturn: 18;
        stockReturn: 19;
        subcontractDelivery: 20;
        resplitting: 21;
        putawayPlan: 22;
        valueChange: 23;
        serviceRequest: 24;
        replenishment: 25;
        stockChange: 26;
        internalTransferIssue: 27;
        internalTransferReceipt: 28;
        subcontractIssue: 29;
        loanReceiptNotActive: 30;
        loanReceiptReturnNotActive: 31;
        subcontractReceiptReturn: 32;
        subcontractDeliveryReturn: 33;
        analysisRequest: 34;
        stockValueAdjustment: 35;
        licensePlateNumberChange: 36;
    }
    export type StockTransactionType = keyof StockTransactionType$Enum;
    export interface StockVersionMode$Enum {
        no: 1;
        major: 2;
        majorAndMinor: 3;
    }
    export type StockVersionMode = keyof StockVersionMode$Enum;
    export interface StorageLocationCode$Enum {
        empty: 1;
        occupied: 2;
        full: 3;
    }
    export type StorageLocationCode = keyof StorageLocationCode$Enum;
    export interface TitleOfLocationForStockManagementRules$Enum {
        v0: 1;
        receipt: 2;
        stock: 3;
        picking: 4;
        workstation: 5;
        delivery: 6;
        store: 7;
        customerReturn: 8;
        returnFromReturn: 9;
        toBeDefined: 10;
        toBeDefined1: 11;
        toBeDefined2: 12;
    }
    export type TitleOfLocationForStockManagementRules = keyof TitleOfLocationForStockManagementRules$Enum;
    export interface TitleOfLocation$Enum {
        receipt: 1;
        stock: 2;
        picking: 3;
        workstation: 4;
        delivery: 5;
        store: 6;
        customerReturn: 7;
        returnFromReturn: 8;
        toBeDefined: 9;
        toBeDefined1: 10;
        toBeDefined2: 11;
    }
    export type TitleOfLocation = keyof TitleOfLocation$Enum;
    export interface TraceabilityLevel$Enum {
        byDefault: 1;
        lot: 2;
        subLot: 3;
        serialNumber: 4;
    }
    export type TraceabilityLevel = keyof TraceabilityLevel$Enum;
    export interface TraceabilityManagementMode$Enum {
        noTraceability: 1;
        detailedTraceability: 2;
        summaryTraceability: 3;
    }
    export type TraceabilityManagementMode = keyof TraceabilityManagementMode$Enum;
    export interface VersionStopped$Enum {
        no: 1;
        noUnlessException: 2;
        yes: 3;
    }
    export type VersionStopped = keyof VersionStopped$Enum;
    export interface LicensePlateNumber extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        stockSite: Site;
        warehouse: Warehouse;
        locationType: string;
        location: Location;
        container: Container;
        isActive: boolean;
        isSingleProduct: boolean;
        isSingleLot: boolean;
        firstDateOfUse: string;
        lastDateOfUse: string;
        masterLicensePlateNumber: LicensePlateNumber;
        status: ContainerStatus;
        isPrinted: boolean;
        documentEntryType: EntryTypeEnum;
        documentEntry: string;
        stock: ClientCollection<Stock>;
    }
    export interface LicensePlateNumberInput extends ClientNodeInput {
        code?: string;
        stockSite?: string;
        warehouse?: string;
        locationType?: string;
        location?: string;
        container?: string;
        isActive?: boolean | string;
        isSingleProduct?: boolean | string;
        isSingleLot?: boolean | string;
        firstDateOfUse?: string;
        lastDateOfUse?: string;
        masterLicensePlateNumber?: string;
        status?: ContainerStatus;
        isPrinted?: boolean | string;
        documentEntryType?: EntryTypeEnum;
        documentEntry?: string;
    }
    export interface LicensePlateNumberBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        stockSite: Site;
        warehouse: Warehouse;
        locationType: string;
        location: Location;
        container: Container;
        isActive: boolean;
        isSingleProduct: boolean;
        isSingleLot: boolean;
        firstDateOfUse: string;
        lastDateOfUse: string;
        masterLicensePlateNumber: LicensePlateNumber;
        status: ContainerStatus;
        isPrinted: boolean;
        documentEntryType: EntryTypeEnum;
        documentEntry: string;
        stock: ClientCollection<Stock>;
    }
    export interface LicensePlateNumber$Lookups {
        stockSite: QueryOperation<Site>;
        warehouse: QueryOperation<Warehouse>;
        location: QueryOperation<Location>;
        container: QueryOperation<Container>;
        masterLicensePlateNumber: QueryOperation<LicensePlateNumber>;
    }
    export interface LicensePlateNumber$Operations {
        query: QueryOperation<LicensePlateNumber>;
        read: ReadOperation<LicensePlateNumber>;
        aggregate: {
            read: AggregateReadOperation<LicensePlateNumber>;
            query: AggregateQueryOperation<LicensePlateNumber>;
        };
        lookups(dataOrId: string | { data: LicensePlateNumberInput }): LicensePlateNumber$Lookups;
        getDefaults: GetDefaultsOperation<LicensePlateNumber>;
    }
    export interface Location extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        code: string;
        warehouse: Warehouse;
        availability: StorageLocationCode;
        type: string;
        category: LocationCategory;
        isSingleProduct: boolean;
        isDedicated: boolean;
        authorizedSubstatus: string;
        isBlocked: boolean;
        isBeingCounted: boolean;
        stock: ClientCollection<Stock>;
    }
    export interface LocationInput extends ClientNodeInput {
        stockSite?: string;
        code?: string;
        warehouse?: string;
        availability?: StorageLocationCode;
        type?: string;
        category?: LocationCategory;
        isSingleProduct?: boolean | string;
        isDedicated?: boolean | string;
        authorizedSubstatus?: string;
        isBlocked?: boolean | string;
        isBeingCounted?: boolean | string;
    }
    export interface LocationBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        code: string;
        warehouse: Warehouse;
        availability: StorageLocationCode;
        type: string;
        category: LocationCategory;
        isSingleProduct: boolean;
        isDedicated: boolean;
        authorizedSubstatus: string;
        isBlocked: boolean;
        isBeingCounted: boolean;
        stock: ClientCollection<Stock>;
    }
    export interface Location$Lookups {
        stockSite: QueryOperation<Site>;
        warehouse: QueryOperation<Warehouse>;
    }
    export interface Location$Operations {
        query: QueryOperation<Location>;
        read: ReadOperation<Location>;
        aggregate: {
            read: AggregateReadOperation<Location>;
            query: AggregateQueryOperation<Location>;
        };
        lookups(dataOrId: string | { data: LocationInput }): Location$Lookups;
        getDefaults: GetDefaultsOperation<Location>;
    }
    export interface Lot extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        product: Product;
        code: string;
        sublot: string;
        documentType: EntryTypeEnum;
        documentId: string;
        documentLine: integer;
        supplierLot: string;
        lotCustomField1: string;
        lotCustomField2: string;
        lotCustomField3: string;
        lotCustomField4: string;
        lotCreationDate: string;
        expirationReferenceDate: string;
        shelfLife: integer;
        expirationDate: string;
        potency: string;
        internationalUnitPotency: string;
        supplier: Supplier;
        expirationTimeUnit: ExpirationLeadTimeUnits;
        recontrolTimeUnit: ExpirationLeadTimeUnits;
        checkLeadTime: integer;
        recontrolDate: string;
        useByDateCoefficient: string;
        useByDate: string;
        controlDate: string;
        majorVersion: MajorVersionStatus;
        minorVersion: string;
        stock: ClientCollection<Stock>;
    }
    export interface LotInput extends ClientNodeInput {
        product?: string;
        code?: string;
        sublot?: string;
        documentType?: EntryTypeEnum;
        documentId?: string;
        documentLine?: integer | string;
        supplierLot?: string;
        lotCustomField1?: string;
        lotCustomField2?: string;
        lotCustomField3?: decimal | string;
        lotCustomField4?: string;
        lotCreationDate?: string;
        expirationReferenceDate?: string;
        shelfLife?: integer | string;
        expirationDate?: string;
        potency?: decimal | string;
        internationalUnitPotency?: decimal | string;
        supplier?: string;
        expirationTimeUnit?: ExpirationLeadTimeUnits;
        recontrolTimeUnit?: ExpirationLeadTimeUnits;
        checkLeadTime?: integer | string;
        recontrolDate?: string;
        useByDateCoefficient?: decimal | string;
        useByDate?: string;
        controlDate?: string;
        majorVersion?: string;
        minorVersion?: string;
    }
    export interface LotBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        product: Product;
        code: string;
        sublot: string;
        documentType: EntryTypeEnum;
        documentId: string;
        documentLine: integer;
        supplierLot: string;
        lotCustomField1: string;
        lotCustomField2: string;
        lotCustomField3: string;
        lotCustomField4: string;
        lotCreationDate: string;
        expirationReferenceDate: string;
        shelfLife: integer;
        expirationDate: string;
        potency: string;
        internationalUnitPotency: string;
        supplier: Supplier;
        expirationTimeUnit: ExpirationLeadTimeUnits;
        recontrolTimeUnit: ExpirationLeadTimeUnits;
        checkLeadTime: integer;
        recontrolDate: string;
        useByDateCoefficient: string;
        useByDate: string;
        controlDate: string;
        majorVersion: MajorVersionStatus;
        minorVersion: string;
        stock: ClientCollection<Stock>;
    }
    export interface Lot$Lookups {
        product: QueryOperation<Product>;
        supplier: QueryOperation<Supplier>;
        majorVersion: QueryOperation<MajorVersionStatus>;
    }
    export interface Lot$Operations {
        query: QueryOperation<Lot>;
        read: ReadOperation<Lot>;
        aggregate: {
            read: AggregateReadOperation<Lot>;
            query: AggregateQueryOperation<Lot>;
        };
        lookups(dataOrId: string | { data: LotInput }): Lot$Lookups;
        getDefaults: GetDefaultsOperation<Lot>;
    }
    export interface LotsSites extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        product: Product;
        lot: string;
        sublot: string;
        storageSite: Site;
        acceptedQuantityAStatus: string;
        qcQStatus: string;
        rejectedQuantityRStatus: string;
        averageCost: string;
        aucBaseQuantity: string;
        aucBaseAmount: string;
        mapSubConCost: string;
        invoicingElement: string;
        mapMaterialOh: string;
        mapMachineOh: string;
        mapLaborOh: string;
        mapSubConOh: string;
        mapSubConCost1: string;
        invoicingElement1: string;
        mapMaterialOh1: string;
        mapMachineOh1: string;
        mapLaborOh1: string;
        mapSubConOh1: string;
        lastReceiptDate: string;
        lastIssueDate: string;
        lastCountDate: string;
        stock: ClientCollection<Stock>;
    }
    export interface LotsSitesInput extends ClientNodeInput {
        product?: string;
        lot?: string;
        sublot?: string;
        storageSite?: string;
        acceptedQuantityAStatus?: decimal | string;
        qcQStatus?: decimal | string;
        rejectedQuantityRStatus?: decimal | string;
        averageCost?: decimal | string;
        aucBaseQuantity?: decimal | string;
        aucBaseAmount?: decimal | string;
        mapSubConCost?: decimal | string;
        invoicingElement?: decimal | string;
        mapMaterialOh?: decimal | string;
        mapMachineOh?: decimal | string;
        mapLaborOh?: decimal | string;
        mapSubConOh?: decimal | string;
        mapSubConCost1?: decimal | string;
        invoicingElement1?: decimal | string;
        mapMaterialOh1?: decimal | string;
        mapMachineOh1?: decimal | string;
        mapLaborOh1?: decimal | string;
        mapSubConOh1?: decimal | string;
        lastReceiptDate?: string;
        lastIssueDate?: string;
        lastCountDate?: string;
        stock?: Partial<StockInput>[];
    }
    export interface LotsSitesBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        product: Product;
        lot: string;
        sublot: string;
        storageSite: Site;
        acceptedQuantityAStatus: string;
        qcQStatus: string;
        rejectedQuantityRStatus: string;
        averageCost: string;
        aucBaseQuantity: string;
        aucBaseAmount: string;
        mapSubConCost: string;
        invoicingElement: string;
        mapMaterialOh: string;
        mapMachineOh: string;
        mapLaborOh: string;
        mapSubConOh: string;
        mapSubConCost1: string;
        invoicingElement1: string;
        mapMaterialOh1: string;
        mapMachineOh1: string;
        mapLaborOh1: string;
        mapSubConOh1: string;
        lastReceiptDate: string;
        lastIssueDate: string;
        lastCountDate: string;
        stock: ClientCollection<Stock>;
    }
    export interface LotsSites$Lookups {
        product: QueryOperation<Product>;
        storageSite: QueryOperation<Site>;
    }
    export interface LotsSites$Operations {
        query: QueryOperation<LotsSites>;
        read: ReadOperation<LotsSites>;
        aggregate: {
            read: AggregateReadOperation<LotsSites>;
            query: AggregateQueryOperation<LotsSites>;
        };
        lookups(dataOrId: string | { data: LotsSitesInput }): LotsSites$Lookups;
        getDefaults: GetDefaultsOperation<LotsSites>;
    }
    export interface MajorVersionStatus extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        product: Product;
        code: string;
        description: string;
        shortDescription: string;
        status: VersionStatus;
        startDate: string;
        endDate: string;
        isSubjectToException: boolean;
        exceptionDate: string;
        isOnHold: boolean;
        minorVersions: ClientCollection<ProductVersion>;
    }
    export interface MajorVersionStatusInput extends ClientNodeInput {
        product?: string;
        code?: string;
        description?: string;
        shortDescription?: string;
        status?: VersionStatus;
        startDate?: string;
        endDate?: string;
        isSubjectToException?: boolean | string;
        exceptionDate?: string;
        isOnHold?: boolean | string;
        minorVersions?: Partial<ProductVersionInput>[];
    }
    export interface MajorVersionStatusBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        product: Product;
        code: string;
        description: string;
        shortDescription: string;
        status: VersionStatus;
        startDate: string;
        endDate: string;
        isSubjectToException: boolean;
        exceptionDate: string;
        isOnHold: boolean;
        minorVersions: ClientCollection<ProductVersion>;
    }
    export interface MajorVersionStatus$Lookups {
        product: QueryOperation<Product>;
    }
    export interface MajorVersionStatus$Operations {
        query: QueryOperation<MajorVersionStatus>;
        read: ReadOperation<MajorVersionStatus>;
        aggregate: {
            read: AggregateReadOperation<MajorVersionStatus>;
            query: AggregateQueryOperation<MajorVersionStatus>;
        };
        lookups(dataOrId: string | { data: MajorVersionStatusInput }): MajorVersionStatus$Lookups;
        getDefaults: GetDefaultsOperation<MajorVersionStatus>;
    }
    export interface MobileSettings extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        flowType: AdcFlowType;
        stockField1: StockSearchFilter;
        stockField2: StockSearchFilter;
        stockField3: StockSearchFilter;
        stockField4: StockSearchFilter;
        stockField5: StockSearchFilter;
        stockField6: StockSearchFilter;
        stockField7: StockSearchFilter;
        stockField8: StockSearchFilter;
    }
    export interface MobileSettingsInput extends ClientNodeInput {
        stockSite?: string;
        flowType?: AdcFlowType;
        stockField1?: StockSearchFilter;
        stockField2?: StockSearchFilter;
        stockField3?: StockSearchFilter;
        stockField4?: StockSearchFilter;
        stockField5?: StockSearchFilter;
        stockField6?: StockSearchFilter;
        stockField7?: StockSearchFilter;
        stockField8?: StockSearchFilter;
    }
    export interface MobileSettingsBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        flowType: AdcFlowType;
        stockField1: StockSearchFilter;
        stockField2: StockSearchFilter;
        stockField3: StockSearchFilter;
        stockField4: StockSearchFilter;
        stockField5: StockSearchFilter;
        stockField6: StockSearchFilter;
        stockField7: StockSearchFilter;
        stockField8: StockSearchFilter;
    }
    export interface MobileSettings$Lookups {
        stockSite: QueryOperation<Site>;
    }
    export interface MobileSettings$Operations {
        query: QueryOperation<MobileSettings>;
        read: ReadOperation<MobileSettings>;
        aggregate: {
            read: AggregateReadOperation<MobileSettings>;
            query: AggregateQueryOperation<MobileSettings>;
        };
        lookups(dataOrId: string | { data: MobileSettingsInput }): MobileSettings$Lookups;
        getDefaults: GetDefaultsOperation<MobileSettings>;
    }
    export interface OverheadFormulaCodes extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        overhead: string;
        trigger: Trigger;
    }
    export interface OverheadFormulaCodesInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        overhead?: string;
        trigger?: Trigger;
    }
    export interface OverheadFormulaCodesBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        overhead: string;
        trigger: Trigger;
    }
    export interface OverheadFormulaCodes$Operations {
        query: QueryOperation<OverheadFormulaCodes>;
        read: ReadOperation<OverheadFormulaCodes>;
        aggregate: {
            read: AggregateReadOperation<OverheadFormulaCodes>;
            query: AggregateQueryOperation<OverheadFormulaCodes>;
        };
        getDefaults: GetDefaultsOperation<OverheadFormulaCodes>;
    }
    export interface Overhead extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        overhead: string;
        localizedDescription: string;
        localizedShortDescription: string;
        formulaCodes: ClientCollection<OverheadFormulaCodes>;
    }
    export interface OverheadInput extends ClientNodeInput {
        overhead?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
        formulaCodes?: Partial<OverheadFormulaCodesInput>[];
    }
    export interface OverheadBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        overhead: string;
        localizedDescription: string;
        localizedShortDescription: string;
        formulaCodes: ClientCollection<OverheadFormulaCodesBinding>;
    }
    export interface Overhead$Operations {
        query: QueryOperation<Overhead>;
        read: ReadOperation<Overhead>;
        aggregate: {
            read: AggregateReadOperation<Overhead>;
            query: AggregateQueryOperation<Overhead>;
        };
        getDefaults: GetDefaultsOperation<Overhead>;
    }
    export interface ProductCategoryDefaultLocations extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        stockSite: string;
        code: string;
        locationNumber: TitleOfLocation;
        defaultLocationType: string;
        defaultLocation: string;
    }
    export interface ProductCategoryDefaultLocationsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        stockSite?: string;
        code?: string;
        locationNumber?: TitleOfLocation;
        defaultLocationType?: string;
        defaultLocation?: string;
    }
    export interface ProductCategoryDefaultLocationsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        stockSite: string;
        code: string;
        locationNumber: TitleOfLocation;
        defaultLocationType: string;
        defaultLocation: string;
    }
    export interface ProductCategoryDefaultLocations$Operations {
        query: QueryOperation<ProductCategoryDefaultLocations>;
        read: ReadOperation<ProductCategoryDefaultLocations>;
        aggregate: {
            read: AggregateReadOperation<ProductCategoryDefaultLocations>;
            query: AggregateQueryOperation<ProductCategoryDefaultLocations>;
        };
        getDefaults: GetDefaultsOperation<ProductCategoryDefaultLocations>;
    }
    export interface ProductCategoryOverheads extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        stockSite: string;
        code: string;
        transactionType: StockTransactionType;
        overhead: Overhead;
        isLowerLevelOverheadIncluded: boolean;
    }
    export interface ProductCategoryOverheadsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        stockSite?: string;
        code?: string;
        transactionType?: StockTransactionType;
        overhead?: string;
        isLowerLevelOverheadIncluded?: boolean | string;
    }
    export interface ProductCategoryOverheadsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        stockSite: string;
        code: string;
        transactionType: StockTransactionType;
        overhead: Overhead;
        isLowerLevelOverheadIncluded: boolean;
    }
    export interface ProductCategoryOverheads$Lookups {
        overhead: QueryOperation<Overhead>;
    }
    export interface ProductCategoryOverheads$Operations {
        query: QueryOperation<ProductCategoryOverheads>;
        read: ReadOperation<ProductCategoryOverheads>;
        aggregate: {
            read: AggregateReadOperation<ProductCategoryOverheads>;
            query: AggregateQueryOperation<ProductCategoryOverheads>;
        };
        lookups(dataOrId: string | { data: ProductCategoryOverheadsInput }): ProductCategoryOverheads$Lookups;
        getDefaults: GetDefaultsOperation<ProductCategoryOverheads>;
    }
    export interface ProductCategoryPackingUnits extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        stockSite: string;
        code: string;
        unit: UnitOfMeasure;
        packingUnitToStockUnitConversionFactor: string;
        isPackingFactorEntryAllowed: boolean;
        issuingPackingRule: UnpackingRulesPac;
        labelFormat: GenericPrintReport;
    }
    export interface ProductCategoryPackingUnitsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        stockSite?: string;
        code?: string;
        unit?: string;
        packingUnitToStockUnitConversionFactor?: decimal | string;
        isPackingFactorEntryAllowed?: boolean | string;
        issuingPackingRule?: UnpackingRulesPac;
        labelFormat?: string;
    }
    export interface ProductCategoryPackingUnitsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        stockSite: string;
        code: string;
        unit: UnitOfMeasure;
        packingUnitToStockUnitConversionFactor: string;
        isPackingFactorEntryAllowed: boolean;
        issuingPackingRule: UnpackingRulesPac;
        labelFormat: GenericPrintReport;
    }
    export interface ProductCategoryPackingUnits$Lookups {
        unit: QueryOperation<UnitOfMeasure>;
        labelFormat: QueryOperation<GenericPrintReport>;
    }
    export interface ProductCategoryPackingUnits$Operations {
        query: QueryOperation<ProductCategoryPackingUnits>;
        read: ReadOperation<ProductCategoryPackingUnits>;
        aggregate: {
            read: AggregateReadOperation<ProductCategoryPackingUnits>;
            query: AggregateQueryOperation<ProductCategoryPackingUnits>;
        };
        lookups(dataOrId: string | { data: ProductCategoryPackingUnitsInput }): ProductCategoryPackingUnits$Lookups;
        getDefaults: GetDefaultsOperation<ProductCategoryPackingUnits>;
    }
    export interface ProductSiteDefaultLocations extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        product: string;
        stockSite: string;
        locationNumber: TitleOfLocation;
        defaultLocationType: string;
        defaultLocation: string;
    }
    export interface ProductSiteDefaultLocationsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        product?: string;
        stockSite?: string;
        locationNumber?: TitleOfLocation;
        defaultLocationType?: string;
        defaultLocation?: string;
    }
    export interface ProductSiteDefaultLocationsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        product: string;
        stockSite: string;
        locationNumber: TitleOfLocation;
        defaultLocationType: string;
        defaultLocation: string;
    }
    export interface ProductSiteDefaultLocations$Operations {
        query: QueryOperation<ProductSiteDefaultLocations>;
        read: ReadOperation<ProductSiteDefaultLocations>;
        aggregate: {
            read: AggregateReadOperation<ProductSiteDefaultLocations>;
            query: AggregateQueryOperation<ProductSiteDefaultLocations>;
        };
        getDefaults: GetDefaultsOperation<ProductSiteDefaultLocations>;
    }
    export interface ProductSiteInternalContainers extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        product: string;
        stockSite: string;
        internalContainer: Container;
    }
    export interface ProductSiteInternalContainersInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        product?: string;
        stockSite?: string;
        internalContainer?: string;
    }
    export interface ProductSiteInternalContainersBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        product: string;
        stockSite: string;
        internalContainer: Container;
    }
    export interface ProductSiteInternalContainers$Lookups {
        internalContainer: QueryOperation<Container>;
    }
    export interface ProductSiteInternalContainers$Operations {
        query: QueryOperation<ProductSiteInternalContainers>;
        read: ReadOperation<ProductSiteInternalContainers>;
        aggregate: {
            read: AggregateReadOperation<ProductSiteInternalContainers>;
            query: AggregateQueryOperation<ProductSiteInternalContainers>;
        };
        lookups(dataOrId: string | { data: ProductSiteInternalContainersInput }): ProductSiteInternalContainers$Lookups;
        getDefaults: GetDefaultsOperation<ProductSiteInternalContainers>;
    }
    export interface SerialNumber extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        product: Product;
        code: string;
        stockSite: Site;
        documentType: EntryTypeEnum;
        documentId: string;
        documentLine: integer;
        receiptDate: string;
        receiptSite: Site;
        receiptDocumentType: EntryTypeEnum;
        receiptDocumentId: string;
        receiptDocumentLine: integer;
        customer: Customer;
        issueDocumentType: EntryTypeEnum;
        issueDocumentId: string;
        issueDocumentLine: integer;
        issueDate: string;
        warrantyEndDate: string;
        stockId: string;
        stockLine: Stock;
    }
    export interface SerialNumberInput extends ClientNodeInput {
        product?: string;
        code?: string;
        stockSite?: string;
        documentType?: EntryTypeEnum;
        documentId?: string;
        documentLine?: integer | string;
        receiptDate?: string;
        receiptSite?: string;
        receiptDocumentType?: EntryTypeEnum;
        receiptDocumentId?: string;
        receiptDocumentLine?: integer | string;
        customer?: string;
        issueDocumentType?: EntryTypeEnum;
        issueDocumentId?: string;
        issueDocumentLine?: integer | string;
        issueDate?: string;
        warrantyEndDate?: string;
        stockId?: decimal | string;
        stockLine?: decimal | string;
    }
    export interface SerialNumberBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        product: Product;
        code: string;
        stockSite: Site;
        documentType: EntryTypeEnum;
        documentId: string;
        documentLine: integer;
        receiptDate: string;
        receiptSite: Site;
        receiptDocumentType: EntryTypeEnum;
        receiptDocumentId: string;
        receiptDocumentLine: integer;
        customer: Customer;
        issueDocumentType: EntryTypeEnum;
        issueDocumentId: string;
        issueDocumentLine: integer;
        issueDate: string;
        warrantyEndDate: string;
        stockId: string;
        stockLine: Stock;
    }
    export interface SerialNumber$Lookups {
        product: QueryOperation<Product>;
        stockSite: QueryOperation<Site>;
        receiptSite: QueryOperation<Site>;
        customer: QueryOperation<Customer>;
        stockLine: QueryOperation<Stock>;
    }
    export interface SerialNumber$Operations {
        query: QueryOperation<SerialNumber>;
        read: ReadOperation<SerialNumber>;
        aggregate: {
            read: AggregateReadOperation<SerialNumber>;
            query: AggregateQueryOperation<SerialNumber>;
        };
        lookups(dataOrId: string | { data: SerialNumberInput }): SerialNumber$Lookups;
        getDefaults: GetDefaultsOperation<SerialNumber>;
    }
    export interface StockJournal extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        isUpdated: boolean;
        product: Product;
        effectiveDate: string;
        sequence: integer;
        index: integer;
        fifoDate: string;
        fifoTime: string;
        fifoTier: string;
        owner: string;
        lot: string;
        sublot: string;
        supplierLot: string;
        location: Location;
        warehouse: Warehouse;
        serialNumber: string;
        transactionType: StockTransactionType;
        stockMovementGroup: MiscellaneousTable;
        movementDescription: string;
        project: ProjectLink;
        businessPartner: BusinessPartner;
        documentType: EntryTypeEnum;
        documentId: string;
        documentLine: integer;
        documentTypeOriginal: EntryTypeEnum;
        documentIdOriginal: string;
        documentLineOriginal: integer;
        documentSequenceOriginal: integer;
        adjustementType: EntryTypeEnum;
        adjustementDocumentId: string;
        adjustementDocumentLineId: integer;
        lotCustomField1: string;
        lotCustomField2: string;
        lotCustomField3: string;
        lotCustomField4: string;
        packingUnit: UnitOfMeasure;
        quantityInPackingUnit: string;
        packingUnitToStockUnitConversionFactor: string;
        quantityInStockUnit: string;
        stockUnit: UnitOfMeasure;
        orginialPackingUnit: UnitOfMeasure;
        originalPackingUnitToStockUnitConversionFactor: string;
        orderAmount: string;
        movementValue: string;
        orderVariance: string;
        movementVariance: string;
        orderCost: string;
        valuedCost: string;
        costSource: CostSource;
        secondaryMovementValue: string;
        secondaryMovementVariance: string;
        secondaryValuedCost: string;
        secondaryCostSource: CostSource;
        isAdjusted: boolean;
        varianceNotAbsorbed: string;
        secondaryVarianceNotAbsorbed: string;
        expirationDate: string;
        status: StockStatus;
        potency: string;
        internationalUnitPotency: string;
        activQuantity: string;
        qualityAnalysisRequestId: string;
        isPrinted: boolean;
        isAdjustedMovement: boolean;
        labelFormat: GenericPrintReport;
        numberOfLabels: integer;
        financialSite: Site;
        hasStockInterfacePosted: boolean;
        hasStockAccountingPosted: boolean;
        hasStockAccountingPostedSecondary: boolean;
        identifier1: string;
        identifier2: string;
        intercompany: boolean;
        useByDate: string;
        recontrolDate: string;
        accountingDate: string;
        majorVersion: MajorVersionStatus;
        minorVersion: string;
        startingSerialNumber: string;
        stockCustomField1: string;
        endingSerialNumber: string;
        stockCustomField2: string;
        licensePlateNumber: LicensePlateNumber;
    }
    export interface StockJournalInput extends ClientNodeInput {
        stockSite?: string;
        isUpdated?: boolean | string;
        product?: string;
        effectiveDate?: string;
        sequence?: integer | string;
        index?: integer | string;
        fifoDate?: string;
        fifoTime?: string;
        fifoTier?: decimal | string;
        owner?: string;
        lot?: string;
        sublot?: string;
        supplierLot?: string;
        location?: string;
        warehouse?: string;
        serialNumber?: string;
        transactionType?: StockTransactionType;
        stockMovementGroup?: string;
        movementDescription?: string;
        project?: string;
        businessPartner?: string;
        documentType?: EntryTypeEnum;
        documentId?: string;
        documentLine?: integer | string;
        documentTypeOriginal?: EntryTypeEnum;
        documentIdOriginal?: string;
        documentLineOriginal?: integer | string;
        documentSequenceOriginal?: integer | string;
        adjustementType?: EntryTypeEnum;
        adjustementDocumentId?: string;
        adjustementDocumentLineId?: integer | string;
        lotCustomField1?: string;
        lotCustomField2?: string;
        lotCustomField3?: decimal | string;
        lotCustomField4?: string;
        packingUnit?: string;
        quantityInPackingUnit?: decimal | string;
        packingUnitToStockUnitConversionFactor?: decimal | string;
        quantityInStockUnit?: decimal | string;
        stockUnit?: string;
        orginialPackingUnit?: string;
        originalPackingUnitToStockUnitConversionFactor?: decimal | string;
        orderAmount?: decimal | string;
        movementValue?: decimal | string;
        orderVariance?: decimal | string;
        movementVariance?: decimal | string;
        orderCost?: decimal | string;
        valuedCost?: decimal | string;
        costSource?: CostSource;
        secondaryMovementValue?: decimal | string;
        secondaryMovementVariance?: decimal | string;
        secondaryValuedCost?: decimal | string;
        secondaryCostSource?: CostSource;
        isAdjusted?: boolean | string;
        varianceNotAbsorbed?: decimal | string;
        secondaryVarianceNotAbsorbed?: decimal | string;
        expirationDate?: string;
        status?: string;
        potency?: decimal | string;
        internationalUnitPotency?: decimal | string;
        activQuantity?: decimal | string;
        qualityAnalysisRequestId?: string;
        isPrinted?: boolean | string;
        isAdjustedMovement?: boolean | string;
        labelFormat?: string;
        numberOfLabels?: integer | string;
        financialSite?: string;
        hasStockInterfacePosted?: boolean | string;
        hasStockAccountingPosted?: boolean | string;
        hasStockAccountingPostedSecondary?: boolean | string;
        identifier1?: string;
        identifier2?: string;
        intercompany?: boolean | string;
        useByDate?: string;
        recontrolDate?: string;
        accountingDate?: string;
        majorVersion?: string;
        minorVersion?: string;
        startingSerialNumber?: string;
        stockCustomField1?: string;
        endingSerialNumber?: string;
        stockCustomField2?: string;
        licensePlateNumber?: string;
    }
    export interface StockJournalBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        isUpdated: boolean;
        product: Product;
        effectiveDate: string;
        sequence: integer;
        index: integer;
        fifoDate: string;
        fifoTime: string;
        fifoTier: string;
        owner: string;
        lot: string;
        sublot: string;
        supplierLot: string;
        location: Location;
        warehouse: Warehouse;
        serialNumber: string;
        transactionType: StockTransactionType;
        stockMovementGroup: MiscellaneousTable;
        movementDescription: string;
        project: ProjectLink;
        businessPartner: BusinessPartner;
        documentType: EntryTypeEnum;
        documentId: string;
        documentLine: integer;
        documentTypeOriginal: EntryTypeEnum;
        documentIdOriginal: string;
        documentLineOriginal: integer;
        documentSequenceOriginal: integer;
        adjustementType: EntryTypeEnum;
        adjustementDocumentId: string;
        adjustementDocumentLineId: integer;
        lotCustomField1: string;
        lotCustomField2: string;
        lotCustomField3: string;
        lotCustomField4: string;
        packingUnit: UnitOfMeasure;
        quantityInPackingUnit: string;
        packingUnitToStockUnitConversionFactor: string;
        quantityInStockUnit: string;
        stockUnit: UnitOfMeasure;
        orginialPackingUnit: UnitOfMeasure;
        originalPackingUnitToStockUnitConversionFactor: string;
        orderAmount: string;
        movementValue: string;
        orderVariance: string;
        movementVariance: string;
        orderCost: string;
        valuedCost: string;
        costSource: CostSource;
        secondaryMovementValue: string;
        secondaryMovementVariance: string;
        secondaryValuedCost: string;
        secondaryCostSource: CostSource;
        isAdjusted: boolean;
        varianceNotAbsorbed: string;
        secondaryVarianceNotAbsorbed: string;
        expirationDate: string;
        status: StockStatus;
        potency: string;
        internationalUnitPotency: string;
        activQuantity: string;
        qualityAnalysisRequestId: string;
        isPrinted: boolean;
        isAdjustedMovement: boolean;
        labelFormat: GenericPrintReport;
        numberOfLabels: integer;
        financialSite: Site;
        hasStockInterfacePosted: boolean;
        hasStockAccountingPosted: boolean;
        hasStockAccountingPostedSecondary: boolean;
        identifier1: string;
        identifier2: string;
        intercompany: boolean;
        useByDate: string;
        recontrolDate: string;
        accountingDate: string;
        majorVersion: MajorVersionStatus;
        minorVersion: string;
        startingSerialNumber: string;
        stockCustomField1: string;
        endingSerialNumber: string;
        stockCustomField2: string;
        licensePlateNumber: LicensePlateNumber;
    }
    export interface StockJournal$Lookups {
        stockSite: QueryOperation<Site>;
        product: QueryOperation<Product>;
        location: QueryOperation<Location>;
        warehouse: QueryOperation<Warehouse>;
        stockMovementGroup: QueryOperation<MiscellaneousTable>;
        project: QueryOperation<ProjectLink>;
        businessPartner: QueryOperation<BusinessPartner>;
        packingUnit: QueryOperation<UnitOfMeasure>;
        stockUnit: QueryOperation<UnitOfMeasure>;
        orginialPackingUnit: QueryOperation<UnitOfMeasure>;
        status: QueryOperation<StockStatus>;
        labelFormat: QueryOperation<GenericPrintReport>;
        financialSite: QueryOperation<Site>;
        majorVersion: QueryOperation<MajorVersionStatus>;
        licensePlateNumber: QueryOperation<LicensePlateNumber>;
    }
    export interface StockJournal$Operations {
        query: QueryOperation<StockJournal>;
        read: ReadOperation<StockJournal>;
        aggregate: {
            read: AggregateReadOperation<StockJournal>;
            query: AggregateQueryOperation<StockJournal>;
        };
        lookups(dataOrId: string | { data: StockJournalInput }): StockJournal$Lookups;
        getDefaults: GetDefaultsOperation<StockJournal>;
    }
    export interface StockManagementRules extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        productCategory: ProductCategory;
        stockSite: Site;
        transactionType: StockTransactionType;
        stockMovementCode: MiscellaneousTable;
        locationNumber: TitleOfLocationForStockManagementRules;
        locationNumber2: TitleOfLocationForStockManagementRules;
        locationNumber3: TitleOfLocationForStockManagementRules;
        authorizedStatus: QualityFilter1;
        authorizedSubstatus: string;
        defaultStatus: string;
        formula: string;
        hasAnalysisRequest: boolean;
        lotEntry: PackingSequence;
        lotByDefault: DefaultLot;
        outputLot: LotIssueExpirationUbd;
        prototypeVersion: PrototypeOrActiveVersion;
        activeVersion: PrototypeOrActiveVersion;
        versionStopped: VersionStopped;
        isExclusiveEntryVersion: boolean;
        licensePlateNumberEntry: LicensePlateNumberEntry;
    }
    export interface StockManagementRulesInput extends ClientNodeInput {
        productCategory?: string;
        stockSite?: string;
        transactionType?: StockTransactionType;
        stockMovementCode?: string;
        locationNumber?: TitleOfLocationForStockManagementRules;
        locationNumber2?: TitleOfLocationForStockManagementRules;
        locationNumber3?: TitleOfLocationForStockManagementRules;
        authorizedStatus?: QualityFilter1;
        authorizedSubstatus?: string;
        defaultStatus?: string;
        formula?: string;
        hasAnalysisRequest?: boolean | string;
        lotEntry?: PackingSequence;
        lotByDefault?: DefaultLot;
        outputLot?: LotIssueExpirationUbd;
        prototypeVersion?: PrototypeOrActiveVersion;
        activeVersion?: PrototypeOrActiveVersion;
        versionStopped?: VersionStopped;
        isExclusiveEntryVersion?: boolean | string;
        licensePlateNumberEntry?: LicensePlateNumberEntry;
    }
    export interface StockManagementRulesBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        productCategory: ProductCategory;
        stockSite: Site;
        transactionType: StockTransactionType;
        stockMovementCode: MiscellaneousTable;
        locationNumber: TitleOfLocationForStockManagementRules;
        locationNumber2: TitleOfLocationForStockManagementRules;
        locationNumber3: TitleOfLocationForStockManagementRules;
        authorizedStatus: QualityFilter1;
        authorizedSubstatus: string;
        defaultStatus: string;
        formula: string;
        hasAnalysisRequest: boolean;
        lotEntry: PackingSequence;
        lotByDefault: DefaultLot;
        outputLot: LotIssueExpirationUbd;
        prototypeVersion: PrototypeOrActiveVersion;
        activeVersion: PrototypeOrActiveVersion;
        versionStopped: VersionStopped;
        isExclusiveEntryVersion: boolean;
        licensePlateNumberEntry: LicensePlateNumberEntry;
    }
    export interface StockManagementRules$Lookups {
        productCategory: QueryOperation<ProductCategory>;
        stockSite: QueryOperation<Site>;
        stockMovementCode: QueryOperation<MiscellaneousTable>;
    }
    export interface StockManagementRules$Operations {
        query: QueryOperation<StockManagementRules>;
        read: ReadOperation<StockManagementRules>;
        aggregate: {
            read: AggregateReadOperation<StockManagementRules>;
            query: AggregateQueryOperation<StockManagementRules>;
        };
        lookups(dataOrId: string | { data: StockManagementRulesInput }): StockManagementRules$Lookups;
        getDefaults: GetDefaultsOperation<StockManagementRules>;
    }
    export interface StockStatus extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        description: string;
        localizedDescription: string;
        shortDescription: string;
        localizedShortDescription: string;
        expiredQStatus: StockStatus;
        expiredRStatus: StockStatus;
    }
    export interface StockStatusInput extends ClientNodeInput {
        code?: string;
        description?: string;
        localizedDescription?: string;
        shortDescription?: string;
        localizedShortDescription?: string;
        expiredQStatus?: string;
        expiredRStatus?: string;
    }
    export interface StockStatusBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        description: string;
        localizedDescription: string;
        shortDescription: string;
        localizedShortDescription: string;
        expiredQStatus: StockStatus;
        expiredRStatus: StockStatus;
    }
    export interface StockStatus$Lookups {
        expiredQStatus: QueryOperation<StockStatus>;
        expiredRStatus: QueryOperation<StockStatus>;
    }
    export interface StockStatus$Operations {
        query: QueryOperation<StockStatus>;
        read: ReadOperation<StockStatus>;
        aggregate: {
            read: AggregateReadOperation<StockStatus>;
            query: AggregateQueryOperation<StockStatus>;
        };
        lookups(dataOrId: string | { data: StockStatusInput }): StockStatus$Lookups;
        getDefaults: GetDefaultsOperation<StockStatus>;
    }
    export interface Stock extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        stockId: string;
        owner: string;
        product: ProductSite;
        lot: string;
        sublot: string;
        supplierLot: string;
        identifier1: string;
        identifier2: string;
        status: StockStatus;
        location: Location;
        locationType: string;
        locationCategory: LocationCategory;
        warehouse: Warehouse;
        serialNumber: string;
        receiptDate: string;
        packingUnit: UnitOfMeasure;
        packingUnitToStockUnitConversionFactor: string;
        quantityInPackingUnit: string;
        quantityInStockUnit: string;
        activeQuantityInStockUnit: string;
        originalPackingUnit: UnitOfMeasure;
        originalQuantityInPackingUnit: string;
        originalQuantityInStockUnit: string;
        qualityAnalysisRequestId: string;
        allocatedQuantity: string;
        allocatedActiveQuantity: string;
        inProcessQuantity: string;
        inProcessActiveQuantity: string;
        editedFlag: integer;
        lastReceiptDate: string;
        lastIssueDate: string;
        lastCountDate: string;
        isBeingCounted: boolean;
        countWorksheet: string;
        majorVersion: MajorVersionStatus;
        stockCustomField1: string;
        stockCustomField2: string;
        project: ProjectLink;
        licensePlateNumber: LicensePlateNumber;
        productCollection: ClientCollection<Product>;
        lotReference: Lot;
        availableQuantity: string;
    }
    export interface StockInput extends ClientNodeInput {
        stockSite?: string;
        stockId?: decimal | string;
        owner?: string;
        product?: string;
        lot?: string;
        sublot?: string;
        supplierLot?: string;
        identifier1?: string;
        identifier2?: string;
        status?: string;
        location?: string;
        locationType?: string;
        locationCategory?: LocationCategory;
        warehouse?: string;
        serialNumber?: string;
        receiptDate?: string;
        packingUnit?: string;
        packingUnitToStockUnitConversionFactor?: decimal | string;
        quantityInPackingUnit?: decimal | string;
        quantityInStockUnit?: decimal | string;
        activeQuantityInStockUnit?: decimal | string;
        originalPackingUnit?: string;
        originalQuantityInPackingUnit?: decimal | string;
        originalQuantityInStockUnit?: decimal | string;
        qualityAnalysisRequestId?: string;
        allocatedQuantity?: decimal | string;
        allocatedActiveQuantity?: decimal | string;
        inProcessQuantity?: decimal | string;
        inProcessActiveQuantity?: decimal | string;
        editedFlag?: integer | string;
        lastReceiptDate?: string;
        lastIssueDate?: string;
        lastCountDate?: string;
        isBeingCounted?: boolean | string;
        countWorksheet?: string;
        majorVersion?: string;
        stockCustomField1?: string;
        stockCustomField2?: string;
        project?: string;
        licensePlateNumber?: string;
        lotReference?: string;
    }
    export interface StockBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        stockId: string;
        owner: string;
        product: ProductSite;
        lot: string;
        sublot: string;
        supplierLot: string;
        identifier1: string;
        identifier2: string;
        status: StockStatus;
        location: Location;
        locationType: string;
        locationCategory: LocationCategory;
        warehouse: Warehouse;
        serialNumber: string;
        receiptDate: string;
        packingUnit: UnitOfMeasure;
        packingUnitToStockUnitConversionFactor: string;
        quantityInPackingUnit: string;
        quantityInStockUnit: string;
        activeQuantityInStockUnit: string;
        originalPackingUnit: UnitOfMeasure;
        originalQuantityInPackingUnit: string;
        originalQuantityInStockUnit: string;
        qualityAnalysisRequestId: string;
        allocatedQuantity: string;
        allocatedActiveQuantity: string;
        inProcessQuantity: string;
        inProcessActiveQuantity: string;
        editedFlag: integer;
        lastReceiptDate: string;
        lastIssueDate: string;
        lastCountDate: string;
        isBeingCounted: boolean;
        countWorksheet: string;
        majorVersion: MajorVersionStatus;
        stockCustomField1: string;
        stockCustomField2: string;
        project: ProjectLink;
        licensePlateNumber: LicensePlateNumber;
        productCollection: ClientCollection<Product>;
        lotReference: Lot;
        availableQuantity: string;
    }
    export interface Stock$Lookups {
        stockSite: QueryOperation<Site>;
        product: QueryOperation<ProductSite>;
        status: QueryOperation<StockStatus>;
        location: QueryOperation<Location>;
        warehouse: QueryOperation<Warehouse>;
        packingUnit: QueryOperation<UnitOfMeasure>;
        originalPackingUnit: QueryOperation<UnitOfMeasure>;
        majorVersion: QueryOperation<MajorVersionStatus>;
        project: QueryOperation<ProjectLink>;
        licensePlateNumber: QueryOperation<LicensePlateNumber>;
        lotReference: QueryOperation<Lot>;
    }
    export interface Stock$Operations {
        query: QueryOperation<Stock>;
        read: ReadOperation<Stock>;
        aggregate: {
            read: AggregateReadOperation<Stock>;
            query: AggregateQueryOperation<Stock>;
        };
        lookups(dataOrId: string | { data: StockInput }): Stock$Lookups;
        getDefaults: GetDefaultsOperation<Stock>;
    }
    export interface Warehouse extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        description: string;
        shortDescription: string;
        stockSite: Site;
    }
    export interface WarehouseInput extends ClientNodeInput {
        code?: string;
        description?: string;
        shortDescription?: string;
        stockSite?: string;
    }
    export interface WarehouseBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        description: string;
        shortDescription: string;
        stockSite: Site;
    }
    export interface Warehouse$Lookups {
        stockSite: QueryOperation<Site>;
    }
    export interface Warehouse$Operations {
        query: QueryOperation<Warehouse>;
        read: ReadOperation<Warehouse>;
        aggregate: {
            read: AggregateReadOperation<Warehouse>;
            query: AggregateQueryOperation<Warehouse>;
        };
        lookups(dataOrId: string | { data: WarehouseInput }): Warehouse$Lookups;
        getDefaults: GetDefaultsOperation<Warehouse>;
    }
    export interface ProductCategoryExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        code: string;
        description: string;
        localizedDescription: string;
        shortDescription: string;
        localizedShortDescription: string;
        isSold: boolean;
        productSequenceNumber: string;
        creationMethod: ProductCreationMode;
        qualityControlManagementMode: SubjectToControl;
        qualityControlAccessCode: string;
        stockUnit: UnitOfMeasure;
        purchaseUnit: UnitOfMeasure;
        salesUnit: UnitOfMeasure;
        statisticUnit: UnitOfMeasure;
        euUnit: UnitOfMeasure;
        purchaseUnitToStockUnitConversionFactor: string;
        salesUnitToStockUnitConversionFactor: string;
        statisticalUnitToStockUnitConversionFactor: string;
        euUnitToStockUnitConversionFactor: string;
        isPurchaseConversionFactorEntryAllowed: boolean;
        isSalesConversionFactorEntryAllowed: boolean;
        weightUnit: UnitOfMeasure;
        stockUnitWeight: string;
        volumeUnit: UnitOfMeasure;
        stockUnitVolume: string;
        labelFormatForStockUnit: GenericPrintReport;
        stockManagementMode: StockManagement;
        managementMode: StandardProductCode;
        isNegativeStockAuthorized: boolean;
        lotSequenceNumber: string;
        serialNumberManagementMode: SerialNumberManagement;
        serialSequenceNumber: string;
        valuationMethod: string;
        expirationManagementMode: ExpirationManagement;
        expirationStockStatus: string;
        userAccessCode: string;
        purchasingPlanningHorizonTimeUnit: LeadTimeUnit;
        purchasingPlanningHorizon: integer;
        purchasingFirmHorizon: integer;
        purchasingFirmHorizonTimeUnit: LeadTimeUnit;
        reorderLeadTime: string;
        buyer: User;
        planner: User;
        purchaseDeliveryTolerance: string;
        isReceived: boolean;
        isMandatoryPurchaseOrderRequest: boolean;
        landedCostCoefficient: string;
        fixedLandedCostPerUnit: string;
        salesPriceOrigin: PriceOrigin;
        percentagePricePurchaseApplied: string;
        configuratorProductLine: string;
        isLocationManaged: boolean;
        salesOrderAllocationRule: string;
        workOrderAllocationRule: string;
        shipmentAllocationRule: string;
        materialConsumptionAllocationRule: string;
        transferAllocationRule: string;
        subcontractReplenishmentAllocationRule: string;
        subcontractConsumptionAllocationRule: string;
        afterSalesAllocationRule: string;
        isStatusAAuthorizedInGlobalAllocation: boolean;
        isStatusQAuthorizedInGlobalAllocation: boolean;
        isStatusRAuthorizedInGlobalAllocation: boolean;
        abcClass: ProductAbcClass;
        stockWithdrawalMode: StockWithdrawal;
        countManagementMode: Count;
        trendProfile: string;
        shrinkagePercent: string;
        planningFirmHorizon: integer;
        planningFirmHorizonTimeUnit: LeadTimeUnit;
        planningRequestHorizon: integer;
        planningRequestHorizonTimeUnit: LeadTimeUnit;
        reorderingPeriodicity: integer;
        reorderingSuggestionType: SuggestionType;
        reorderingSite: Site;
        reorderingPolicy: string;
        stockCoverageInWeeks: integer;
        safetyStock: string;
        reorderingThreshold: string;
        reorderingMaximumStock: string;
        economicOrderQuantity: string;
        technicalLotQuantity: string;
        standardCostUpdate: PriceUpdateMode;
        revisedStandardCostUpdate: PriceUpdateMode;
        budgetStandardCostUpdate: PriceUpdateMode;
        simulatedCostUpdate: PriceUpdateMode;
        isReleasedIfShortage: boolean;
        automaticClosingPercentage: string;
        salesDeliveryTolerance: string;
        salesMinimumQuantity: string;
        salesMaximumQuantity: string;
        isLoanAuthorized: boolean;
        isBackToBackOrderManaged: boolean;
        directBackToBackOrderQuantity: string;
        isPurchased: boolean;
        isManufactured: boolean;
        isSubcontracted: boolean;
        isService: boolean;
        isPhantom: boolean;
        isGeneric: boolean;
        isTool: boolean;
        isDeliverable: boolean;
        isIntermediary: boolean;
        isMaintenance: boolean;
        packagingCapacity: string;
        assignmentRules: string;
        isStockDetailedInPacking: boolean;
        technicalSheet: TechnicalSheet;
        orderWarehouse: string;
        workOrderWarehouse: string;
        shippingWarehouse: string;
        materialConsumptionWarehouse: string;
        internalMovementWarehouse: string;
        subcontractShipmentWarehouse: string;
        subcontractConsumptionWarehouse: string;
        afterSalesWarehouse: string;
        canBeCapitalized: boolean;
        isPackingManaged: boolean;
        sageSalesTax: MiscellaneousTable;
        saftProductType: SafTProductType;
        freightClass: string;
        freightCommodityCode: string;
        isVersionManaged: boolean;
        minorVersionSequence: string;
        majorVersionSequence: string;
        isVersionPreloaded: boolean;
        inventoryProductType: ProductType;
        containerManagement: boolean;
        statisticalGroups: ClientCollection<ProductCategoryStatisticalGroups>;
        costType: CostType;
        lotManagementMode: LotManagementMode;
        traceabilityManagementMode: TraceabilityManagementMode;
        traceabilityLevel: TraceabilityLevel;
        materialCostGroup: MaterialCostGroup;
        reorderingManagementMode: ReorderingManagementMode;
        stockVersionMode: StockVersionMode;
        stockManagementRules: ClientCollection<StockManagementRules>;
        defaultLocations: ClientCollection<ProductCategoryDefaultLocations>;
        overheads: ClientCollection<ProductCategoryOverheads>;
        packingUnits: ClientCollection<ProductCategoryPackingUnits>;
    }
    export interface ProductCategoryInputExtension {
        stockSite?: string;
        code?: string;
        description?: string;
        localizedDescription?: string;
        shortDescription?: string;
        localizedShortDescription?: string;
        isSold?: boolean | string;
        productSequenceNumber?: string;
        creationMethod?: ProductCreationMode;
        qualityControlManagementMode?: SubjectToControl;
        qualityControlAccessCode?: string;
        stockUnit?: string;
        purchaseUnit?: string;
        salesUnit?: string;
        statisticUnit?: string;
        euUnit?: string;
        purchaseUnitToStockUnitConversionFactor?: decimal | string;
        salesUnitToStockUnitConversionFactor?: decimal | string;
        statisticalUnitToStockUnitConversionFactor?: decimal | string;
        euUnitToStockUnitConversionFactor?: decimal | string;
        isPurchaseConversionFactorEntryAllowed?: boolean | string;
        isSalesConversionFactorEntryAllowed?: boolean | string;
        weightUnit?: string;
        stockUnitWeight?: decimal | string;
        volumeUnit?: string;
        stockUnitVolume?: decimal | string;
        labelFormatForStockUnit?: string;
        stockManagementMode?: StockManagement;
        managementMode?: StandardProductCode;
        isNegativeStockAuthorized?: boolean | string;
        lotSequenceNumber?: string;
        serialNumberManagementMode?: SerialNumberManagement;
        serialSequenceNumber?: string;
        valuationMethod?: string;
        expirationManagementMode?: ExpirationManagement;
        expirationStockStatus?: string;
        userAccessCode?: string;
        purchasingPlanningHorizonTimeUnit?: LeadTimeUnit;
        purchasingPlanningHorizon?: integer | string;
        purchasingFirmHorizon?: integer | string;
        purchasingFirmHorizonTimeUnit?: LeadTimeUnit;
        reorderLeadTime?: decimal | string;
        buyer?: string;
        planner?: string;
        purchaseDeliveryTolerance?: decimal | string;
        isReceived?: boolean | string;
        isMandatoryPurchaseOrderRequest?: boolean | string;
        landedCostCoefficient?: decimal | string;
        fixedLandedCostPerUnit?: decimal | string;
        salesPriceOrigin?: PriceOrigin;
        percentagePricePurchaseApplied?: decimal | string;
        configuratorProductLine?: string;
        isLocationManaged?: boolean | string;
        salesOrderAllocationRule?: string;
        workOrderAllocationRule?: string;
        shipmentAllocationRule?: string;
        materialConsumptionAllocationRule?: string;
        transferAllocationRule?: string;
        subcontractReplenishmentAllocationRule?: string;
        subcontractConsumptionAllocationRule?: string;
        afterSalesAllocationRule?: string;
        isStatusAAuthorizedInGlobalAllocation?: boolean | string;
        isStatusQAuthorizedInGlobalAllocation?: boolean | string;
        isStatusRAuthorizedInGlobalAllocation?: boolean | string;
        abcClass?: ProductAbcClass;
        stockWithdrawalMode?: StockWithdrawal;
        countManagementMode?: Count;
        trendProfile?: string;
        shrinkagePercent?: decimal | string;
        planningFirmHorizon?: integer | string;
        planningFirmHorizonTimeUnit?: LeadTimeUnit;
        planningRequestHorizon?: integer | string;
        planningRequestHorizonTimeUnit?: LeadTimeUnit;
        reorderingPeriodicity?: integer | string;
        reorderingSuggestionType?: SuggestionType;
        reorderingSite?: string;
        reorderingPolicy?: string;
        stockCoverageInWeeks?: integer | string;
        safetyStock?: decimal | string;
        reorderingThreshold?: decimal | string;
        reorderingMaximumStock?: decimal | string;
        economicOrderQuantity?: decimal | string;
        technicalLotQuantity?: decimal | string;
        standardCostUpdate?: PriceUpdateMode;
        revisedStandardCostUpdate?: PriceUpdateMode;
        budgetStandardCostUpdate?: PriceUpdateMode;
        simulatedCostUpdate?: PriceUpdateMode;
        isReleasedIfShortage?: boolean | string;
        automaticClosingPercentage?: decimal | string;
        salesDeliveryTolerance?: decimal | string;
        salesMinimumQuantity?: decimal | string;
        salesMaximumQuantity?: decimal | string;
        isLoanAuthorized?: boolean | string;
        isBackToBackOrderManaged?: boolean | string;
        directBackToBackOrderQuantity?: decimal | string;
        isPurchased?: boolean | string;
        isManufactured?: boolean | string;
        isSubcontracted?: boolean | string;
        isService?: boolean | string;
        isPhantom?: boolean | string;
        isGeneric?: boolean | string;
        isTool?: boolean | string;
        isDeliverable?: boolean | string;
        isIntermediary?: boolean | string;
        isMaintenance?: boolean | string;
        packagingCapacity?: decimal | string;
        assignmentRules?: string;
        isStockDetailedInPacking?: boolean | string;
        technicalSheet?: string;
        orderWarehouse?: string;
        workOrderWarehouse?: string;
        shippingWarehouse?: string;
        materialConsumptionWarehouse?: string;
        internalMovementWarehouse?: string;
        subcontractShipmentWarehouse?: string;
        subcontractConsumptionWarehouse?: string;
        afterSalesWarehouse?: string;
        canBeCapitalized?: boolean | string;
        isPackingManaged?: boolean | string;
        sageSalesTax?: string;
        saftProductType?: SafTProductType;
        freightClass?: string;
        freightCommodityCode?: string;
        isVersionManaged?: boolean | string;
        minorVersionSequence?: string;
        majorVersionSequence?: string;
        isVersionPreloaded?: boolean | string;
        inventoryProductType?: ProductType;
        containerManagement?: boolean | string;
        statisticalGroups?: Partial<ProductCategoryStatisticalGroupsInput>[];
        costType?: string;
        lotManagementMode?: LotManagementMode;
        traceabilityManagementMode?: TraceabilityManagementMode;
        traceabilityLevel?: TraceabilityLevel;
        materialCostGroup?: MaterialCostGroup;
        reorderingManagementMode?: ReorderingManagementMode;
        stockVersionMode?: StockVersionMode;
        stockManagementRules?: Partial<StockManagementRulesInput>[];
        defaultLocations?: Partial<ProductCategoryDefaultLocationsInput>[];
        overheads?: Partial<ProductCategoryOverheadsInput>[];
        packingUnits?: Partial<ProductCategoryPackingUnitsInput>[];
    }
    export interface ProductCategoryBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        code: string;
        description: string;
        localizedDescription: string;
        shortDescription: string;
        localizedShortDescription: string;
        isSold: boolean;
        productSequenceNumber: string;
        creationMethod: ProductCreationMode;
        qualityControlManagementMode: SubjectToControl;
        qualityControlAccessCode: string;
        stockUnit: UnitOfMeasure;
        purchaseUnit: UnitOfMeasure;
        salesUnit: UnitOfMeasure;
        statisticUnit: UnitOfMeasure;
        euUnit: UnitOfMeasure;
        purchaseUnitToStockUnitConversionFactor: string;
        salesUnitToStockUnitConversionFactor: string;
        statisticalUnitToStockUnitConversionFactor: string;
        euUnitToStockUnitConversionFactor: string;
        isPurchaseConversionFactorEntryAllowed: boolean;
        isSalesConversionFactorEntryAllowed: boolean;
        weightUnit: UnitOfMeasure;
        stockUnitWeight: string;
        volumeUnit: UnitOfMeasure;
        stockUnitVolume: string;
        labelFormatForStockUnit: GenericPrintReport;
        stockManagementMode: StockManagement;
        managementMode: StandardProductCode;
        isNegativeStockAuthorized: boolean;
        lotSequenceNumber: string;
        serialNumberManagementMode: SerialNumberManagement;
        serialSequenceNumber: string;
        valuationMethod: string;
        expirationManagementMode: ExpirationManagement;
        expirationStockStatus: string;
        userAccessCode: string;
        purchasingPlanningHorizonTimeUnit: LeadTimeUnit;
        purchasingPlanningHorizon: integer;
        purchasingFirmHorizon: integer;
        purchasingFirmHorizonTimeUnit: LeadTimeUnit;
        reorderLeadTime: string;
        buyer: User;
        planner: User;
        purchaseDeliveryTolerance: string;
        isReceived: boolean;
        isMandatoryPurchaseOrderRequest: boolean;
        landedCostCoefficient: string;
        fixedLandedCostPerUnit: string;
        salesPriceOrigin: PriceOrigin;
        percentagePricePurchaseApplied: string;
        configuratorProductLine: string;
        isLocationManaged: boolean;
        salesOrderAllocationRule: string;
        workOrderAllocationRule: string;
        shipmentAllocationRule: string;
        materialConsumptionAllocationRule: string;
        transferAllocationRule: string;
        subcontractReplenishmentAllocationRule: string;
        subcontractConsumptionAllocationRule: string;
        afterSalesAllocationRule: string;
        isStatusAAuthorizedInGlobalAllocation: boolean;
        isStatusQAuthorizedInGlobalAllocation: boolean;
        isStatusRAuthorizedInGlobalAllocation: boolean;
        abcClass: ProductAbcClass;
        stockWithdrawalMode: StockWithdrawal;
        countManagementMode: Count;
        trendProfile: string;
        shrinkagePercent: string;
        planningFirmHorizon: integer;
        planningFirmHorizonTimeUnit: LeadTimeUnit;
        planningRequestHorizon: integer;
        planningRequestHorizonTimeUnit: LeadTimeUnit;
        reorderingPeriodicity: integer;
        reorderingSuggestionType: SuggestionType;
        reorderingSite: Site;
        reorderingPolicy: string;
        stockCoverageInWeeks: integer;
        safetyStock: string;
        reorderingThreshold: string;
        reorderingMaximumStock: string;
        economicOrderQuantity: string;
        technicalLotQuantity: string;
        standardCostUpdate: PriceUpdateMode;
        revisedStandardCostUpdate: PriceUpdateMode;
        budgetStandardCostUpdate: PriceUpdateMode;
        simulatedCostUpdate: PriceUpdateMode;
        isReleasedIfShortage: boolean;
        automaticClosingPercentage: string;
        salesDeliveryTolerance: string;
        salesMinimumQuantity: string;
        salesMaximumQuantity: string;
        isLoanAuthorized: boolean;
        isBackToBackOrderManaged: boolean;
        directBackToBackOrderQuantity: string;
        isPurchased: boolean;
        isManufactured: boolean;
        isSubcontracted: boolean;
        isService: boolean;
        isPhantom: boolean;
        isGeneric: boolean;
        isTool: boolean;
        isDeliverable: boolean;
        isIntermediary: boolean;
        isMaintenance: boolean;
        packagingCapacity: string;
        assignmentRules: string;
        isStockDetailedInPacking: boolean;
        technicalSheet: TechnicalSheet;
        orderWarehouse: string;
        workOrderWarehouse: string;
        shippingWarehouse: string;
        materialConsumptionWarehouse: string;
        internalMovementWarehouse: string;
        subcontractShipmentWarehouse: string;
        subcontractConsumptionWarehouse: string;
        afterSalesWarehouse: string;
        canBeCapitalized: boolean;
        isPackingManaged: boolean;
        sageSalesTax: MiscellaneousTable;
        saftProductType: SafTProductType;
        freightClass: string;
        freightCommodityCode: string;
        isVersionManaged: boolean;
        minorVersionSequence: string;
        majorVersionSequence: string;
        isVersionPreloaded: boolean;
        inventoryProductType: ProductType;
        containerManagement: boolean;
        statisticalGroups: ClientCollection<ProductCategoryStatisticalGroupsBinding>;
        costType: CostType;
        lotManagementMode: LotManagementMode;
        traceabilityManagementMode: TraceabilityManagementMode;
        traceabilityLevel: TraceabilityLevel;
        materialCostGroup: MaterialCostGroup;
        reorderingManagementMode: ReorderingManagementMode;
        stockVersionMode: StockVersionMode;
        stockManagementRules: ClientCollection<StockManagementRules>;
        defaultLocations: ClientCollection<ProductCategoryDefaultLocationsBinding>;
        overheads: ClientCollection<ProductCategoryOverheadsBinding>;
        packingUnits: ClientCollection<ProductCategoryPackingUnitsBinding>;
    }
    export interface ProductExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        company: Company;
        productCategory: ProductCategory;
        searchKey: string;
        description1: string;
        description2: string;
        description3: string;
        localizedDescription1: string;
        localizedDescription2: string;
        localizedDescription3: string;
        managementMode: StandardProductCode;
        standard: string;
        upc: string;
        productStatus: ProductStatus;
        isPrototype: boolean;
        defaultPotencyInPercentage: string;
        defaultPotencyInInternationalUnit: string;
        serviceLifeStartDate: string;
        serviceLifeEndDate: string;
        storageSheet: string;
        stockUnit: UnitOfMeasure;
        purchaseUnit: UnitOfMeasure;
        salesUnit: UnitOfMeasure;
        statisticalUnit: UnitOfMeasure;
        eeUnit: UnitOfMeasure;
        purchaseUnitToStockUnitConversionFactor: string;
        isPurchaseFactorEntryAllowed: boolean;
        salesUnitToStockUnitConversionFactor: string;
        isSalesFactorEntryAllowed: boolean;
        statisticalUnitToStockUnitConversionFactor: string;
        eeUnitToStockUnitConversionFactor: string;
        weightUnit: UnitOfMeasure;
        productWeight: string;
        volumeUnit: UnitOfMeasure;
        productVolume: string;
        lotSequenceNumber: string;
        serialSequenceNumber: string;
        serialNumberManagementMode: SerialNumberManagement;
        expirationManagementMode: ExpirationManagement;
        expirationStockStatus: string;
        expirationLeadTime: integer;
        checkLeadTime: integer;
        isNegativeStockAuthorized: boolean;
        costGroup: string;
        userAccessCode: Access;
        alternateProduct: Product;
        isIntrastatDeclarationSubmitted: boolean;
        intrastatCommodity: string;
        purchasingPlanningHorizonTimeUnit: LeadTimeUnit;
        purchasingPlanningHorizon: integer;
        purchasingFirmHorizon: integer;
        purchasingFirmHorizonTimeUnit: LeadTimeUnit;
        buyer: User;
        planner: User;
        reorderLeadTime: integer;
        purchaseBasePrice: string;
        landedCostCoefficient: string;
        fixedLandedCostPerUnit: string;
        purchaseDeliveryTolerance: string;
        isReceived: boolean;
        isMandatoryPurchaseOrderRequest: boolean;
        exemptionFlag: string;
        taxFlagStatusLocal: string;
        configuratorProductLine: string;
        configuratorNumericField1: string;
        configuratorNumericField2: string;
        configuratorNumericField3: string;
        configuratorNumericField4: string;
        configuratorNumericField5: string;
        configuratorNumericField6: string;
        configuratorAlphaField1: string;
        configuratorAlphaField2: string;
        configuratorAlphaField3: string;
        configuratorAlphaField4: string;
        configuratorAlphaField5: string;
        configuratorAlphaField6: string;
        configurationJournal: string;
        configuratorBusinessPartner: BusinessPartner;
        configuratorBusinessPartnerReference: string;
        configuratorReferenceProduct: Product;
        configuratorPurgeDate: string;
        isInstalledBaseCreated: boolean;
        voucherCategory: MiscellaneousTable;
        tokensToBeCredited: integer;
        creditUnit: UnitOfMeasure;
        labelFormatForStockUnit: GenericPrintReport;
        bomCodeForAfterSales: BomCodes;
        productTypeForAfterSales: TypeOfProduct;
        isAfterSalesProductIssuedByDefault: boolean;
        daysUnit: UnitOfMeasure;
        hourUnit: UnitOfMeasure;
        minuteUnit: UnitOfMeasure;
        productDensity: string;
        isPurchased: boolean;
        isManufactured: boolean;
        isSubcontracted: boolean;
        isService: boolean;
        isPhantom: boolean;
        isGeneric: boolean;
        isTools: boolean;
        isDeliverable: boolean;
        isSold: boolean;
        isIntermediary: boolean;
        isCapitalized: boolean;
        newStockStatusAfterRecontrol: string;
        useByDateCoefficient: string;
        intrastatFederalStateOrRegion: MiscellaneousTable;
        plmProductReference: string;
        plmLinkedDocuments: string;
        plmProductHistory: string;
        sageSalesTax: MiscellaneousTable;
        allergens: string;
        allergenChangeDate: string;
        allergenBomCode: integer;
        saftProductType: SafTProductType;
        isVersionManaged: boolean;
        minorVersionSequence: string;
        majorVersionSequence: string;
        isVersionPreloaded: boolean;
        productType: ProductType;
        globalTradeItemNumber: string;
        productSites: ClientCollection<ProductSite>;
        supplierProduct: ClientCollection<SupplierProduct>;
        customerProduct: ClientCollection<CustomerProduct>;
        _picture: CommonImage;
        _purchasingText: CommonText;
        _manufacturingText: CommonText;
        manufacturingText: TextStream;
        picture: BinaryStream;
        purchasingText: TextStream;
        packingUnits: ClientCollection<ProductPackingUnits>;
        statisticalGroups: ClientCollection<ProductStatisticalGroups>;
        costType: CostType;
        stockManagementMode: StockManagement;
        lotManagementMode: LotManagementMode;
        materialCostGroup: MaterialCostGroup;
        traceabilityManagementMode: TraceabilityManagementMode;
        traceabilityLevel: TraceabilityLevel;
        expirationTimeUnit: ExpirationLeadTimeUnits;
        recontrolTimeUnit: ExpirationLeadTimeUnits;
        stockVersionMode: StockVersionMode;
    }
    export interface ProductInputExtension {
        code?: string;
        company?: string;
        productCategory?: string;
        searchKey?: string;
        description1?: string;
        description2?: string;
        description3?: string;
        localizedDescription1?: string;
        localizedDescription2?: string;
        localizedDescription3?: string;
        managementMode?: StandardProductCode;
        standard?: string;
        upc?: string;
        productStatus?: ProductStatus;
        isPrototype?: boolean | string;
        defaultPotencyInPercentage?: decimal | string;
        defaultPotencyInInternationalUnit?: decimal | string;
        serviceLifeStartDate?: string;
        serviceLifeEndDate?: string;
        storageSheet?: string;
        stockUnit?: string;
        purchaseUnit?: string;
        salesUnit?: string;
        statisticalUnit?: string;
        eeUnit?: string;
        purchaseUnitToStockUnitConversionFactor?: decimal | string;
        isPurchaseFactorEntryAllowed?: boolean | string;
        salesUnitToStockUnitConversionFactor?: decimal | string;
        isSalesFactorEntryAllowed?: boolean | string;
        statisticalUnitToStockUnitConversionFactor?: decimal | string;
        eeUnitToStockUnitConversionFactor?: decimal | string;
        weightUnit?: string;
        productWeight?: decimal | string;
        volumeUnit?: string;
        productVolume?: decimal | string;
        lotSequenceNumber?: string;
        serialSequenceNumber?: string;
        serialNumberManagementMode?: SerialNumberManagement;
        expirationManagementMode?: ExpirationManagement;
        expirationStockStatus?: string;
        expirationLeadTime?: integer | string;
        checkLeadTime?: integer | string;
        isNegativeStockAuthorized?: boolean | string;
        costGroup?: string;
        userAccessCode?: string;
        alternateProduct?: string;
        isIntrastatDeclarationSubmitted?: boolean | string;
        intrastatCommodity?: string;
        purchasingPlanningHorizonTimeUnit?: LeadTimeUnit;
        purchasingPlanningHorizon?: integer | string;
        purchasingFirmHorizon?: integer | string;
        purchasingFirmHorizonTimeUnit?: LeadTimeUnit;
        buyer?: string;
        planner?: string;
        reorderLeadTime?: integer | string;
        purchaseBasePrice?: decimal | string;
        landedCostCoefficient?: decimal | string;
        fixedLandedCostPerUnit?: decimal | string;
        purchaseDeliveryTolerance?: decimal | string;
        isReceived?: boolean | string;
        isMandatoryPurchaseOrderRequest?: boolean | string;
        exemptionFlag?: string;
        taxFlagStatusLocal?: string;
        configuratorProductLine?: string;
        configuratorNumericField1?: decimal | string;
        configuratorNumericField2?: decimal | string;
        configuratorNumericField3?: decimal | string;
        configuratorNumericField4?: decimal | string;
        configuratorNumericField5?: decimal | string;
        configuratorNumericField6?: decimal | string;
        configuratorAlphaField1?: string;
        configuratorAlphaField2?: string;
        configuratorAlphaField3?: string;
        configuratorAlphaField4?: string;
        configuratorAlphaField5?: string;
        configuratorAlphaField6?: string;
        configurationJournal?: string;
        configuratorBusinessPartner?: string;
        configuratorBusinessPartnerReference?: string;
        configuratorReferenceProduct?: string;
        configuratorPurgeDate?: string;
        isInstalledBaseCreated?: boolean | string;
        voucherCategory?: string;
        tokensToBeCredited?: integer | string;
        creditUnit?: string;
        labelFormatForStockUnit?: string;
        bomCodeForAfterSales?: integer | string;
        productTypeForAfterSales?: TypeOfProduct;
        isAfterSalesProductIssuedByDefault?: boolean | string;
        daysUnit?: string;
        hourUnit?: string;
        minuteUnit?: string;
        productDensity?: decimal | string;
        isPurchased?: boolean | string;
        isManufactured?: boolean | string;
        isSubcontracted?: boolean | string;
        isService?: boolean | string;
        isPhantom?: boolean | string;
        isGeneric?: boolean | string;
        isTools?: boolean | string;
        isDeliverable?: boolean | string;
        isSold?: boolean | string;
        isIntermediary?: boolean | string;
        isCapitalized?: boolean | string;
        newStockStatusAfterRecontrol?: string;
        useByDateCoefficient?: decimal | string;
        intrastatFederalStateOrRegion?: string;
        plmProductReference?: string;
        plmLinkedDocuments?: string;
        plmProductHistory?: string;
        sageSalesTax?: string;
        allergens?: string;
        allergenChangeDate?: string;
        allergenBomCode?: integer | string;
        saftProductType?: SafTProductType;
        isVersionManaged?: boolean | string;
        minorVersionSequence?: string;
        majorVersionSequence?: string;
        isVersionPreloaded?: boolean | string;
        productType?: ProductType;
        globalTradeItemNumber?: string;
        supplierProduct?: Partial<SupplierProductInput>[];
        customerProduct?: Partial<CustomerProductInput>[];
        _picture?: string;
        _purchasingText?: string;
        _manufacturingText?: string;
        manufacturingText?: TextStream;
        picture?: BinaryStream;
        purchasingText?: TextStream;
        packingUnits?: Partial<ProductPackingUnitsInput>[];
        statisticalGroups?: Partial<ProductStatisticalGroupsInput>[];
        costType?: string;
        stockManagementMode?: StockManagement;
        lotManagementMode?: LotManagementMode;
        materialCostGroup?: MaterialCostGroup;
        traceabilityManagementMode?: TraceabilityManagementMode;
        traceabilityLevel?: TraceabilityLevel;
        expirationTimeUnit?: ExpirationLeadTimeUnits;
        recontrolTimeUnit?: ExpirationLeadTimeUnits;
        stockVersionMode?: StockVersionMode;
    }
    export interface ProductBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        company: Company;
        productCategory: ProductCategory;
        searchKey: string;
        description1: string;
        description2: string;
        description3: string;
        localizedDescription1: string;
        localizedDescription2: string;
        localizedDescription3: string;
        managementMode: StandardProductCode;
        standard: string;
        upc: string;
        productStatus: ProductStatus;
        isPrototype: boolean;
        defaultPotencyInPercentage: string;
        defaultPotencyInInternationalUnit: string;
        serviceLifeStartDate: string;
        serviceLifeEndDate: string;
        storageSheet: string;
        stockUnit: UnitOfMeasure;
        purchaseUnit: UnitOfMeasure;
        salesUnit: UnitOfMeasure;
        statisticalUnit: UnitOfMeasure;
        eeUnit: UnitOfMeasure;
        purchaseUnitToStockUnitConversionFactor: string;
        isPurchaseFactorEntryAllowed: boolean;
        salesUnitToStockUnitConversionFactor: string;
        isSalesFactorEntryAllowed: boolean;
        statisticalUnitToStockUnitConversionFactor: string;
        eeUnitToStockUnitConversionFactor: string;
        weightUnit: UnitOfMeasure;
        productWeight: string;
        volumeUnit: UnitOfMeasure;
        productVolume: string;
        lotSequenceNumber: string;
        serialSequenceNumber: string;
        serialNumberManagementMode: SerialNumberManagement;
        expirationManagementMode: ExpirationManagement;
        expirationStockStatus: string;
        expirationLeadTime: integer;
        checkLeadTime: integer;
        isNegativeStockAuthorized: boolean;
        costGroup: string;
        userAccessCode: Access;
        alternateProduct: Product;
        isIntrastatDeclarationSubmitted: boolean;
        intrastatCommodity: string;
        purchasingPlanningHorizonTimeUnit: LeadTimeUnit;
        purchasingPlanningHorizon: integer;
        purchasingFirmHorizon: integer;
        purchasingFirmHorizonTimeUnit: LeadTimeUnit;
        buyer: User;
        planner: User;
        reorderLeadTime: integer;
        purchaseBasePrice: string;
        landedCostCoefficient: string;
        fixedLandedCostPerUnit: string;
        purchaseDeliveryTolerance: string;
        isReceived: boolean;
        isMandatoryPurchaseOrderRequest: boolean;
        exemptionFlag: string;
        taxFlagStatusLocal: string;
        configuratorProductLine: string;
        configuratorNumericField1: string;
        configuratorNumericField2: string;
        configuratorNumericField3: string;
        configuratorNumericField4: string;
        configuratorNumericField5: string;
        configuratorNumericField6: string;
        configuratorAlphaField1: string;
        configuratorAlphaField2: string;
        configuratorAlphaField3: string;
        configuratorAlphaField4: string;
        configuratorAlphaField5: string;
        configuratorAlphaField6: string;
        configurationJournal: string;
        configuratorBusinessPartner: BusinessPartner;
        configuratorBusinessPartnerReference: string;
        configuratorReferenceProduct: Product;
        configuratorPurgeDate: string;
        isInstalledBaseCreated: boolean;
        voucherCategory: MiscellaneousTable;
        tokensToBeCredited: integer;
        creditUnit: UnitOfMeasure;
        labelFormatForStockUnit: GenericPrintReport;
        bomCodeForAfterSales: BomCodes;
        productTypeForAfterSales: TypeOfProduct;
        isAfterSalesProductIssuedByDefault: boolean;
        daysUnit: UnitOfMeasure;
        hourUnit: UnitOfMeasure;
        minuteUnit: UnitOfMeasure;
        productDensity: string;
        isPurchased: boolean;
        isManufactured: boolean;
        isSubcontracted: boolean;
        isService: boolean;
        isPhantom: boolean;
        isGeneric: boolean;
        isTools: boolean;
        isDeliverable: boolean;
        isSold: boolean;
        isIntermediary: boolean;
        isCapitalized: boolean;
        newStockStatusAfterRecontrol: string;
        useByDateCoefficient: string;
        intrastatFederalStateOrRegion: MiscellaneousTable;
        plmProductReference: string;
        plmLinkedDocuments: string;
        plmProductHistory: string;
        sageSalesTax: MiscellaneousTable;
        allergens: string;
        allergenChangeDate: string;
        allergenBomCode: integer;
        saftProductType: SafTProductType;
        isVersionManaged: boolean;
        minorVersionSequence: string;
        majorVersionSequence: string;
        isVersionPreloaded: boolean;
        productType: ProductType;
        globalTradeItemNumber: string;
        productSites: ClientCollection<ProductSite>;
        supplierProduct: ClientCollection<SupplierProduct>;
        customerProduct: ClientCollection<CustomerProduct>;
        _picture: CommonImage;
        _purchasingText: CommonText;
        _manufacturingText: CommonText;
        manufacturingText: TextStream;
        picture: BinaryStream;
        purchasingText: TextStream;
        packingUnits: ClientCollection<ProductPackingUnitsBinding>;
        statisticalGroups: ClientCollection<ProductStatisticalGroupsBinding>;
        costType: CostType;
        stockManagementMode: StockManagement;
        lotManagementMode: LotManagementMode;
        materialCostGroup: MaterialCostGroup;
        traceabilityManagementMode: TraceabilityManagementMode;
        traceabilityLevel: TraceabilityLevel;
        expirationTimeUnit: ExpirationLeadTimeUnits;
        recontrolTimeUnit: ExpirationLeadTimeUnits;
        stockVersionMode: StockVersionMode;
    }
    export interface ProductSiteExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        product: Product;
        stockSite: Site;
        isBeingCounted: boolean;
        countWorksheet: string;
        abcClass: ProductAbcClass;
        isLocationManaged: boolean;
        stockWithdrawalMode: StockWithdrawal;
        countManagementMode: Count;
        trendProfile: string;
        numberOfStockCoverageWeeks: integer;
        multilevelLeadTime: string;
        qualityControlLeadTime: string;
        planningFirmHorizon: integer;
        planningFirmHorizonTimeUnit: LeadTimeUnit;
        planningDemandHorizon: integer;
        planningDemandHorizonTimeUnit: LeadTimeUnit;
        reorderLeadTime: string;
        productionLeadTime: string;
        pickingLeadTime: string;
        reductionFactor: integer;
        reorderingPeriodicity: integer;
        reorderingSuggestionType: SuggestionType;
        reorderingSite: Site;
        reorderingPolicy: string;
        safetyStock: string;
        calculatedSafetyStock: string;
        reorderingThreshold: string;
        calculatedReorderingThreshold: string;
        reorderingMaximumStock: string;
        calculatedReorderingMaximumStock: string;
        economicOrderQuantity: string;
        calculatedEconomicOrderQuantity: string;
        technicalLotQuantity: string;
        shrinkagePercentage: string;
        planner: User;
        buyer: User;
        standardCostUpdate: PriceUpdateMode;
        revisedStandardCostUpdate: PriceUpdateMode;
        budgetStandardCostUpdate: PriceUpdateMode;
        simulatedCostUpdate: PriceUpdateMode;
        productionRouting: string;
        costRouting: string;
        roughCut: string;
        productionRoutingCode: BomRouting;
        costRoutingCode: BomRouting;
        roughCutCapacityPlanningRoutingCode: BomRouting;
        isReleasedIfShortage: boolean;
        isShrinkedWithRelease: boolean;
        yearOfLastMonthlyUpdate: integer;
        monthOfLastMonthlyUpdate: integer;
        lastAnnualUpdate: integer;
        automaticClosingPercentage: string;
        configurationCode: string;
        storageHandling: string;
        weighingAccessCode: string;
        weighingTolerance: string;
        productTolerance: string;
        valuationMethod: string;
        prorataQuantityAdjustment: string;
        protectionWip: boolean;
        packagingCapacity: string;
        stockManagementMode: StockManagement;
        assignmentRule: string;
        isStockDetailedInPacking: boolean;
        qualityControlManagementMode: SubjectToControl;
        qualityControlAccessCode: string;
        qualityControlFrequency: integer;
        numberOfEntriesSinceLastQualityControl: integer;
        sampling: SamplingType;
        samplingMode: SamplingMode;
        samplingGeneralCheckLevel: GeneralControlLevel;
        samplingAcceptableQualityLevel: AcceptableQualityLevel;
        qualityControlFrequencyToReview: integer;
        qualityEntriesProcess: integer;
        recontrolLeadTime: integer;
        newStockStatusAfterRecontrol: string;
        useByDateCoefficient: string;
        orderWarehouse: string;
        workOrderWarehouse: string;
        shippingWarehouse: string;
        materialConsumptionsWarehouse: string;
        internalMovementWarehouse: string;
        subcontractShipmentWarehouse: string;
        subcontractConsumptionWarehouse: string;
        isPackingManaged: boolean;
        freightClass: string;
        freightCommodityCode: string;
        isLicensePlateNumberManaged: boolean;
        products: ClientCollection<Product>;
        reorderingManagementMode: ReorderingManagementMode;
        recontrolTimeUnit: ExpirationLeadTimeUnits;
        defaultInternalContainer: Container;
        defaultLocations: ClientCollection<ProductSiteDefaultLocations>;
        internalContainers: ClientCollection<ProductSiteInternalContainers>;
    }
    export interface ProductSiteInputExtension {
        product?: string;
        stockSite?: string;
        isBeingCounted?: boolean | string;
        countWorksheet?: string;
        abcClass?: ProductAbcClass;
        isLocationManaged?: boolean | string;
        stockWithdrawalMode?: StockWithdrawal;
        countManagementMode?: Count;
        trendProfile?: string;
        numberOfStockCoverageWeeks?: integer | string;
        multilevelLeadTime?: decimal | string;
        qualityControlLeadTime?: decimal | string;
        planningFirmHorizon?: integer | string;
        planningFirmHorizonTimeUnit?: LeadTimeUnit;
        planningDemandHorizon?: integer | string;
        planningDemandHorizonTimeUnit?: LeadTimeUnit;
        reorderLeadTime?: decimal | string;
        productionLeadTime?: decimal | string;
        pickingLeadTime?: decimal | string;
        reductionFactor?: integer | string;
        reorderingPeriodicity?: integer | string;
        reorderingSuggestionType?: SuggestionType;
        reorderingSite?: string;
        reorderingPolicy?: string;
        safetyStock?: decimal | string;
        calculatedSafetyStock?: decimal | string;
        reorderingThreshold?: decimal | string;
        calculatedReorderingThreshold?: decimal | string;
        reorderingMaximumStock?: decimal | string;
        calculatedReorderingMaximumStock?: decimal | string;
        economicOrderQuantity?: decimal | string;
        calculatedEconomicOrderQuantity?: decimal | string;
        technicalLotQuantity?: decimal | string;
        shrinkagePercentage?: decimal | string;
        planner?: string;
        buyer?: string;
        standardCostUpdate?: PriceUpdateMode;
        revisedStandardCostUpdate?: PriceUpdateMode;
        budgetStandardCostUpdate?: PriceUpdateMode;
        simulatedCostUpdate?: PriceUpdateMode;
        productionRouting?: string;
        costRouting?: string;
        roughCut?: string;
        productionRoutingCode?: integer | string;
        costRoutingCode?: integer | string;
        roughCutCapacityPlanningRoutingCode?: integer | string;
        isReleasedIfShortage?: boolean | string;
        isShrinkedWithRelease?: boolean | string;
        yearOfLastMonthlyUpdate?: integer | string;
        monthOfLastMonthlyUpdate?: integer | string;
        lastAnnualUpdate?: integer | string;
        automaticClosingPercentage?: decimal | string;
        configurationCode?: string;
        storageHandling?: string;
        weighingAccessCode?: string;
        weighingTolerance?: decimal | string;
        productTolerance?: decimal | string;
        valuationMethod?: string;
        prorataQuantityAdjustment?: decimal | string;
        protectionWip?: boolean | string;
        packagingCapacity?: decimal | string;
        stockManagementMode?: StockManagement;
        assignmentRule?: string;
        isStockDetailedInPacking?: boolean | string;
        qualityControlManagementMode?: SubjectToControl;
        qualityControlAccessCode?: string;
        qualityControlFrequency?: integer | string;
        numberOfEntriesSinceLastQualityControl?: integer | string;
        sampling?: SamplingType;
        samplingMode?: SamplingMode;
        samplingGeneralCheckLevel?: GeneralControlLevel;
        samplingAcceptableQualityLevel?: AcceptableQualityLevel;
        qualityControlFrequencyToReview?: integer | string;
        qualityEntriesProcess?: integer | string;
        recontrolLeadTime?: integer | string;
        newStockStatusAfterRecontrol?: string;
        useByDateCoefficient?: decimal | string;
        orderWarehouse?: string;
        workOrderWarehouse?: string;
        shippingWarehouse?: string;
        materialConsumptionsWarehouse?: string;
        internalMovementWarehouse?: string;
        subcontractShipmentWarehouse?: string;
        subcontractConsumptionWarehouse?: string;
        isPackingManaged?: boolean | string;
        freightClass?: string;
        freightCommodityCode?: string;
        isLicensePlateNumberManaged?: boolean | string;
        reorderingManagementMode?: ReorderingManagementMode;
        recontrolTimeUnit?: ExpirationLeadTimeUnits;
        defaultInternalContainer?: string;
        defaultLocations?: Partial<ProductSiteDefaultLocationsInput>[];
        internalContainers?: Partial<ProductSiteInternalContainersInput>[];
    }
    export interface ProductSiteBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        product: Product;
        stockSite: Site;
        isBeingCounted: boolean;
        countWorksheet: string;
        abcClass: ProductAbcClass;
        isLocationManaged: boolean;
        stockWithdrawalMode: StockWithdrawal;
        countManagementMode: Count;
        trendProfile: string;
        numberOfStockCoverageWeeks: integer;
        multilevelLeadTime: string;
        qualityControlLeadTime: string;
        planningFirmHorizon: integer;
        planningFirmHorizonTimeUnit: LeadTimeUnit;
        planningDemandHorizon: integer;
        planningDemandHorizonTimeUnit: LeadTimeUnit;
        reorderLeadTime: string;
        productionLeadTime: string;
        pickingLeadTime: string;
        reductionFactor: integer;
        reorderingPeriodicity: integer;
        reorderingSuggestionType: SuggestionType;
        reorderingSite: Site;
        reorderingPolicy: string;
        safetyStock: string;
        calculatedSafetyStock: string;
        reorderingThreshold: string;
        calculatedReorderingThreshold: string;
        reorderingMaximumStock: string;
        calculatedReorderingMaximumStock: string;
        economicOrderQuantity: string;
        calculatedEconomicOrderQuantity: string;
        technicalLotQuantity: string;
        shrinkagePercentage: string;
        planner: User;
        buyer: User;
        standardCostUpdate: PriceUpdateMode;
        revisedStandardCostUpdate: PriceUpdateMode;
        budgetStandardCostUpdate: PriceUpdateMode;
        simulatedCostUpdate: PriceUpdateMode;
        productionRouting: string;
        costRouting: string;
        roughCut: string;
        productionRoutingCode: BomRouting;
        costRoutingCode: BomRouting;
        roughCutCapacityPlanningRoutingCode: BomRouting;
        isReleasedIfShortage: boolean;
        isShrinkedWithRelease: boolean;
        yearOfLastMonthlyUpdate: integer;
        monthOfLastMonthlyUpdate: integer;
        lastAnnualUpdate: integer;
        automaticClosingPercentage: string;
        configurationCode: string;
        storageHandling: string;
        weighingAccessCode: string;
        weighingTolerance: string;
        productTolerance: string;
        valuationMethod: string;
        prorataQuantityAdjustment: string;
        protectionWip: boolean;
        packagingCapacity: string;
        stockManagementMode: StockManagement;
        assignmentRule: string;
        isStockDetailedInPacking: boolean;
        qualityControlManagementMode: SubjectToControl;
        qualityControlAccessCode: string;
        qualityControlFrequency: integer;
        numberOfEntriesSinceLastQualityControl: integer;
        sampling: SamplingType;
        samplingMode: SamplingMode;
        samplingGeneralCheckLevel: GeneralControlLevel;
        samplingAcceptableQualityLevel: AcceptableQualityLevel;
        qualityControlFrequencyToReview: integer;
        qualityEntriesProcess: integer;
        recontrolLeadTime: integer;
        newStockStatusAfterRecontrol: string;
        useByDateCoefficient: string;
        orderWarehouse: string;
        workOrderWarehouse: string;
        shippingWarehouse: string;
        materialConsumptionsWarehouse: string;
        internalMovementWarehouse: string;
        subcontractShipmentWarehouse: string;
        subcontractConsumptionWarehouse: string;
        isPackingManaged: boolean;
        freightClass: string;
        freightCommodityCode: string;
        isLicensePlateNumberManaged: boolean;
        products: ClientCollection<Product>;
        reorderingManagementMode: ReorderingManagementMode;
        recontrolTimeUnit: ExpirationLeadTimeUnits;
        defaultInternalContainer: Container;
        defaultLocations: ClientCollection<ProductSiteDefaultLocationsBinding>;
        internalContainers: ClientCollection<ProductSiteInternalContainersBinding>;
    }
    export interface ProductSiteExtension$Lookups {
        defaultInternalContainer: QueryOperation<Container>;
    }
    export interface ProductSiteExtension$Operations {
        lookups(dataOrId: string | { data: ProductSiteInput }): ProductSiteExtension$Lookups;
    }
    export interface Package {
        '@sage/x3-stock-data/LicensePlateNumber': LicensePlateNumber$Operations;
        '@sage/x3-stock-data/Location': Location$Operations;
        '@sage/x3-stock-data/Lot': Lot$Operations;
        '@sage/x3-stock-data/LotsSites': LotsSites$Operations;
        '@sage/x3-stock-data/MajorVersionStatus': MajorVersionStatus$Operations;
        '@sage/x3-stock-data/MobileSettings': MobileSettings$Operations;
        '@sage/x3-stock-data/OverheadFormulaCodes': OverheadFormulaCodes$Operations;
        '@sage/x3-stock-data/Overhead': Overhead$Operations;
        '@sage/x3-stock-data/ProductCategoryDefaultLocations': ProductCategoryDefaultLocations$Operations;
        '@sage/x3-stock-data/ProductCategoryOverheads': ProductCategoryOverheads$Operations;
        '@sage/x3-stock-data/ProductCategoryPackingUnits': ProductCategoryPackingUnits$Operations;
        '@sage/x3-stock-data/ProductSiteDefaultLocations': ProductSiteDefaultLocations$Operations;
        '@sage/x3-stock-data/ProductSiteInternalContainers': ProductSiteInternalContainers$Operations;
        '@sage/x3-stock-data/SerialNumber': SerialNumber$Operations;
        '@sage/x3-stock-data/StockJournal': StockJournal$Operations;
        '@sage/x3-stock-data/StockManagementRules': StockManagementRules$Operations;
        '@sage/x3-stock-data/StockStatus': StockStatus$Operations;
        '@sage/x3-stock-data/Stock': Stock$Operations;
        '@sage/x3-stock-data/Warehouse': Warehouse$Operations;
    }
    export interface GraphApi
        extends Package,
            SageX3MasterData$Package,
            SageX3ProjectManagementData$Package,
            SageX3Structure$Package,
            SageX3System$Package,
            SageXtremAppMetadata$Package,
            SageXtremX3SystemUtils$Package {}
}
declare module '@sage/x3-stock-data-api' {
    export type * from '@sage/x3-stock-data-api-partial';
}
declare module '@sage/x3-master-data-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-stock-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-project-management-data-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-stock-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-structure-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-stock-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-system-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-stock-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/xtrem-app-metadata-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-stock-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/xtrem-x3-system-utils-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-stock-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-master-data-api-partial' {
    import type {
        ProductBindingExtension,
        ProductCategoryBindingExtension,
        ProductCategoryExtension,
        ProductCategoryInputExtension,
        ProductExtension,
        ProductInputExtension,
        ProductSiteBindingExtension,
        ProductSiteExtension,
        ProductSiteExtension$Lookups,
        ProductSiteExtension$Operations,
        ProductSiteInputExtension,
    } from '@sage/x3-stock-data-api';
    export interface ProductCategory extends ProductCategoryExtension {}
    export interface ProductCategoryBinding extends ProductCategoryBindingExtension {}
    export interface ProductCategoryInput extends ProductCategoryInputExtension {}
    export interface Product extends ProductExtension {}
    export interface ProductBinding extends ProductBindingExtension {}
    export interface ProductInput extends ProductInputExtension {}
    export interface ProductSite extends ProductSiteExtension {}
    export interface ProductSiteBinding extends ProductSiteBindingExtension {}
    export interface ProductSiteInput extends ProductSiteInputExtension {}
    export interface ProductSite$Lookups extends ProductSiteExtension$Lookups {}
    export interface ProductSite$Operations extends ProductSiteExtension$Operations {}
}
