declare module '@sage/x3-sales-data-api-partial' {
    import type {
        CustomerInvoiceHeaderBillToCustomerAddressLines,
        CustomerInvoiceHeaderBillToCustomerAddressLinesBinding,
        CustomerInvoiceHeaderBillToCustomerAddressLinesInput,
        CustomerInvoiceHeaderBillToCustomerCompanyNames,
        CustomerInvoiceHeaderBillToCustomerCompanyNamesBinding,
        CustomerInvoiceHeaderBillToCustomerCompanyNamesInput,
        CustomerInvoiceHeaderComments,
        CustomerInvoiceHeaderCommentsBinding,
        CustomerInvoiceHeaderCommentsInput,
        CustomerInvoiceHeaderInput,
        CustomerInvoiceHeaderPayByBusinessPartnerAddressLines,
        CustomerInvoiceHeaderPayByBusinessPartnerAddressLinesBinding,
        CustomerInvoiceHeaderPayByBusinessPartnerAddressLinesInput,
        CustomerInvoiceHeaderPayByBusinessPartnerCompanyNames,
        CustomerInvoiceHeaderPayByBusinessPartnerCompanyNamesBinding,
        CustomerInvoiceHeaderPayByBusinessPartnerCompanyNamesInput,
        CustomerInvoiceHeaderTaxes,
        CustomerInvoiceHeaderTaxesBinding,
        CustomerInvoiceHeaderTaxesInput,
        EarlyDiscountLateCharge,
        Mandate,
        Package as SageX3InvoicingData$Package,
        PaymentTerm,
        ProductTaxLevels,
        ProductTaxLevelsBinding,
        ProductTaxLevelsInput,
        TaxRule,
    } from '@sage/x3-invoicing-data-api';
    import type {
        Address,
        BomCodes,
        BusinessPartner,
        BusinessPartnerAddress,
        Carrier,
        CommonImage,
        CommonText,
        Currency,
        Customer,
        CustomerAddress,
        CustomerProduct,
        CustomerProductInput,
        Incoterm,
        Package as SageX3MasterData$Package,
        Product,
        ProductCategory,
        ProductInput,
        ProductPackingUnits,
        ProductPackingUnitsBinding,
        ProductPackingUnitsInput,
        ProductSite,
        ProductStatisticalGroups,
        ProductStatisticalGroupsBinding,
        ProductStatisticalGroupsInput,
        ShipToCustomerAddressCompanyNames,
        ShipToCustomerAddressCompanyNamesBinding,
        ShipToCustomerAddressCompanyNamesInput,
        ShipToCustomerAddressSalesReps,
        ShipToCustomerAddressSalesRepsBinding,
        ShipToCustomerAddressSalesRepsInput,
        SupplierProduct,
        SupplierProductInput,
        UnavailablePeriods,
        UnitOfMeasure,
    } from '@sage/x3-master-data-api';
    import type { Package as SageX3PhysicalFlowsData$Package, Packaging } from '@sage/x3-physical-flows-data-api';
    import type {
        CostType,
        Package as SageX3ProjectManagementData$Package,
        ProjectLink,
    } from '@sage/x3-project-management-data-api';
    import type { Package as SageX3StockData$Package, Warehouse } from '@sage/x3-stock-data-api';
    import type { Country, Package as SageX3Structure$Package } from '@sage/x3-structure-api';
    import type {
        Access,
        Company,
        GenericPrintReport,
        Language,
        MiscellaneousTable,
        Package as SageX3System$Package,
        Site,
        User,
    } from '@sage/x3-system-api';
    import type { Package as SageXtremAppMetadata$Package } from '@sage/xtrem-app-metadata-api';
    import type { Package as SageXtremX3SystemUtils$Package, SysUser } from '@sage/xtrem-x3-system-utils-api';
    import type {
        AggregateQueryOperation,
        AggregateReadOperation,
        BinaryStream,
        ClientCollection,
        ClientNode,
        ClientNodeInput,
        GetDefaultsOperation,
        QueryOperation,
        ReadOperation,
        TextStream,
        decimal,
        integer,
    } from '@sage/xtrem-client';
    export interface DeliveryPriority$Enum {
        normal: 1;
        urgent: 2;
        critical: 3;
    }
    export type DeliveryPriority = keyof DeliveryPriority$Enum;
    export interface LineType$Enum {
        normal: 1;
        fixedKit: 2;
        kitComponent: 3;
        kitOption: 4;
        kitVariant: 5;
        flexKit: 6;
        bomComponent: 7;
        bomOption: 8;
        bomVariant: 9;
        subcontracted: 10;
        service: 11;
        suppliedMaterial: 12;
        fixedAmountService: 13;
    }
    export type LineType = keyof LineType$Enum;
    export interface RouteCode$Enum {
        routeCode1: 1;
        routeCode2: 2;
        routeCode3: 3;
        routeCode4: 4;
    }
    export type RouteCode = keyof RouteCode$Enum;
    export interface SalesDeliveryType extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface SalesDeliveryTypeInput extends ClientNodeInput {
        code?: string;
        legislation?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface SalesDeliveryTypeBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface SalesDeliveryType$Lookups {
        legislation: QueryOperation<MiscellaneousTable>;
    }
    export interface SalesDeliveryType$Operations {
        query: QueryOperation<SalesDeliveryType>;
        read: ReadOperation<SalesDeliveryType>;
        aggregate: {
            read: AggregateReadOperation<SalesDeliveryType>;
            query: AggregateQueryOperation<SalesDeliveryType>;
        };
        lookups(dataOrId: string | { data: SalesDeliveryTypeInput }): SalesDeliveryType$Lookups;
        getDefaults: GetDefaultsOperation<SalesDeliveryType>;
    }
    export interface SalesInvoiceType extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
        invoiceCategory: InvoiceType;
    }
    export interface SalesInvoiceTypeInput extends ClientNodeInput {
        code?: string;
        legislation?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
        invoiceCategory?: InvoiceType;
    }
    export interface SalesInvoiceTypeBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
        invoiceCategory: InvoiceType;
    }
    export interface SalesInvoiceType$Lookups {
        legislation: QueryOperation<MiscellaneousTable>;
    }
    export interface SalesInvoiceType$Operations {
        query: QueryOperation<SalesInvoiceType>;
        read: ReadOperation<SalesInvoiceType>;
        aggregate: {
            read: AggregateReadOperation<SalesInvoiceType>;
            query: AggregateQueryOperation<SalesInvoiceType>;
        };
        lookups(dataOrId: string | { data: SalesInvoiceTypeInput }): SalesInvoiceType$Lookups;
        getDefaults: GetDefaultsOperation<SalesInvoiceType>;
    }
    export interface SalesOrderType extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface SalesOrderTypeInput extends ClientNodeInput {
        code?: string;
        legislation?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface SalesOrderTypeBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface SalesOrderType$Lookups {
        legislation: QueryOperation<MiscellaneousTable>;
    }
    export interface SalesOrderType$Operations {
        query: QueryOperation<SalesOrderType>;
        read: ReadOperation<SalesOrderType>;
        aggregate: {
            read: AggregateReadOperation<SalesOrderType>;
            query: AggregateQueryOperation<SalesOrderType>;
        };
        lookups(dataOrId: string | { data: SalesOrderTypeInput }): SalesOrderType$Lookups;
        getDefaults: GetDefaultsOperation<SalesOrderType>;
    }
    export interface SalesPriceReason extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: integer;
        localizedDescription: string;
    }
    export interface SalesPriceReasonInput extends ClientNodeInput {
        code?: integer | string;
        localizedDescription?: string;
    }
    export interface SalesPriceReasonBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: integer;
        localizedDescription: string;
    }
    export interface SalesPriceReason$Operations {
        query: QueryOperation<SalesPriceReason>;
        read: ReadOperation<SalesPriceReason>;
        aggregate: {
            read: AggregateReadOperation<SalesPriceReason>;
            query: AggregateQueryOperation<SalesPriceReason>;
        };
        getDefaults: GetDefaultsOperation<SalesPriceReason>;
    }
    export interface SalesQuoteType extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface SalesQuoteTypeInput extends ClientNodeInput {
        code?: string;
        legislation?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface SalesQuoteTypeBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface SalesQuoteType$Lookups {
        legislation: QueryOperation<MiscellaneousTable>;
    }
    export interface SalesQuoteType$Operations {
        query: QueryOperation<SalesQuoteType>;
        read: ReadOperation<SalesQuoteType>;
        aggregate: {
            read: AggregateReadOperation<SalesQuoteType>;
            query: AggregateQueryOperation<SalesQuoteType>;
        };
        lookups(dataOrId: string | { data: SalesQuoteTypeInput }): SalesQuoteType$Lookups;
        getDefaults: GetDefaultsOperation<SalesQuoteType>;
    }
    export interface SalesReturnType extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface SalesReturnTypeInput extends ClientNodeInput {
        code?: string;
        legislation?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface SalesReturnTypeBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface SalesReturnType$Lookups {
        legislation: QueryOperation<MiscellaneousTable>;
    }
    export interface SalesReturnType$Operations {
        query: QueryOperation<SalesReturnType>;
        read: ReadOperation<SalesReturnType>;
        aggregate: {
            read: AggregateReadOperation<SalesReturnType>;
            query: AggregateQueryOperation<SalesReturnType>;
        };
        lookups(dataOrId: string | { data: SalesReturnTypeInput }): SalesReturnType$Lookups;
        getDefaults: GetDefaultsOperation<SalesReturnType>;
    }
    export interface CustomerInvoiceHeaderExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        id: string;
        category: InvoiceType;
        sourceModule: ModuleTable;
        billToCustomer: Customer;
        control: string;
        company: Company;
        financialSite: Site;
        accountingDate: string;
        internalNumber: integer;
        sourceDocumentDate: string;
        sourceDocument: string;
        currency: Currency;
        rateType: ExchangeRateType;
        rateDate: string;
        payByBusinessPartner: BusinessPartner;
        payByBusinessPartnerAddress: BusinessPartnerAddress;
        payByBusinessPartnerPostalCode: string;
        payByBusinessPartnerCity: string;
        payByBusinessPartnerState: string;
        payByBusinessPartnerCountry: Country;
        payByBusinessPartnerCountryName: string;
        dueDateCalculationStartDate: string;
        paymentTerm: PaymentTerm;
        earlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        earlyDiscountOrLateChargeRate: string;
        taxRule: TaxRule;
        entityUserCode: MiscellaneousTable;
        isDirectInvoice: boolean;
        intrastatProcessingNumber: integer;
        status: InvoiceStatus;
        originalInvoiceNumber: string;
        debitOrCredit: integer;
        totalAmountIncludingTax: string;
        totalAmountExcludingTax: string;
        totalAmountExcludingTaxInCompanyCurrency: string;
        totalAmountIncludingTaxInCompanyCurrency: string;
        taxReferenceDate: string;
        numberOfTaxes: integer;
        billToCustomerAddress: CustomerAddress;
        billToCustomerPostalCode: string;
        billToCustomerCity: string;
        billToCustomerState: string;
        billToCustomerCountry: Country;
        billToCustomerCountryName: string;
        draftNumber: string;
        stockMovementGroup: MiscellaneousTable;
        fiscalYear: integer;
        period: integer;
        serviceStartDate: string;
        serviceEndDate: string;
        lastServiceAccountedDate: string;
        warehouse: Warehouse;
        isPrinted: boolean;
        isExternalDocument: boolean;
        earlyDiscountOrLateChargeBasis: string;
        versionControlSystemNumber: string;
        isValidatedAddress: boolean;
        priceOrAmountTaxType: PriceAmountTaxTax;
        vatDeclarationNumber: string;
        exportDeclaration: string;
        mandate: Mandate;
        recurringNumber: string;
        recurringInvoicingDate: string;
        numberOfCompanies: integer;
        cashVatTaxRule: boolean;
        derCode: string;
        field40Reason: MiscellaneousTable;
        field41Reason: MiscellaneousTable;
        originalDocumentNumber: string;
        creditMemoReferenceStartDate: string;
        creditMemoReferenceEndDate: string;
        inPaymentSlipWithReferenceNumber: string;
        cancellationStatus: integer;
        project: ProjectLink;
        correctionMethod: CorrectionMethod;
        siteIdentificationNumber: string;
        spanishInvoiceType: SpanishInvoiceType;
        businessProcessType: MiscellaneousTable;
        operationType: TypeOfOperation;
        autoInvoicingSpanish: boolean;
        manualAutoInvoicingSpaGenerated: boolean;
        automaticAutoInvoicingSpaGenerated: boolean;
        destinationGeneration: AutoInvoiceRecipient;
        spanishTaxDate: string;
        billToCustomerAddressLines: ClientCollection<CustomerInvoiceHeaderBillToCustomerAddressLines>;
        billToCustomerCompanyNames: ClientCollection<CustomerInvoiceHeaderBillToCustomerCompanyNames>;
        comments: ClientCollection<CustomerInvoiceHeaderComments>;
        payByBusinessPartnerAddressLines: ClientCollection<CustomerInvoiceHeaderPayByBusinessPartnerAddressLines>;
        payByBusinessPartnerCompanyNames: ClientCollection<CustomerInvoiceHeaderPayByBusinessPartnerCompanyNames>;
        taxes: ClientCollection<CustomerInvoiceHeaderTaxes>;
        invoiceType: SalesInvoiceType;
    }
    export interface CustomerInvoiceHeaderInputExtension {
        id?: string;
        category?: InvoiceType;
        sourceModule?: ModuleTable;
        billToCustomer?: string;
        control?: string;
        company?: string;
        financialSite?: string;
        accountingDate?: string;
        internalNumber?: integer | string;
        sourceDocumentDate?: string;
        sourceDocument?: string;
        currency?: string;
        rateType?: ExchangeRateType;
        rateDate?: string;
        payByBusinessPartner?: string;
        payByBusinessPartnerAddress?: string;
        payByBusinessPartnerPostalCode?: string;
        payByBusinessPartnerCity?: string;
        payByBusinessPartnerState?: string;
        payByBusinessPartnerCountry?: string;
        payByBusinessPartnerCountryName?: string;
        dueDateCalculationStartDate?: string;
        paymentTerm?: string;
        earlyDiscountOrLateCharge?: string;
        earlyDiscountOrLateChargeRate?: decimal | string;
        taxRule?: string;
        entityUserCode?: string;
        isDirectInvoice?: boolean | string;
        intrastatProcessingNumber?: integer | string;
        status?: InvoiceStatus;
        originalInvoiceNumber?: string;
        debitOrCredit?: integer | string;
        totalAmountIncludingTax?: decimal | string;
        totalAmountExcludingTax?: decimal | string;
        totalAmountExcludingTaxInCompanyCurrency?: decimal | string;
        totalAmountIncludingTaxInCompanyCurrency?: decimal | string;
        taxReferenceDate?: string;
        numberOfTaxes?: integer | string;
        billToCustomerAddress?: string;
        billToCustomerPostalCode?: string;
        billToCustomerCity?: string;
        billToCustomerState?: string;
        billToCustomerCountry?: string;
        billToCustomerCountryName?: string;
        draftNumber?: string;
        stockMovementGroup?: string;
        fiscalYear?: integer | string;
        period?: integer | string;
        serviceStartDate?: string;
        serviceEndDate?: string;
        lastServiceAccountedDate?: string;
        warehouse?: string;
        isPrinted?: boolean | string;
        isExternalDocument?: boolean | string;
        earlyDiscountOrLateChargeBasis?: decimal | string;
        versionControlSystemNumber?: string;
        isValidatedAddress?: boolean | string;
        priceOrAmountTaxType?: PriceAmountTaxTax;
        vatDeclarationNumber?: string;
        exportDeclaration?: string;
        mandate?: string;
        recurringNumber?: string;
        recurringInvoicingDate?: string;
        numberOfCompanies?: integer | string;
        cashVatTaxRule?: boolean | string;
        derCode?: string;
        field40Reason?: string;
        field41Reason?: string;
        originalDocumentNumber?: string;
        creditMemoReferenceStartDate?: string;
        creditMemoReferenceEndDate?: string;
        inPaymentSlipWithReferenceNumber?: string;
        cancellationStatus?: integer | string;
        project?: string;
        correctionMethod?: CorrectionMethod;
        siteIdentificationNumber?: string;
        spanishInvoiceType?: SpanishInvoiceType;
        businessProcessType?: string;
        operationType?: TypeOfOperation;
        autoInvoicingSpanish?: boolean | string;
        manualAutoInvoicingSpaGenerated?: boolean | string;
        automaticAutoInvoicingSpaGenerated?: boolean | string;
        destinationGeneration?: AutoInvoiceRecipient;
        spanishTaxDate?: string;
        billToCustomerAddressLines?: Partial<CustomerInvoiceHeaderBillToCustomerAddressLinesInput>[];
        billToCustomerCompanyNames?: Partial<CustomerInvoiceHeaderBillToCustomerCompanyNamesInput>[];
        comments?: Partial<CustomerInvoiceHeaderCommentsInput>[];
        payByBusinessPartnerAddressLines?: Partial<CustomerInvoiceHeaderPayByBusinessPartnerAddressLinesInput>[];
        payByBusinessPartnerCompanyNames?: Partial<CustomerInvoiceHeaderPayByBusinessPartnerCompanyNamesInput>[];
        taxes?: Partial<CustomerInvoiceHeaderTaxesInput>[];
        invoiceType?: string;
    }
    export interface CustomerInvoiceHeaderBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        id: string;
        category: InvoiceType;
        sourceModule: ModuleTable;
        billToCustomer: Customer;
        control: string;
        company: Company;
        financialSite: Site;
        accountingDate: string;
        internalNumber: integer;
        sourceDocumentDate: string;
        sourceDocument: string;
        currency: Currency;
        rateType: ExchangeRateType;
        rateDate: string;
        payByBusinessPartner: BusinessPartner;
        payByBusinessPartnerAddress: BusinessPartnerAddress;
        payByBusinessPartnerPostalCode: string;
        payByBusinessPartnerCity: string;
        payByBusinessPartnerState: string;
        payByBusinessPartnerCountry: Country;
        payByBusinessPartnerCountryName: string;
        dueDateCalculationStartDate: string;
        paymentTerm: PaymentTerm;
        earlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        earlyDiscountOrLateChargeRate: string;
        taxRule: TaxRule;
        entityUserCode: MiscellaneousTable;
        isDirectInvoice: boolean;
        intrastatProcessingNumber: integer;
        status: InvoiceStatus;
        originalInvoiceNumber: string;
        debitOrCredit: integer;
        totalAmountIncludingTax: string;
        totalAmountExcludingTax: string;
        totalAmountExcludingTaxInCompanyCurrency: string;
        totalAmountIncludingTaxInCompanyCurrency: string;
        taxReferenceDate: string;
        numberOfTaxes: integer;
        billToCustomerAddress: CustomerAddress;
        billToCustomerPostalCode: string;
        billToCustomerCity: string;
        billToCustomerState: string;
        billToCustomerCountry: Country;
        billToCustomerCountryName: string;
        draftNumber: string;
        stockMovementGroup: MiscellaneousTable;
        fiscalYear: integer;
        period: integer;
        serviceStartDate: string;
        serviceEndDate: string;
        lastServiceAccountedDate: string;
        warehouse: Warehouse;
        isPrinted: boolean;
        isExternalDocument: boolean;
        earlyDiscountOrLateChargeBasis: string;
        versionControlSystemNumber: string;
        isValidatedAddress: boolean;
        priceOrAmountTaxType: PriceAmountTaxTax;
        vatDeclarationNumber: string;
        exportDeclaration: string;
        mandate: Mandate;
        recurringNumber: string;
        recurringInvoicingDate: string;
        numberOfCompanies: integer;
        cashVatTaxRule: boolean;
        derCode: string;
        field40Reason: MiscellaneousTable;
        field41Reason: MiscellaneousTable;
        originalDocumentNumber: string;
        creditMemoReferenceStartDate: string;
        creditMemoReferenceEndDate: string;
        inPaymentSlipWithReferenceNumber: string;
        cancellationStatus: integer;
        project: ProjectLink;
        correctionMethod: CorrectionMethod;
        siteIdentificationNumber: string;
        spanishInvoiceType: SpanishInvoiceType;
        businessProcessType: MiscellaneousTable;
        operationType: TypeOfOperation;
        autoInvoicingSpanish: boolean;
        manualAutoInvoicingSpaGenerated: boolean;
        automaticAutoInvoicingSpaGenerated: boolean;
        destinationGeneration: AutoInvoiceRecipient;
        spanishTaxDate: string;
        billToCustomerAddressLines: ClientCollection<CustomerInvoiceHeaderBillToCustomerAddressLinesBinding>;
        billToCustomerCompanyNames: ClientCollection<CustomerInvoiceHeaderBillToCustomerCompanyNamesBinding>;
        comments: ClientCollection<CustomerInvoiceHeaderCommentsBinding>;
        payByBusinessPartnerAddressLines: ClientCollection<CustomerInvoiceHeaderPayByBusinessPartnerAddressLinesBinding>;
        payByBusinessPartnerCompanyNames: ClientCollection<CustomerInvoiceHeaderPayByBusinessPartnerCompanyNamesBinding>;
        taxes: ClientCollection<CustomerInvoiceHeaderTaxesBinding>;
        invoiceType: SalesInvoiceType;
    }
    export interface CustomerInvoiceHeaderExtension$Lookups {
        invoiceType: QueryOperation<SalesInvoiceType>;
    }
    export interface CustomerInvoiceHeaderExtension$Operations {
        lookups(dataOrId: string | { data: CustomerInvoiceHeaderInput }): CustomerInvoiceHeaderExtension$Lookups;
    }
    export interface ProductExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        company: Company;
        productCategory: ProductCategory;
        searchKey: string;
        description1: string;
        description2: string;
        description3: string;
        localizedDescription1: string;
        localizedDescription2: string;
        localizedDescription3: string;
        managementMode: StandardProductCode;
        standard: string;
        upc: string;
        productStatus: ProductStatus;
        isPrototype: boolean;
        defaultPotencyInPercentage: string;
        defaultPotencyInInternationalUnit: string;
        serviceLifeStartDate: string;
        serviceLifeEndDate: string;
        storageSheet: string;
        stockUnit: UnitOfMeasure;
        purchaseUnit: UnitOfMeasure;
        salesUnit: UnitOfMeasure;
        statisticalUnit: UnitOfMeasure;
        eeUnit: UnitOfMeasure;
        purchaseUnitToStockUnitConversionFactor: string;
        isPurchaseFactorEntryAllowed: boolean;
        salesUnitToStockUnitConversionFactor: string;
        isSalesFactorEntryAllowed: boolean;
        statisticalUnitToStockUnitConversionFactor: string;
        eeUnitToStockUnitConversionFactor: string;
        weightUnit: UnitOfMeasure;
        productWeight: string;
        volumeUnit: UnitOfMeasure;
        productVolume: string;
        lotSequenceNumber: string;
        serialSequenceNumber: string;
        serialNumberManagementMode: SerialNumberManagement;
        expirationManagementMode: ExpirationManagement;
        expirationStockStatus: string;
        expirationLeadTime: integer;
        checkLeadTime: integer;
        isNegativeStockAuthorized: boolean;
        costGroup: string;
        userAccessCode: Access;
        alternateProduct: Product;
        isIntrastatDeclarationSubmitted: boolean;
        intrastatCommodity: string;
        purchasingPlanningHorizonTimeUnit: LeadTimeUnit;
        purchasingPlanningHorizon: integer;
        purchasingFirmHorizon: integer;
        purchasingFirmHorizonTimeUnit: LeadTimeUnit;
        buyer: User;
        planner: User;
        reorderLeadTime: integer;
        purchaseBasePrice: string;
        landedCostCoefficient: string;
        fixedLandedCostPerUnit: string;
        purchaseDeliveryTolerance: string;
        isReceived: boolean;
        isMandatoryPurchaseOrderRequest: boolean;
        exemptionFlag: string;
        taxFlagStatusLocal: string;
        configuratorProductLine: string;
        configuratorNumericField1: string;
        configuratorNumericField2: string;
        configuratorNumericField3: string;
        configuratorNumericField4: string;
        configuratorNumericField5: string;
        configuratorNumericField6: string;
        configuratorAlphaField1: string;
        configuratorAlphaField2: string;
        configuratorAlphaField3: string;
        configuratorAlphaField4: string;
        configuratorAlphaField5: string;
        configuratorAlphaField6: string;
        configurationJournal: string;
        configuratorBusinessPartner: BusinessPartner;
        configuratorBusinessPartnerReference: string;
        configuratorReferenceProduct: Product;
        configuratorPurgeDate: string;
        isInstalledBaseCreated: boolean;
        voucherCategory: MiscellaneousTable;
        tokensToBeCredited: integer;
        creditUnit: UnitOfMeasure;
        labelFormatForStockUnit: GenericPrintReport;
        bomCodeForAfterSales: BomCodes;
        productTypeForAfterSales: TypeOfProduct;
        isAfterSalesProductIssuedByDefault: boolean;
        daysUnit: UnitOfMeasure;
        hourUnit: UnitOfMeasure;
        minuteUnit: UnitOfMeasure;
        productDensity: string;
        isPurchased: boolean;
        isManufactured: boolean;
        isSubcontracted: boolean;
        isService: boolean;
        isPhantom: boolean;
        isGeneric: boolean;
        isTools: boolean;
        isDeliverable: boolean;
        isSold: boolean;
        isIntermediary: boolean;
        isCapitalized: boolean;
        newStockStatusAfterRecontrol: string;
        useByDateCoefficient: string;
        intrastatFederalStateOrRegion: MiscellaneousTable;
        plmProductReference: string;
        plmLinkedDocuments: string;
        plmProductHistory: string;
        sageSalesTax: MiscellaneousTable;
        allergens: string;
        allergenChangeDate: string;
        allergenBomCode: integer;
        saftProductType: SafTProductType;
        isVersionManaged: boolean;
        minorVersionSequence: string;
        majorVersionSequence: string;
        isVersionPreloaded: boolean;
        productType: ProductType;
        globalTradeItemNumber: string;
        productSites: ClientCollection<ProductSite>;
        supplierProduct: ClientCollection<SupplierProduct>;
        customerProduct: ClientCollection<CustomerProduct>;
        _picture: CommonImage;
        _purchasingText: CommonText;
        _manufacturingText: CommonText;
        manufacturingText: TextStream;
        picture: BinaryStream;
        purchasingText: TextStream;
        packingUnits: ClientCollection<ProductPackingUnits>;
        statisticalGroups: ClientCollection<ProductStatisticalGroups>;
        costType: CostType;
        stockManagementMode: StockManagement;
        lotManagementMode: LotManagementMode;
        materialCostGroup: MaterialCostGroup;
        traceabilityManagementMode: TraceabilityManagementMode;
        traceabilityLevel: TraceabilityLevel;
        expirationTimeUnit: ExpirationLeadTimeUnits;
        recontrolTimeUnit: ExpirationLeadTimeUnits;
        stockVersionMode: StockVersionMode;
        taxLevels: ClientCollection<ProductTaxLevels>;
        basePrice: string;
        packaging: Packaging;
        packagingCapacity: string;
        productPickingText: TextStream;
        productSalesText: TextStream;
        substitutionDate: string;
        substitutionProduct: Product;
    }
    export interface ProductInputExtension {
        code?: string;
        company?: string;
        productCategory?: string;
        searchKey?: string;
        description1?: string;
        description2?: string;
        description3?: string;
        localizedDescription1?: string;
        localizedDescription2?: string;
        localizedDescription3?: string;
        managementMode?: StandardProductCode;
        standard?: string;
        upc?: string;
        productStatus?: ProductStatus;
        isPrototype?: boolean | string;
        defaultPotencyInPercentage?: decimal | string;
        defaultPotencyInInternationalUnit?: decimal | string;
        serviceLifeStartDate?: string;
        serviceLifeEndDate?: string;
        storageSheet?: string;
        stockUnit?: string;
        purchaseUnit?: string;
        salesUnit?: string;
        statisticalUnit?: string;
        eeUnit?: string;
        purchaseUnitToStockUnitConversionFactor?: decimal | string;
        isPurchaseFactorEntryAllowed?: boolean | string;
        salesUnitToStockUnitConversionFactor?: decimal | string;
        isSalesFactorEntryAllowed?: boolean | string;
        statisticalUnitToStockUnitConversionFactor?: decimal | string;
        eeUnitToStockUnitConversionFactor?: decimal | string;
        weightUnit?: string;
        productWeight?: decimal | string;
        volumeUnit?: string;
        productVolume?: decimal | string;
        lotSequenceNumber?: string;
        serialSequenceNumber?: string;
        serialNumberManagementMode?: SerialNumberManagement;
        expirationManagementMode?: ExpirationManagement;
        expirationStockStatus?: string;
        expirationLeadTime?: integer | string;
        checkLeadTime?: integer | string;
        isNegativeStockAuthorized?: boolean | string;
        costGroup?: string;
        userAccessCode?: string;
        alternateProduct?: string;
        isIntrastatDeclarationSubmitted?: boolean | string;
        intrastatCommodity?: string;
        purchasingPlanningHorizonTimeUnit?: LeadTimeUnit;
        purchasingPlanningHorizon?: integer | string;
        purchasingFirmHorizon?: integer | string;
        purchasingFirmHorizonTimeUnit?: LeadTimeUnit;
        buyer?: string;
        planner?: string;
        reorderLeadTime?: integer | string;
        purchaseBasePrice?: decimal | string;
        landedCostCoefficient?: decimal | string;
        fixedLandedCostPerUnit?: decimal | string;
        purchaseDeliveryTolerance?: decimal | string;
        isReceived?: boolean | string;
        isMandatoryPurchaseOrderRequest?: boolean | string;
        exemptionFlag?: string;
        taxFlagStatusLocal?: string;
        configuratorProductLine?: string;
        configuratorNumericField1?: decimal | string;
        configuratorNumericField2?: decimal | string;
        configuratorNumericField3?: decimal | string;
        configuratorNumericField4?: decimal | string;
        configuratorNumericField5?: decimal | string;
        configuratorNumericField6?: decimal | string;
        configuratorAlphaField1?: string;
        configuratorAlphaField2?: string;
        configuratorAlphaField3?: string;
        configuratorAlphaField4?: string;
        configuratorAlphaField5?: string;
        configuratorAlphaField6?: string;
        configurationJournal?: string;
        configuratorBusinessPartner?: string;
        configuratorBusinessPartnerReference?: string;
        configuratorReferenceProduct?: string;
        configuratorPurgeDate?: string;
        isInstalledBaseCreated?: boolean | string;
        voucherCategory?: string;
        tokensToBeCredited?: integer | string;
        creditUnit?: string;
        labelFormatForStockUnit?: string;
        bomCodeForAfterSales?: integer | string;
        productTypeForAfterSales?: TypeOfProduct;
        isAfterSalesProductIssuedByDefault?: boolean | string;
        daysUnit?: string;
        hourUnit?: string;
        minuteUnit?: string;
        productDensity?: decimal | string;
        isPurchased?: boolean | string;
        isManufactured?: boolean | string;
        isSubcontracted?: boolean | string;
        isService?: boolean | string;
        isPhantom?: boolean | string;
        isGeneric?: boolean | string;
        isTools?: boolean | string;
        isDeliverable?: boolean | string;
        isSold?: boolean | string;
        isIntermediary?: boolean | string;
        isCapitalized?: boolean | string;
        newStockStatusAfterRecontrol?: string;
        useByDateCoefficient?: decimal | string;
        intrastatFederalStateOrRegion?: string;
        plmProductReference?: string;
        plmLinkedDocuments?: string;
        plmProductHistory?: string;
        sageSalesTax?: string;
        allergens?: string;
        allergenChangeDate?: string;
        allergenBomCode?: integer | string;
        saftProductType?: SafTProductType;
        isVersionManaged?: boolean | string;
        minorVersionSequence?: string;
        majorVersionSequence?: string;
        isVersionPreloaded?: boolean | string;
        productType?: ProductType;
        globalTradeItemNumber?: string;
        supplierProduct?: Partial<SupplierProductInput>[];
        customerProduct?: Partial<CustomerProductInput>[];
        _picture?: string;
        _purchasingText?: string;
        _manufacturingText?: string;
        manufacturingText?: TextStream;
        picture?: BinaryStream;
        purchasingText?: TextStream;
        packingUnits?: Partial<ProductPackingUnitsInput>[];
        statisticalGroups?: Partial<ProductStatisticalGroupsInput>[];
        costType?: string;
        stockManagementMode?: StockManagement;
        lotManagementMode?: LotManagementMode;
        materialCostGroup?: MaterialCostGroup;
        traceabilityManagementMode?: TraceabilityManagementMode;
        traceabilityLevel?: TraceabilityLevel;
        expirationTimeUnit?: ExpirationLeadTimeUnits;
        recontrolTimeUnit?: ExpirationLeadTimeUnits;
        stockVersionMode?: StockVersionMode;
        taxLevels?: Partial<ProductTaxLevelsInput>[];
        basePrice?: decimal | string;
        packaging?: string;
        packagingCapacity?: decimal | string;
        productPickingText?: TextStream;
        productSalesText?: TextStream;
        substitutionDate?: string;
        substitutionProduct?: string;
    }
    export interface ProductBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        company: Company;
        productCategory: ProductCategory;
        searchKey: string;
        description1: string;
        description2: string;
        description3: string;
        localizedDescription1: string;
        localizedDescription2: string;
        localizedDescription3: string;
        managementMode: StandardProductCode;
        standard: string;
        upc: string;
        productStatus: ProductStatus;
        isPrototype: boolean;
        defaultPotencyInPercentage: string;
        defaultPotencyInInternationalUnit: string;
        serviceLifeStartDate: string;
        serviceLifeEndDate: string;
        storageSheet: string;
        stockUnit: UnitOfMeasure;
        purchaseUnit: UnitOfMeasure;
        salesUnit: UnitOfMeasure;
        statisticalUnit: UnitOfMeasure;
        eeUnit: UnitOfMeasure;
        purchaseUnitToStockUnitConversionFactor: string;
        isPurchaseFactorEntryAllowed: boolean;
        salesUnitToStockUnitConversionFactor: string;
        isSalesFactorEntryAllowed: boolean;
        statisticalUnitToStockUnitConversionFactor: string;
        eeUnitToStockUnitConversionFactor: string;
        weightUnit: UnitOfMeasure;
        productWeight: string;
        volumeUnit: UnitOfMeasure;
        productVolume: string;
        lotSequenceNumber: string;
        serialSequenceNumber: string;
        serialNumberManagementMode: SerialNumberManagement;
        expirationManagementMode: ExpirationManagement;
        expirationStockStatus: string;
        expirationLeadTime: integer;
        checkLeadTime: integer;
        isNegativeStockAuthorized: boolean;
        costGroup: string;
        userAccessCode: Access;
        alternateProduct: Product;
        isIntrastatDeclarationSubmitted: boolean;
        intrastatCommodity: string;
        purchasingPlanningHorizonTimeUnit: LeadTimeUnit;
        purchasingPlanningHorizon: integer;
        purchasingFirmHorizon: integer;
        purchasingFirmHorizonTimeUnit: LeadTimeUnit;
        buyer: User;
        planner: User;
        reorderLeadTime: integer;
        purchaseBasePrice: string;
        landedCostCoefficient: string;
        fixedLandedCostPerUnit: string;
        purchaseDeliveryTolerance: string;
        isReceived: boolean;
        isMandatoryPurchaseOrderRequest: boolean;
        exemptionFlag: string;
        taxFlagStatusLocal: string;
        configuratorProductLine: string;
        configuratorNumericField1: string;
        configuratorNumericField2: string;
        configuratorNumericField3: string;
        configuratorNumericField4: string;
        configuratorNumericField5: string;
        configuratorNumericField6: string;
        configuratorAlphaField1: string;
        configuratorAlphaField2: string;
        configuratorAlphaField3: string;
        configuratorAlphaField4: string;
        configuratorAlphaField5: string;
        configuratorAlphaField6: string;
        configurationJournal: string;
        configuratorBusinessPartner: BusinessPartner;
        configuratorBusinessPartnerReference: string;
        configuratorReferenceProduct: Product;
        configuratorPurgeDate: string;
        isInstalledBaseCreated: boolean;
        voucherCategory: MiscellaneousTable;
        tokensToBeCredited: integer;
        creditUnit: UnitOfMeasure;
        labelFormatForStockUnit: GenericPrintReport;
        bomCodeForAfterSales: BomCodes;
        productTypeForAfterSales: TypeOfProduct;
        isAfterSalesProductIssuedByDefault: boolean;
        daysUnit: UnitOfMeasure;
        hourUnit: UnitOfMeasure;
        minuteUnit: UnitOfMeasure;
        productDensity: string;
        isPurchased: boolean;
        isManufactured: boolean;
        isSubcontracted: boolean;
        isService: boolean;
        isPhantom: boolean;
        isGeneric: boolean;
        isTools: boolean;
        isDeliverable: boolean;
        isSold: boolean;
        isIntermediary: boolean;
        isCapitalized: boolean;
        newStockStatusAfterRecontrol: string;
        useByDateCoefficient: string;
        intrastatFederalStateOrRegion: MiscellaneousTable;
        plmProductReference: string;
        plmLinkedDocuments: string;
        plmProductHistory: string;
        sageSalesTax: MiscellaneousTable;
        allergens: string;
        allergenChangeDate: string;
        allergenBomCode: integer;
        saftProductType: SafTProductType;
        isVersionManaged: boolean;
        minorVersionSequence: string;
        majorVersionSequence: string;
        isVersionPreloaded: boolean;
        productType: ProductType;
        globalTradeItemNumber: string;
        productSites: ClientCollection<ProductSite>;
        supplierProduct: ClientCollection<SupplierProduct>;
        customerProduct: ClientCollection<CustomerProduct>;
        _picture: CommonImage;
        _purchasingText: CommonText;
        _manufacturingText: CommonText;
        manufacturingText: TextStream;
        picture: BinaryStream;
        purchasingText: TextStream;
        packingUnits: ClientCollection<ProductPackingUnitsBinding>;
        statisticalGroups: ClientCollection<ProductStatisticalGroupsBinding>;
        costType: CostType;
        stockManagementMode: StockManagement;
        lotManagementMode: LotManagementMode;
        materialCostGroup: MaterialCostGroup;
        traceabilityManagementMode: TraceabilityManagementMode;
        traceabilityLevel: TraceabilityLevel;
        expirationTimeUnit: ExpirationLeadTimeUnits;
        recontrolTimeUnit: ExpirationLeadTimeUnits;
        stockVersionMode: StockVersionMode;
        taxLevels: ClientCollection<ProductTaxLevelsBinding>;
        basePrice: string;
        packaging: Packaging;
        packagingCapacity: string;
        productPickingText: TextStream;
        productSalesText: TextStream;
        substitutionDate: string;
        substitutionProduct: Product;
    }
    export interface ProductExtension$Lookups {
        packaging: QueryOperation<Packaging>;
        substitutionProduct: QueryOperation<Product>;
    }
    export interface ProductExtension$Operations {
        lookups(dataOrId: string | { data: ProductInput }): ProductExtension$Lookups;
    }
    export interface ShipToCustomerAddressExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        customer: Customer;
        shipToAddress: CustomerAddress;
        company: Company;
        isActive: boolean;
        shippingSite: Site;
        receiptSite: Site;
        language: Language;
        carrier: Carrier;
        incoterm: Incoterm;
        intrastatTransportLocation: CountryLocation;
        deliveryLeadTime: integer;
        isMondayWorkday: boolean;
        isTuesdayWorkday: boolean;
        isWednesdayWorkday: boolean;
        isThursdayWorkday: boolean;
        isFridayWorkday: boolean;
        isSaturdayWorkday: boolean;
        isSundayWorkday: boolean;
        unavailablePeriod: UnavailablePeriods;
        intrastatIncreaseCoefficient: string;
        europeanUnionVatNumber: string;
        incotermTown: string;
        forwardingAgent: Carrier;
        forwardingAgentAddress: Address;
        geographicCode: string;
        insideCityLimits: string;
        taxExemptionNumber: string;
        exemptionFlag: string;
        mustPrintPickTicket: boolean;
        mustPrintPackingSlip: boolean;
        entityUse: MiscellaneousTable;
        _pickingHeaderText: CommonText;
        _deliveryHeaderText: CommonText;
        deliveryHeaderText: TextStream;
        pickingHeaderText: TextStream;
        _nodeStatus: string;
        companyNames: ClientCollection<ShipToCustomerAddressCompanyNames>;
        salesReps: ClientCollection<ShipToCustomerAddressSalesReps>;
        taxRule: TaxRule;
        routeCode: RouteCode;
        deliveryPriority: DeliveryPriority;
    }
    export interface ShipToCustomerAddressInputExtension {
        customer?: string;
        shipToAddress?: string;
        company?: string;
        isActive?: boolean | string;
        shippingSite?: string;
        receiptSite?: string;
        language?: string;
        carrier?: string;
        incoterm?: string;
        intrastatTransportLocation?: CountryLocation;
        deliveryLeadTime?: integer | string;
        isMondayWorkday?: boolean | string;
        isTuesdayWorkday?: boolean | string;
        isWednesdayWorkday?: boolean | string;
        isThursdayWorkday?: boolean | string;
        isFridayWorkday?: boolean | string;
        isSaturdayWorkday?: boolean | string;
        isSundayWorkday?: boolean | string;
        unavailablePeriod?: string;
        intrastatIncreaseCoefficient?: decimal | string;
        europeanUnionVatNumber?: string;
        incotermTown?: string;
        forwardingAgent?: string;
        forwardingAgentAddress?: string;
        geographicCode?: string;
        insideCityLimits?: string;
        taxExemptionNumber?: string;
        exemptionFlag?: string;
        mustPrintPickTicket?: boolean | string;
        mustPrintPackingSlip?: boolean | string;
        entityUse?: string;
        _pickingHeaderText?: string;
        _deliveryHeaderText?: string;
        deliveryHeaderText?: TextStream;
        pickingHeaderText?: TextStream;
        companyNames?: Partial<ShipToCustomerAddressCompanyNamesInput>[];
        salesReps?: Partial<ShipToCustomerAddressSalesRepsInput>[];
        taxRule?: string;
        routeCode?: RouteCode;
        deliveryPriority?: DeliveryPriority;
    }
    export interface ShipToCustomerAddressBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        customer: Customer;
        shipToAddress: CustomerAddress;
        company: Company;
        isActive: boolean;
        shippingSite: Site;
        receiptSite: Site;
        language: Language;
        carrier: Carrier;
        incoterm: Incoterm;
        intrastatTransportLocation: CountryLocation;
        deliveryLeadTime: integer;
        isMondayWorkday: boolean;
        isTuesdayWorkday: boolean;
        isWednesdayWorkday: boolean;
        isThursdayWorkday: boolean;
        isFridayWorkday: boolean;
        isSaturdayWorkday: boolean;
        isSundayWorkday: boolean;
        unavailablePeriod: UnavailablePeriods;
        intrastatIncreaseCoefficient: string;
        europeanUnionVatNumber: string;
        incotermTown: string;
        forwardingAgent: Carrier;
        forwardingAgentAddress: Address;
        geographicCode: string;
        insideCityLimits: string;
        taxExemptionNumber: string;
        exemptionFlag: string;
        mustPrintPickTicket: boolean;
        mustPrintPackingSlip: boolean;
        entityUse: MiscellaneousTable;
        _pickingHeaderText: CommonText;
        _deliveryHeaderText: CommonText;
        deliveryHeaderText: TextStream;
        pickingHeaderText: TextStream;
        _nodeStatus: string;
        companyNames: ClientCollection<ShipToCustomerAddressCompanyNamesBinding>;
        salesReps: ClientCollection<ShipToCustomerAddressSalesRepsBinding>;
        taxRule: TaxRule;
        routeCode: RouteCode;
        deliveryPriority: DeliveryPriority;
    }
    export interface Package {
        '@sage/x3-sales-data/SalesDeliveryType': SalesDeliveryType$Operations;
        '@sage/x3-sales-data/SalesInvoiceType': SalesInvoiceType$Operations;
        '@sage/x3-sales-data/SalesOrderType': SalesOrderType$Operations;
        '@sage/x3-sales-data/SalesPriceReason': SalesPriceReason$Operations;
        '@sage/x3-sales-data/SalesQuoteType': SalesQuoteType$Operations;
        '@sage/x3-sales-data/SalesReturnType': SalesReturnType$Operations;
    }
    export interface GraphApi
        extends Package,
            SageX3InvoicingData$Package,
            SageX3MasterData$Package,
            SageX3PhysicalFlowsData$Package,
            SageX3ProjectManagementData$Package,
            SageX3StockData$Package,
            SageX3Structure$Package,
            SageX3System$Package,
            SageXtremAppMetadata$Package,
            SageXtremX3SystemUtils$Package {}
}
declare module '@sage/x3-sales-data-api' {
    export type * from '@sage/x3-sales-data-api-partial';
}
declare module '@sage/x3-invoicing-data-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-sales-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-master-data-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-sales-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-physical-flows-data-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-sales-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-project-management-data-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-sales-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-stock-data-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-sales-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-structure-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-sales-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-system-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-sales-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/xtrem-app-metadata-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-sales-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/xtrem-x3-system-utils-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-sales-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-invoicing-data-api-partial' {
    import type {
        CustomerInvoiceHeaderBindingExtension,
        CustomerInvoiceHeaderExtension,
        CustomerInvoiceHeaderExtension$Lookups,
        CustomerInvoiceHeaderExtension$Operations,
        CustomerInvoiceHeaderInputExtension,
    } from '@sage/x3-sales-data-api';
    export interface CustomerInvoiceHeader extends CustomerInvoiceHeaderExtension {}
    export interface CustomerInvoiceHeaderBinding extends CustomerInvoiceHeaderBindingExtension {}
    export interface CustomerInvoiceHeaderInput extends CustomerInvoiceHeaderInputExtension {}
    export interface CustomerInvoiceHeader$Lookups extends CustomerInvoiceHeaderExtension$Lookups {}
    export interface CustomerInvoiceHeader$Operations extends CustomerInvoiceHeaderExtension$Operations {}
}
declare module '@sage/x3-master-data-api-partial' {
    import type {
        ProductBindingExtension,
        ProductExtension,
        ProductExtension$Lookups,
        ProductExtension$Operations,
        ProductInputExtension,
        ShipToCustomerAddressBindingExtension,
        ShipToCustomerAddressExtension,
        ShipToCustomerAddressInputExtension,
    } from '@sage/x3-sales-data-api';
    export interface Product extends ProductExtension {}
    export interface ProductBinding extends ProductBindingExtension {}
    export interface ProductInput extends ProductInputExtension {}
    export interface Product$Lookups extends ProductExtension$Lookups {}
    export interface Product$Operations extends ProductExtension$Operations {}
    export interface ShipToCustomerAddress extends ShipToCustomerAddressExtension {}
    export interface ShipToCustomerAddressBinding extends ShipToCustomerAddressBindingExtension {}
    export interface ShipToCustomerAddressInput extends ShipToCustomerAddressInputExtension {}
}
