import * as React from 'react';
import type { DateProperties } from '../../control-objects';
import { ErrorableFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { DateComponentProps } from './date-types';
export interface DateComponentState {
    internalError?: string;
    formattedValue?: string;
    rawValue?: string;
}
export declare class DateComponent extends ErrorableFieldBaseComponent<DateProperties, string, NestedFieldsAdditionalProperties, DateComponentState> {
    private readonly dateInputRef;
    constructor(props: DateComponentProps);
    private readonly onInputValueChanged;
    private readonly dispatchChange;
    UNSAFE_componentWillReceiveProps(nextProps: DateComponentProps): void;
    private readonly onBlur;
    private readonly onChange;
    private readonly onKeyDown;
    private readonly getFormattedDate;
    private readonly validate;
    render(): React.ReactNode;
}
export declare const ConnectedDateComponent: import("react-redux").ConnectedComponent<typeof DateComponent, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<DateComponent> | undefined;
    bind?: any;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    screenId: string;
    contextType?: import("../../../types").ContextType | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default ConnectedDateComponent;
//# sourceMappingURL=date-component.d.ts.map