/**
 * @packageDocumentation
 * @module root
 * */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { EditableFieldControlObject } from '../../editable-field-control-object';
import { ControlObjectProperty } from '../../property-decorators/control-object-property-decorator';
/**
 * [Field]{@link EditableFieldControlObject} that holds a rich, formatted text value
 */
export class RichTextControlObject extends EditableFieldControlObject {
    static { this.defaultUiProperties = {
        ...EditableFieldControlObject.defaultUiProperties,
        capabilities: [
            'bold',
            'italic',
            'underline',
            'strikethrough',
            'history',
            'heading',
            'fontColor',
            'fontBackgroundColor',
            'fontSize',
            'fontFamily',
            'table',
            'lists',
            'alignment',
            'indentation',
            'link',
        ],
        height: '300px',
    }; }
    /** Field's value */
    get value() {
        const value = this._getValue();
        return value ? value.value : null;
    }
    /** Field's value */
    set value(newValue) {
        this._setValue({ value: newValue });
    }
}
__decorate([
    ControlObjectProperty()
    /** The value of the height attribute of the HTML image (e.g. 100px, 75%, auto, etc.) */
], RichTextControlObject.prototype, "height", void 0);
//# sourceMappingURL=rich-text-control-object.js.map