import * as React from 'react';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { SelectItem } from '../../ui/select/select-component';
import type { StepSequenceDecoratorProperties } from './step-sequence-types';
export declare class StepSequenceComponent extends ReadonlyFieldBaseComponent<StepSequenceDecoratorProperties, any> {
    getStatus: ({ index, steps, step, }: {
        index: number;
        steps: SelectItem[];
        step: SelectItem;
    }) => 'current' | 'complete' | 'incomplete';
    getSteps: () => SelectItem[];
    localizeCount: (stepNum: number, totalNum: number) => string;
    render(): React.ReactNode;
}
export declare const ConnectedStepSequenceComponent: import("react-redux").ConnectedComponent<typeof StepSequenceComponent, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<StepSequenceComponent> | undefined;
    contextType?: import("../../../types").ContextType | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    screenId: string;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    bind?: any;
    elementId: string;
    contextNode?: import("../../../types").NodePropertyType | undefined;
    parentElementId?: string | undefined;
    level?: number | undefined;
    columnDefinition?: any;
    handlersArguments?: import("../../nested-fields").NestedFieldHandlersArguments | undefined;
    isNested?: boolean | undefined;
    recordContext?: any;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default ConnectedStepSequenceComponent;
//# sourceMappingURL=step-sequence-component.d.ts.map