import * as sageX3MasterData from '@sage/x3-master-data';
import { NodeExtension, Reference } from '@sage/xtrem-core';
import * as sageX3Sales from '..';
export declare class CustomerExtension extends NodeExtension<sageX3MasterData.nodes.Customer> {
    readonly customerType: Promise<sageX3Sales.enums.CustomerType | null>;
    readonly freightInvoicing: Promise<sageX3Sales.enums.FreightInvoicing | null>;
    readonly openItemStatementFrequency: Promise<sageX3Sales.enums.StatementPeriod | null>;
    readonly invoicePeriod: Promise<sageX3Sales.enums.InvoicingFrequency | null>;
    readonly dueDateOrigin: Promise<sageX3Sales.enums.DueDateCalculationSourceDa | null>;
    readonly partialDelivery: Promise<sageX3Sales.enums.PartialDelivery | null>;
    readonly invoicingMode: Promise<sageX3Sales.enums.InvoicingMode | null>;
    readonly serviceContract: Reference<sageX3Sales.nodes.ServiceContractTemplate | null>;
    readonly lastContactType: Promise<sageX3Sales.enums.SalesContactType | null>;
    readonly nextContactType: Promise<sageX3Sales.enums.SalesContactType | null>;
}
declare module '@sage/x3-master-data/lib/nodes/customer' {
    interface Customer extends CustomerExtension {
    }
}
//# sourceMappingURL=customer-extension.d.ts.map