"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductCategoryExtension = void 0;
const sageX3MasterData = require("@sage/x3-master-data");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageX3FinanceData = require("..");
const joins = {
    referenceJoins: {
        accountingCode: {
            type() {
                return 'product';
            },
            accountingCode: 'accountingCode',
        },
    },
};
let ProductCategoryExtension = class ProductCategoryExtension extends xtrem_core_1.NodeExtension {
};
exports.ProductCategoryExtension = ProductCategoryExtension;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'ACCCOD',
        columnType: 'string',
        filters: {
            lookup: {
                type: 'product',
            },
            control: {
                type: 'product',
            },
        },
        node: () => sageX3FinanceData.nodes.AccountingCode,
    })
], ProductCategoryExtension.prototype, "accountingCode", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        isVital: true,
        reverseReference: '_denormalizedParent',
        node: () => sageX3FinanceData.nodes.ProductCategoryDimensions,
    })
], ProductCategoryExtension.prototype, "dimensions", void 0);
exports.ProductCategoryExtension = ProductCategoryExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageX3MasterData.nodes.ProductCategory,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], ProductCategoryExtension);
//# sourceMappingURL=product-category-extension.js.map