"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SalesOrderLineExtension = void 0;
const sageX3Purchasing = require("@sage/x3-purchasing");
const sageX3Sales = require("@sage/x3-sales");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const joins = {};
const compositeReferences = {
    salesOrderQuantityLine: {
        purchaseOrder: 'purchaseOrder',
        purchaseOrderLine: 'purchaseOrderLine',
        purchaseOrderSequenceNumber: 'purchaseOrderSequenceNumber',
    },
};
let SalesOrderLineExtension = class SalesOrderLineExtension extends xtrem_core_1.NodeExtension {
};
exports.SalesOrderLineExtension = SalesOrderLineExtension;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'POHNUM',
        columnType: 'string',
        node: () => sageX3Purchasing.nodes.PurchaseOrder,
    })
], SalesOrderLineExtension.prototype, "purchaseOrder", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'POPLIN',
        columnType: 'integer',
        node: () => sageX3Purchasing.nodes.PurchaseOrderLine,
    })
], SalesOrderLineExtension.prototype, "purchaseOrderLine", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'POQSEQ',
    })
], SalesOrderLineExtension.prototype, "purchaseOrderSequenceNumber", void 0);
exports.SalesOrderLineExtension = SalesOrderLineExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageX3Sales.nodes.SalesOrderLine,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
            compositeReferences,
        }),
    })
], SalesOrderLineExtension);
//# sourceMappingURL=sales-order-line-extension.js.map