"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SalesReturnLineExtension = void 0;
const sageX3Purchasing = require("@sage/x3-purchasing");
const sageX3Sales = require("@sage/x3-sales");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const joins = {
    referenceJoins: {
        purchaseReturn: {
            id: 'purchaseReturn',
        },
        purchaseReturnLine: {
            purchaseReturn: 'purchaseReturn',
            lineNumber: 'purchaseReturnLine',
        },
    },
};
let SalesReturnLineExtension = class SalesReturnLineExtension extends xtrem_core_1.NodeExtension {
};
exports.SalesReturnLineExtension = SalesReturnLineExtension;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'PNHNUM',
        columnType: 'string',
        node: () => sageX3Purchasing.nodes.PurchaseReturn,
    })
], SalesReturnLineExtension.prototype, "purchaseReturn", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'PNDLIN',
        columnType: 'integer',
        node: () => sageX3Purchasing.nodes.PurchaseReturnLine,
    })
], SalesReturnLineExtension.prototype, "purchaseReturnLine", void 0);
exports.SalesReturnLineExtension = SalesReturnLineExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageX3Sales.nodes.SalesReturnLine,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], SalesReturnLineExtension);
//# sourceMappingURL=sales-return-line-extension.js.map