"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StockJournalImportExtension = void 0;
const sageX3ManufacturingData = require("@sage/x3-manufacturing-data");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageX3FinanceData = require("..");
const joins = {
    referenceJoins: {
        stockAutomaticJournal: {
            code: 'stockAutomaticJournal',
        },
    },
};
let StockJournalImportExtension = class StockJournalImportExtension extends xtrem_core_1.NodeExtension {
};
exports.StockJournalImportExtension = StockJournalImportExtension;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'ENTCOD',
        columnType: 'string',
        node: () => sageX3FinanceData.nodes.AutomaticJournal,
    })
], StockJournalImportExtension.prototype, "stockAutomaticJournal", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'GTE',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], StockJournalImportExtension.prototype, "journalEntryDocumentType", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        isVital: true,
        reverseReference: '_denormalizedParent',
        node: () => sageX3FinanceData.nodes.StockJournalImportDimensions,
    })
], StockJournalImportExtension.prototype, "dimensions", void 0);
exports.StockJournalImportExtension = StockJournalImportExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageX3ManufacturingData.nodes.StockJournalImport,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], StockJournalImportExtension);
//# sourceMappingURL=stock-journal-import-extension.js.map