"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AttributeLine = void 0;
const sageX3System = require("@sage/x3-system");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageX3Manufacturing = require("..");
const joins = {
    referenceJoins: {
        attributeCode: {
            attributeCode: 'attributeCode',
        },
    },
};
let AttributeLine = class AttributeLine extends xtrem_core_1.Node {
};
exports.AttributeLine = AttributeLine;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'ATTCOD',
        columnType: 'string',
        node: () => sageX3Manufacturing.nodes.Attribute,
    })
], AttributeLine.prototype, "attributeCode", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        isNotEmpty: true,
        columnName: 'ATTVALCOD',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], AttributeLine.prototype, "attributeValue", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'ATTVALDESAXX',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.translatableTextDatatype,
    })
], AttributeLine.prototype, "attributeValueDescription", void 0);
exports.AttributeLine = AttributeLine = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'GFSATTVAL',
        keyPropertyNames: ['attributeCode', 'attributeValue'],
        indexes: [
            {
                orderBy: {
                    attributeCode: 1,
                    attributeValue: 1,
                },
                isUnique: true,
                isNaturalKey: true,
            },
        ],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
        }),
        serviceOptions: () => [sageX3System.serviceOptions.GfsaActivityCode],
        isPublished: true,
        canRead: true,
        canSearch: true,
    })
], AttributeLine);
//# sourceMappingURL=attribute-line.js.map