"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CapacityVariationCapacityVariationGroups = void 0;
const sageX3MasterData = require("@sage/x3-master-data");
const sageX3System = require("@sage/x3-system");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageX3Manufacturing = require("..");
const denormalized = { maxRepeat: 25 };
const joins = {
    referenceJoins: {
        _denormalizedParent: {
            workCenter: 'workCenter',
            manufacturingSite: 'manufacturingSite',
        },
        reason: {
            glossaryId() {
                return 801;
            },
            code: 'reason',
        },
        weeklyStructure: {
            code: 'weeklyStructure',
        },
    },
};
let CapacityVariationCapacityVariationGroups = class CapacityVariationCapacityVariationGroups extends xtrem_core_1.Node {
};
exports.CapacityVariationCapacityVariationGroups = CapacityVariationCapacityVariationGroups;
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
    })
], CapacityVariationCapacityVariationGroups.prototype, "denormalizedIndex", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        isNotEmpty: true,
        columnName: 'WST',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], CapacityVariationCapacityVariationGroups.prototype, "workCenter", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        isNotEmpty: true,
        columnName: 'WCRFCY',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], CapacityVariationCapacityVariationGroups.prototype, "manufacturingSite", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isStored: true,
        isVitalParent: true,
        columnType: 'string',
        node: () => sageX3Manufacturing.nodes.CapacityVariation,
    })
], CapacityVariationCapacityVariationGroups.prototype, "_denormalizedParent", void 0);
__decorate([
    xtrem_core_1.decorators.dateProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'STRDAT',
        defaultValue() {
            return xtrem_x3_gateway_1.X3StorageManager.getDateDefaultValue(this);
        },
    })
], CapacityVariationCapacityVariationGroups.prototype, "startDate", void 0);
__decorate([
    xtrem_core_1.decorators.dateProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'ENDDAT',
        defaultValue() {
            return xtrem_x3_gateway_1.X3StorageManager.getDateDefaultValue(this);
        },
    })
], CapacityVariationCapacityVariationGroups.prototype, "endDate", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CODVAR',
        columnType: 'string',
        filters: {
            lookup: {
                glossaryId: 801,
            },
            control: {
                glossaryId: 801,
            },
        },
        node: () => sageX3System.nodes.MiscellaneousTable,
    })
], CapacityVariationCapacityVariationGroups.prototype, "reason", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'TWD',
        columnType: 'string',
        node: () => sageX3MasterData.nodes.WeeklyStructure,
    })
], CapacityVariationCapacityVariationGroups.prototype, "weeklyStructure", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'WSTNBR',
    })
], CapacityVariationCapacityVariationGroups.prototype, "numberOfResources", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'VARTEX',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], CapacityVariationCapacityVariationGroups.prototype, "text", void 0);
exports.CapacityVariationCapacityVariationGroups = CapacityVariationCapacityVariationGroups = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'CAPVAR',
        keyPropertyNames: ['denormalizedIndex', 'workCenter', 'manufacturingSite'],
        indexes: [],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
            isDenormalized: true,
            denormalized,
        }),
        isPublished: true,
        canRead: true,
        canSearch: true,
        isVitalCollectionChild: true,
    })
], CapacityVariationCapacityVariationGroups);
//# sourceMappingURL=capacity-variation-capacity-variation-groups.js.map