import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3SalesData from '@sage/x3-sales-data';
import * as sageX3System from '@sage/x3-system';
import { Node, integer, Reference, date, decimal } from '@sage/xtrem-core';
import * as sageX3Stock from '..';
export declare class PickList extends Node {
    readonly preparationList: Promise<string>;
    readonly preparationListSequenceNumber: Promise<integer | null>;
    readonly pickTicket: Reference<sageX3Stock.nodes.PickTicket | null>;
    readonly pickTicketLine: Reference<sageX3Stock.nodes.PickTicketLine | null>;
    readonly sourcePickTicketType: Promise<sageX3Stock.enums.PreparationSource | null>;
    readonly sourcePickTicket: Promise<string>;
    readonly sourcePickTicketLine: Promise<integer | null>;
    readonly sourcePickTicketSequenceNumber: Promise<integer | null>;
    readonly lineType: Promise<sageX3SalesData.enums.LineType | null>;
    readonly stockSite: Reference<sageX3System.nodes.Site>;
    readonly product: Reference<sageX3MasterData.nodes.Product>;
    readonly subcontractReorderLocation: Promise<string>;
    readonly allocationSequence: Promise<integer | null>;
    readonly requirementDate: Promise<date | null>;
    readonly deliveryDate: Promise<date | null>;
    readonly quantityInStockUnit: Promise<decimal | null>;
    readonly stockUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure>;
    readonly packingUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
    readonly packingUnitToStockUnitConversionFactor: Promise<decimal | null>;
    readonly soldToCustomer: Reference<sageX3MasterData.nodes.BusinessPartner>;
    readonly deliveryAddress: Reference<sageX3MasterData.nodes.ShipToCustomerAddress>;
    readonly carrier: Reference<sageX3MasterData.nodes.Carrier | null>;
    readonly packagingCapacity: Promise<decimal | null>;
    readonly picker: Reference<sageX3System.nodes.User | null>;
    readonly isPacked: Promise<boolean>;
}
//# sourceMappingURL=pick-list.d.ts.map