"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SysFunctionalProfilePerSite = void 0;
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const x3SystemUtils = require("..");
const joins = {
    referenceJoins: {
        site: {
            code: 'site',
        },
        profile: {
            profile: 'profile',
        },
        function: {
            internal: 'function',
        },
    },
};
/** 4GL code: AFCTFCY */
let SysFunctionalProfilePerSite = class SysFunctionalProfilePerSite extends xtrem_core_1.Node {
};
exports.SysFunctionalProfilePerSite = SysFunctionalProfilePerSite;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        columnName: 'FCY',
        isStored: true,
        columnType: 'string',
        isNullable: true,
        node: () => x3SystemUtils.nodes.SysSite,
    })
], SysFunctionalProfilePerSite.prototype, "site", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        columnName: 'PRFCOD',
        isStored: true,
        columnType: 'string',
        node: () => x3SystemUtils.nodes.SysUserFunctionProfile,
    })
], SysFunctionalProfilePerSite.prototype, "profile", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        columnName: 'FNC',
        isStored: true,
        columnType: 'string',
        node: () => x3SystemUtils.nodes.SysFunction,
    })
], SysFunctionalProfilePerSite.prototype, "function", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        columnName: 'OPT',
        dataType: () => x3SystemUtils.datatypes.genericDataTypes.textDatatype,
        isStored: true,
    })
], SysFunctionalProfilePerSite.prototype, "options", void 0);
exports.SysFunctionalProfilePerSite = SysFunctionalProfilePerSite = __decorate([
    xtrem_core_1.decorators.node({
        tableName: 'AFCTFCY',
        storage: 'external',
        canRead: true,
        canSearch: true,
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({ joins }),
        keyPropertyNames: ['site', 'profile', 'function'],
        indexes: [
            {
                orderBy: {
                    site: 1,
                    profile: 1,
                    function: 1,
                },
                isUnique: true,
            },
        ],
    })
], SysFunctionalProfilePerSite);
//# sourceMappingURL=sys-functional-profile-per-site.js.map