import { Node, Reference, Context, DateValue } from '@sage/xtrem-core';
import * as sageX3System from '..';
export declare class UserParameterValue extends Node {
    readonly description: Promise<string>;
    readonly user: Reference<sageX3System.nodes.User | null>;
    readonly value: Promise<string>;
    readonly defaultSetOfValues: Reference<sageX3System.nodes.MiscellaneousTable | null>;
    static readByUserParameterValueDate(context: Context, parameters: {
        code: string;
        user: string;
    }): Promise<{
        value: DateValue;
    }>;
    static readByUserParameterValueInteger(context: Context, parameters: {
        code: string;
        user: string;
    }): Promise<{
        value: number;
    }>;
    static readByUserParameterValueString(context: Context, parameters: {
        code: string;
        user: string;
    }): Promise<{
        value: string;
    }>;
    static readParameterValueDate(context: Context, parameters: {
        code: string;
    }): Promise<{
        value: DateValue;
    }>;
    static readParameterValueInteger(context: Context, parameters: {
        code: string;
    }): Promise<{
        value: number;
    }>;
    static readParameterValueString(context: Context, parameters: {
        code: string;
    }): Promise<{
        value: string;
    }>;
}
//# sourceMappingURL=user-parameter-value.d.ts.map