"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserSupervisors = void 0;
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageX3System = require("..");
const denormalized = { maxRepeat: 20 };
const joins = {
    referenceJoins: {
        _denormalizedParent: {
            code: 'code',
        },
        supervisor: {
            code: 'supervisor',
        },
    },
};
let UserSupervisors = class UserSupervisors extends xtrem_core_1.Node {
};
exports.UserSupervisors = UserSupervisors;
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
    })
], UserSupervisors.prototype, "denormalizedIndex", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        isNotEmpty: true,
        columnName: 'USR',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], UserSupervisors.prototype, "code", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isStored: true,
        isVitalParent: true,
        columnType: 'string',
        node: () => sageX3System.nodes.User,
    })
], UserSupervisors.prototype, "_denormalizedParent", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CHEF',
        columnType: 'string',
        node: () => sageX3System.nodes.User,
    })
], UserSupervisors.prototype, "supervisor", void 0);
exports.UserSupervisors = UserSupervisors = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'AUTILIS',
        keyPropertyNames: ['denormalizedIndex', 'code'],
        indexes: [],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
            isDenormalized: true,
            denormalized,
        }),
        isPublished: true,
        canRead: true,
        canSearch: true,
        isVitalCollectionChild: true,
    })
], UserSupervisors);
//# sourceMappingURL=user-supervisors.js.map