import { Product } from '@sage/x3-master-data-api';
import { GraphApi } from '@sage/x3-stock-api';
import { LotsSites, SerialNumber, Stock } from '@sage/x3-stock-data-api';
import * as ui from '@sage/xtrem-ui';
type packingUnit = {
    node: {
        packingUnit: {
            code: string;
            numberOfDecimals: number;
        };
        packingUnitToStockUnitConversionFactor: string;
        isPackingFactorEntryAllowed: boolean;
    };
};
export declare class MobilePickTicketViewPickTicketLineGlobal extends ui.Page<GraphApi> {
    private static readonly TRANSACTION_KEY;
    private static readonly DESTINATION_KEY;
    private static readonly DESTINATION_DISPLAY_KEY;
    private static readonly PICK_LIST_KEY;
    private static readonly PICK_TICKET_KEY;
    private static readonly PICK_TICKET_LINE_KEY;
    private _pickTicketLine;
    private _productSite;
    private _transaction;
    private _stockSite;
    _packingUnits: packingUnit[];
    private _pickStockLines;
    private _currentOperation;
    private _selectedLocation;
    private _stockFieldSettings;
    private _serialNumberManagementMode;
    private _selectedStockManagementRules;
    private _currentPickStockLine;
    private _mobileSettings;
    _quantityToPick: number;
    _isFilterSerialNumber: boolean;
    pickTicket: ui.fields.Text;
    pickTicketLine: ui.fields.Text;
    localizedDescription1: ui.fields.Text;
    stockSite: ui.fields.Text;
    transaction: ui.fields.Text;
    pickList: ui.fields.Text;
    quantityToPick: ui.fields.Text;
    titleQuantityToPick: ui.fields.Text;
    product: ui.fields.Reference<Product>;
    isLocationManaged: ui.fields.Checkbox;
    isLicensePlateNumberManaged: ui.fields.Checkbox;
    pickButton: ui.PageAction;
    addSerialRange: ui.PageAction;
    mainSection: ui.containers.Section;
    detailPanelSection: ui.containers.Section;
    sectionHeader: ui.containers.Section;
    pickedBlock: ui.containers.Block;
    bodyBlock: ui.containers.Block;
    detailsBlock: ui.containers.Block;
    gridBlock: ui.containers.GridRowBlock;
    quantityBlock: ui.containers.Block;
    serialNumberBlock: ui.containers.Block;
    destinationBlock: ui.containers.Block;
    listSerialNumberBlock: ui.containers.Block;
    pickedQuantity: ui.fields.Text;
    shortageSwitch: ui.fields.Switch;
    licensePlateNumber: ui.fields.Reference;
    location: ui.fields.Reference;
    lot: ui.fields.Reference<LotsSites>;
    sublot: ui.fields.Reference<LotsSites>;
    serialNumber: ui.fields.Reference<SerialNumber>;
    status: ui.fields.Select;
    packingUnit: ui.fields.Select;
    packingUnitToStockUnitConversionFactor: ui.fields.Numeric;
    identifier1: ui.fields.Text;
    identifier2: ui.fields.Text;
    stockCustomField1: ui.fields.Text;
    stockCustomField2: ui.fields.Text;
    stock: ui.fields.Table<Stock>;
    private _getStock;
    stockDetails: ui.fields.DetailList<Stock>;
    packingUnitDestination: ui.fields.DropdownList;
    packingUnitDestinationDecimales: ui.fields.Numeric;
    quantityInPackingUnitDestination: ui.fields.Numeric;
    packingUnitToStockUnitConversionFactorDestination: ui.fields.Numeric;
    stockUnit: ui.fields.Text;
    quantityInStockUnitDestination: ui.fields.Numeric;
    startingSerialNumber: ui.fields.Reference<SerialNumber>;
    endingSerialNumber: ui.fields.Text;
    locationDestination: ui.fields.Reference;
    customBoolean: ui.fields.Checkbox;
    customDecimal: ui.fields.Numeric;
    customString: ui.fields.Text;
    customDate: ui.fields.Date;
    _stockId: ui.fields.Text;
    serialNumberLines: ui.fields.Table<any>;
    private _init;
    private _removeStockNotAvailable;
    private _displayPickedQuantity;
    private _getPickedQuantityInStockUnit;
    private _getPickedQuantityInStockInStockUnit;
    private _getQuantityInStockUnitToPick;
    private _getQuantityInPackingUnitToPick;
    private _getPickTicketLine;
    private _getProductSite;
    private _getUnitDestinations;
    private _getTransaction;
    private _getLastLine;
    private _getShortage;
    private _getLastTicket;
    private _initTechnicalProperties;
    private _onRowClick;
    private _fieldsManagement;
    private onChangeBody;
    private _lotManagement;
    private _miscellaneousFieldsManagement;
    private _serialNumberManagement;
    private _getQuantityInPackingUnitDestination;
    private _getQuantityInStockUnitDestination;
    private _getAvailableQuantityInPackingUnit;
    private _getAvailableQuantityInStockUnit;
    private _getPackingUnitToStockUnitConversionFactorDestination;
    private _getPackingUnitDestination;
    private _calculateEndingSerialNumber;
    private _isSerialNumberAllocated;
    private _getStockStatus;
    private onChangeLot;
    private _processPickPicket;
    private _callProcessPickAPI;
}
export {};
//# sourceMappingURL=mobile-pick-ticket-view-pick-ticket-line-global.d.ts.map