import { GraphApi } from '@sage/x3-stock-api';
import * as ui from '@sage/xtrem-ui';
export declare class MobilePickTicketViewPickTicketLine extends ui.Page<GraphApi> {
    private _notifier;
    private _allPicks;
    private _pickLines;
    private _productSite;
    private _product;
    private _unitsOfMeasure;
    private _lotManagementMode;
    private _serialNumberManagementMode;
    private _stockManagementMode;
    private _isLocationManaged;
    private _isLicensePlateNumberManaged;
    private _isNegativeStockAuthorized;
    private _mobileSettings;
    private _unitStockNumberOfDecimals;
    currentPick: number;
    confirmedPicks: number;
    numberOfPicks: number;
    newPick: boolean;
    shortPick: boolean;
    private static readonly TRANSACTION_KEY;
    private static readonly DESTINATION_KEY;
    private static readonly DESTINATION_DISPLAY_KEY;
    private static readonly PICK_LIST_KEY;
    private static readonly PICK_TICKET_KEY;
    private static readonly PICK_TICKET_LINE_KEY;
    private static readonly PICK_TICKET_LINE_TEXT;
    stockSite: ui.fields.Text;
    transaction: ui.fields.Text;
    pickList: ui.fields.Text;
    pickButton: ui.PageAction;
    nextButton: ui.PageAction;
    shortageButton: ui.PageAction;
    chooseStockButton: ui.PageAction;
    mainSection: ui.containers.Section;
    detailBlock: ui.containers.Block;
    stockPickedBlock: ui.containers.Block;
    destinationBlock: ui.containers.Block;
    pickTicket: ui.fields.Text;
    pickTicketLine: ui.fields.Text;
    product: ui.fields.Text;
    localizedDescription1: ui.fields.Text;
    displayQuantityToBePicked: ui.fields.Text;
    textQuantityToBePicked: ui.fields.Text;
    displayQuantityPicked: ui.fields.Text;
    quantityToPick: ui.fields.Numeric;
    quantityPicked: ui.fields.Numeric;
    packingUnit: ui.fields.DropdownList;
    quantityInPackingUnit: ui.fields.Numeric;
    packingUnitToStockUnitConversionFactor: ui.fields.Numeric;
    currentPackingUnitCode: ui.fields.Text;
    stockUnit: ui.fields.Text;
    quantityInStockUnit: ui.fields.Numeric;
    licensePlateNumber: ui.fields.Text;
    location: ui.fields.Reference;
    lot: ui.fields.Reference;
    sublot: ui.fields.Reference;
    serialNumber: ui.fields.Reference;
    serialNumberReceived: ui.fields.Reference;
    status: ui.fields.Select;
    identifier1: ui.fields.Text;
    identifier2: ui.fields.Text;
    destinationLocation: ui.fields.Reference;
    sourcePickTicketType: ui.fields.Text;
    sourcePickTicket: ui.fields.Text;
    sourcePickTicketLine: ui.fields.Numeric;
    sourcePickTicketSequenceNumber: ui.fields.Numeric;
    sourcePickTicketSubcontractType: ui.fields.Numeric;
    subcontractReorderLocation: ui.fields.Text;
    customBoolean: ui.fields.Checkbox;
    customDecimal: ui.fields.Numeric;
    customString: ui.fields.Text;
    customDate: ui.fields.Date;
    private _disablePage;
    private _init;
    private _initTicketLine;
    private _initUnits;
    private _nextPick;
    private _createNewPick;
    private _computeQuantityMax;
    private _displayPick;
    private _updatePickFromPage;
    private _validateStock;
    private _checkStockQuantity;
    private _readProductSiteData;
    private _readProductData;
    private _getStockStatus;
    private _getShortage;
    private onSubmit;
    private _callProcessPickAPI;
}
//# sourceMappingURL=mobile-pick-ticket-view-pick-ticket-line.d.ts.map