// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/index.d.ts
declare module '@sage/x3-sales-data/index' {
	export * from '@sage/x3-sales-data/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/index.d.ts
declare module '@sage/x3-sales-data/lib/index' {
	export * as enums from '@sage/x3-sales-data/lib/enums/index';
	export * as nodeExtensions from '@sage/x3-sales-data/lib/node-extensions/index';
	export * as nodes from '@sage/x3-sales-data/lib/nodes/index';
	export * as serviceOptions from '@sage/x3-sales-data/lib/service-options/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/service-options/index.d.ts
declare module '@sage/x3-sales-data/lib/service-options/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/nodes/sales-return-type.d.ts
declare module '@sage/x3-sales-data/lib/nodes/sales-return-type' {
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class SalesReturnType extends Node {
	    readonly code: Promise<string>;
	    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=sales-return-type.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/nodes/sales-quote-type.d.ts
declare module '@sage/x3-sales-data/lib/nodes/sales-quote-type' {
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class SalesQuoteType extends Node {
	    readonly code: Promise<string>;
	    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=sales-quote-type.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/nodes/sales-price-reason.d.ts
declare module '@sage/x3-sales-data/lib/nodes/sales-price-reason' {
	import { Node, integer } from '@sage/xtrem-core';
	export class SalesPriceReason extends Node {
	    readonly code: Promise<integer | null>;
	    readonly localizedDescription: Promise<string>;
	}
	//# sourceMappingURL=sales-price-reason.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/nodes/sales-order-type.d.ts
declare module '@sage/x3-sales-data/lib/nodes/sales-order-type' {
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class SalesOrderType extends Node {
	    readonly code: Promise<string>;
	    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=sales-order-type.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/nodes/sales-invoice-type.d.ts
declare module '@sage/x3-sales-data/lib/nodes/sales-invoice-type' {
	import * as sageX3InvoicingData from '@sage/x3-invoicing-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class SalesInvoiceType extends Node {
	    readonly code: Promise<string>;
	    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly invoiceCategory: Promise<sageX3InvoicingData.enums.InvoiceType | null>;
	}
	//# sourceMappingURL=sales-invoice-type.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/nodes/sales-delivery-type.d.ts
declare module '@sage/x3-sales-data/lib/nodes/sales-delivery-type' {
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class SalesDeliveryType extends Node {
	    readonly code: Promise<string>;
	    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=sales-delivery-type.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/nodes/product-sales.d.ts
declare module '@sage/x3-sales-data/lib/nodes/product-sales' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3PhysicalFlowsData from '@sage/x3-physical-flows-data';
	import { Node, Reference, date, decimal, TextStream } from '@sage/xtrem-core';
	export class ProductSales extends Node {
	    readonly product: Reference<sageX3MasterData.nodes.Product>;
	    readonly substitutionProduct: Reference<sageX3MasterData.nodes.Product | null>;
	    readonly substitutionDate: Promise<date | null>;
	    readonly productSalesTextKey: Promise<string>;
	    readonly productPickingTextKey: Promise<string>;
	    readonly packaging: Reference<sageX3PhysicalFlowsData.nodes.Packaging | null>;
	    readonly packagingCapacity: Promise<decimal | null>;
	    readonly basePrice: Promise<decimal | null>;
	    readonly _productPickingText: Reference<sageX3MasterData.nodes.CommonText | null>;
	    readonly _productSalesText: Reference<sageX3MasterData.nodes.CommonText | null>;
	    readonly productPickingText: Promise<TextStream>;
	    readonly productSalesText: Promise<TextStream>;
	}
	//# sourceMappingURL=product-sales.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/nodes/index.d.ts
declare module '@sage/x3-sales-data/lib/nodes/index' {
	export * from '@sage/x3-sales-data/lib/nodes/product-sales';
	export * from '@sage/x3-sales-data/lib/nodes/sales-delivery-type';
	export * from '@sage/x3-sales-data/lib/nodes/sales-invoice-type';
	export * from '@sage/x3-sales-data/lib/nodes/sales-order-type';
	export * from '@sage/x3-sales-data/lib/nodes/sales-price-reason';
	export * from '@sage/x3-sales-data/lib/nodes/sales-quote-type';
	export * from '@sage/x3-sales-data/lib/nodes/sales-return-type';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/node-extensions/ship-to-customer-address-extension.d.ts
declare module '@sage/x3-sales-data/lib/node-extensions/ship-to-customer-address-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3SalesData from '@sage/x3-sales-data/lib/index';
	import { NodeExtension } from '@sage/xtrem-core';
	export class ShipToCustomerAddressExtension extends NodeExtension<sageX3MasterData.nodes.ShipToCustomerAddress> {
	    readonly routeCode: Promise<sageX3SalesData.enums.RouteCode | null>;
	    readonly deliveryPriority: Promise<sageX3SalesData.enums.DeliveryPriority | null>;
	}
	declare module '@sage/x3-master-data/lib/nodes/ship-to-customer-address' {
	    interface ShipToCustomerAddress extends ShipToCustomerAddressExtension {
	    }
	}
	//# sourceMappingURL=ship-to-customer-address-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/node-extensions/product-extension.d.ts
declare module '@sage/x3-sales-data/lib/node-extensions/product-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3PhysicalFlowsData from '@sage/x3-physical-flows-data';
	import { NodeExtension, Reference, decimal, TextStream, date } from '@sage/xtrem-core';
	import * as sageX3SalesData from '@sage/x3-sales-data/lib/index';
	export class ProductExtension extends NodeExtension<sageX3MasterData.nodes.Product> {
	    readonly _productSales: Reference<sageX3SalesData.nodes.ProductSales | null>;
	    readonly basePrice: Promise<decimal | null>;
	    readonly packaging: Reference<sageX3PhysicalFlowsData.nodes.Packaging | null>;
	    readonly packagingCapacity: Promise<decimal | null>;
	    readonly productPickingText: Promise<TextStream>;
	    readonly productSalesText: Promise<TextStream>;
	    readonly substitutionDate: Promise<date | null>;
	    readonly substitutionProduct: Reference<sageX3MasterData.nodes.Product | null>;
	}
	declare module '@sage/x3-master-data/lib/nodes/product' {
	    interface Product extends ProductExtension {
	    }
	}
	//# sourceMappingURL=product-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/node-extensions/index.d.ts
declare module '@sage/x3-sales-data/lib/node-extensions/index' {
	export * from '@sage/x3-sales-data/lib/node-extensions/customer-invoice-header-extension';
	export * from '@sage/x3-sales-data/lib/node-extensions/product-extension';
	export * from '@sage/x3-sales-data/lib/node-extensions/ship-to-customer-address-extension';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/node-extensions/customer-invoice-header-extension.d.ts
declare module '@sage/x3-sales-data/lib/node-extensions/customer-invoice-header-extension' {
	import * as sageX3InvoicingData from '@sage/x3-invoicing-data';
	import { NodeExtension, Reference } from '@sage/xtrem-core';
	import * as sageX3SalesData from '@sage/x3-sales-data/lib/index';
	export class CustomerInvoiceHeaderExtension extends NodeExtension<sageX3InvoicingData.nodes.CustomerInvoiceHeader> {
	    readonly invoiceType: Reference<sageX3SalesData.nodes.SalesInvoiceType | null>;
	}
	declare module '@sage/x3-invoicing-data/lib/nodes/customer-invoice-header' {
	    interface CustomerInvoiceHeader extends CustomerInvoiceHeaderExtension {
	    }
	}
	//# sourceMappingURL=customer-invoice-header-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/enums/route-code.d.ts
declare module '@sage/x3-sales-data/lib/enums/route-code' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum RouteCodeEnum {
	    routeCode1 = 1,
	    routeCode2 = 2,
	    routeCode3 = 3,
	    routeCode4 = 4
	}
	export interface RouteCode$EnumInterface {
	    routeCode1: 1;
	    routeCode2: 2;
	    routeCode3: 3;
	    routeCode4: 4;
	}
	export type RouteCode = keyof RouteCode$EnumInterface;
	export const routeCodeDatatype: X3EnumDataType<keyof RouteCode$EnumInterface, unknown>;
	//# sourceMappingURL=route-code.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/enums/line-type.d.ts
declare module '@sage/x3-sales-data/lib/enums/line-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum LineTypeEnum {
	    normal = 1,
	    fixedKit = 2,
	    kitComponent = 3,
	    kitOption = 4,
	    kitVariant = 5,
	    flexKit = 6,
	    bomComponent = 7,
	    bomOption = 8,
	    bomVariant = 9,
	    subcontracted = 10,
	    service = 11,
	    suppliedMaterial = 12,
	    fixedAmountService = 13
	}
	export interface LineType$EnumInterface {
	    normal: 1;
	    fixedKit: 2;
	    kitComponent: 3;
	    kitOption: 4;
	    kitVariant: 5;
	    flexKit: 6;
	    bomComponent: 7;
	    bomOption: 8;
	    bomVariant: 9;
	    subcontracted: 10;
	    service: 11;
	    suppliedMaterial: 12;
	    fixedAmountService: 13;
	}
	export type LineType = keyof LineType$EnumInterface;
	export const lineTypeDatatype: X3EnumDataType<keyof LineType$EnumInterface, unknown>;
	//# sourceMappingURL=line-type.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/enums/index.d.ts
declare module '@sage/x3-sales-data/lib/enums/index' {
	export * from '@sage/x3-sales-data/lib/enums/delivery-priority';
	export * from '@sage/x3-sales-data/lib/enums/line-type';
	export * from '@sage/x3-sales-data/lib/enums/route-code';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-sales-data/build/lib/enums/delivery-priority.d.ts
declare module '@sage/x3-sales-data/lib/enums/delivery-priority' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum DeliveryPriorityEnum {
	    normal = 1,
	    urgent = 2,
	    critical = 3
	}
	export interface DeliveryPriority$EnumInterface {
	    normal: 1;
	    urgent: 2;
	    critical: 3;
	}
	export type DeliveryPriority = keyof DeliveryPriority$EnumInterface;
	export const deliveryPriorityDatatype: X3EnumDataType<keyof DeliveryPriority$EnumInterface, unknown>;
	//# sourceMappingURL=delivery-priority.d.ts.map
}
declare module '@sage/x3-sales-data' {
	export * from '@sage/x3-sales-data/index';
}
