// From file: /agent/_work/1/s/x3-services/shared/x3-physical-flows-data/build/index.d.ts
declare module '@sage/x3-physical-flows-data/index' {
	export * from '@sage/x3-physical-flows-data/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-physical-flows-data/build/lib/index.d.ts
declare module '@sage/x3-physical-flows-data/lib/index' {
	export * as enums from '@sage/x3-physical-flows-data/lib/enums/index';
	export * as nodeExtensions from '@sage/x3-physical-flows-data/lib/node-extensions/index';
	export * as nodes from '@sage/x3-physical-flows-data/lib/nodes/index';
	export * as serviceOptions from '@sage/x3-physical-flows-data/lib/service-options/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-physical-flows-data/build/lib/service-options/index.d.ts
declare module '@sage/x3-physical-flows-data/lib/service-options/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-physical-flows-data/build/lib/nodes/packaging.d.ts
declare module '@sage/x3-physical-flows-data/lib/nodes/packaging' {
	import { Node } from '@sage/xtrem-core';
	export class Packaging extends Node {
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=packaging.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-physical-flows-data/build/lib/nodes/intrastat-transaction-nature.d.ts
declare module '@sage/x3-physical-flows-data/lib/nodes/intrastat-transaction-nature' {
	import * as sageX3Structure from '@sage/x3-structure';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, decimal } from '@sage/xtrem-core';
	export class IntrastatTransactionNature extends Node {
	    readonly code: Promise<string>;
	    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly groupOfCompany: Reference<sageX3Structure.nodes.SiteGroupings | null>;
	    readonly valueStock: Promise<boolean>;
	    readonly active: Promise<boolean>;
	    readonly alpha1: Promise<string>;
	    readonly alpha2: Promise<string>;
	    readonly numeric1: Promise<decimal | null>;
	    readonly numeric2: Promise<decimal | null>;
	}
	//# sourceMappingURL=intrastat-transaction-nature.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-physical-flows-data/build/lib/nodes/intrastat-statistical-rule.d.ts
declare module '@sage/x3-physical-flows-data/lib/nodes/intrastat-statistical-rule' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3Structure from '@sage/x3-structure';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, decimal } from '@sage/xtrem-core';
	export class IntrastatStatisticalRule extends Node {
	    readonly code: Promise<string>;
	    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly physicalFlow: Promise<sageX3MasterData.enums.RuleFlow | null>;
	    readonly valueStock: Promise<boolean>;
	    readonly alpha1: Promise<string>;
	    readonly alpha2: Promise<string>;
	    readonly numeric1: Promise<decimal | null>;
	    readonly numeric2: Promise<decimal | null>;
	    readonly groupOfCompany: Reference<sageX3Structure.nodes.SiteGroupings | null>;
	    readonly active: Promise<boolean>;
	}
	//# sourceMappingURL=intrastat-statistical-rule.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-physical-flows-data/build/lib/nodes/index.d.ts
declare module '@sage/x3-physical-flows-data/lib/nodes/index' {
	export * from '@sage/x3-physical-flows-data/lib/nodes/intrastat-statistical-rule';
	export * from '@sage/x3-physical-flows-data/lib/nodes/intrastat-transaction-nature';
	export * from '@sage/x3-physical-flows-data/lib/nodes/packaging';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-physical-flows-data/build/lib/node-extensions/supplier-invoice-header-extension.d.ts
declare module '@sage/x3-physical-flows-data/lib/node-extensions/supplier-invoice-header-extension' {
	import * as sageX3InvoicingData from '@sage/x3-invoicing-data';
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { NodeExtension, Reference } from '@sage/xtrem-core';
	import * as sageX3PhysicalFlowsData from '@sage/x3-physical-flows-data/lib/index';
	export class SupplierInvoiceHeaderExtension extends NodeExtension<sageX3InvoicingData.nodes.SupplierInvoiceHeader> {
	    readonly intrastatTransactionNature: Reference<sageX3PhysicalFlowsData.nodes.IntrastatTransactionNature | null>;
	    readonly intrastatStatisticalRule: Reference<sageX3PhysicalFlowsData.nodes.IntrastatStatisticalRule | null>;
	    readonly intrastatTransportMode: Promise<sageX3MasterData.enums.IntrastatTransportMode | null>;
	}
	declare module '@sage/x3-invoicing-data/lib/nodes/supplier-invoice-header' {
	    interface SupplierInvoiceHeader extends SupplierInvoiceHeaderExtension {
	    }
	}
	//# sourceMappingURL=supplier-invoice-header-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-physical-flows-data/build/lib/node-extensions/product-category-extension.d.ts
declare module '@sage/x3-physical-flows-data/lib/node-extensions/product-category-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { NodeExtension, Reference } from '@sage/xtrem-core';
	import * as sageX3PhysicalFlowsData from '@sage/x3-physical-flows-data/lib/index';
	export class ProductCategoryExtension extends NodeExtension<sageX3MasterData.nodes.ProductCategory> {
	    readonly packaging: Reference<sageX3PhysicalFlowsData.nodes.Packaging | null>;
	}
	declare module '@sage/x3-master-data/lib/nodes/product-category' {
	    interface ProductCategory extends ProductCategoryExtension {
	    }
	}
	//# sourceMappingURL=product-category-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-physical-flows-data/build/lib/node-extensions/index.d.ts
declare module '@sage/x3-physical-flows-data/lib/node-extensions/index' {
	export * from '@sage/x3-physical-flows-data/lib/node-extensions/customer-product-extension';
	export * from '@sage/x3-physical-flows-data/lib/node-extensions/product-category-extension';
	export * from '@sage/x3-physical-flows-data/lib/node-extensions/supplier-invoice-header-extension';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-physical-flows-data/build/lib/node-extensions/customer-product-extension.d.ts
declare module '@sage/x3-physical-flows-data/lib/node-extensions/customer-product-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { NodeExtension, Reference, decimal } from '@sage/xtrem-core';
	import * as sageX3PhysicalFlowsData from '@sage/x3-physical-flows-data/lib/index';
	export class CustomerProductExtension extends NodeExtension<sageX3MasterData.nodes.CustomerProduct> {
	    readonly packaging: Reference<sageX3PhysicalFlowsData.nodes.Packaging | null>;
	    readonly packagingCapacity: Promise<decimal | null>;
	}
	declare module '@sage/x3-master-data/lib/nodes/customer-product' {
	    interface CustomerProduct extends CustomerProductExtension {
	    }
	}
	//# sourceMappingURL=customer-product-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-physical-flows-data/build/lib/enums/index.d.ts
declare module '@sage/x3-physical-flows-data/lib/enums/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
declare module '@sage/x3-physical-flows-data' {
	export * from '@sage/x3-physical-flows-data/index';
}
