// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/index.d.ts
declare module '@sage/x3-manufacturing-data/index' {
	export * from '@sage/x3-manufacturing-data/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/index.d.ts
declare module '@sage/x3-manufacturing-data/lib/index' {
	export * as enums from '@sage/x3-manufacturing-data/lib/enums/index';
	export * as nodeExtensions from '@sage/x3-manufacturing-data/lib/node-extensions/index';
	export * as nodes from '@sage/x3-manufacturing-data/lib/nodes/index';
	export * as serviceOptions from '@sage/x3-manufacturing-data/lib/service-options/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/service-options/index.d.ts
declare module '@sage/x3-manufacturing-data/lib/service-options/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/work-center.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/work-center' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, decimal, integer } from '@sage/xtrem-core';
	import * as sageX3ManufacturingData from '@sage/x3-manufacturing-data/lib/index';
	export class WorkCenter extends Node {
	    readonly code: Promise<string>;
	    readonly manufacturingSite: Reference<sageX3System.nodes.Site>;
	    readonly workCenterGroup: Reference<sageX3ManufacturingData.nodes.WorkCenterGroup>;
	    readonly costingDimension: Promise<string>;
	    readonly weeklyStructure: Reference<sageX3MasterData.nodes.WeeklyStructure>;
	    readonly efficiencyInPercentage: Promise<decimal | null>;
	    readonly shrinkageInPercentage: Promise<decimal | null>;
	    readonly numberOfResources: Promise<integer | null>;
	    readonly automaticClosingPercentage: Promise<decimal | null>;
	    readonly qualificationLevel: Promise<string>;
	    readonly totalExpectedTimeInHours: Promise<decimal | null>;
	    readonly totalTimeCompleteInHours: Promise<decimal | null>;
	    readonly isConstraint: Promise<boolean>;
	    readonly isRccp: Promise<boolean>;
	    readonly isRunDuringEmployeeBreak: Promise<boolean>;
	    readonly description: Promise<string>;
	}
	//# sourceMappingURL=work-center.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/work-center-group.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/work-center-group' {
	import { Node } from '@sage/xtrem-core';
	export class WorkCenterGroup extends Node {
	    readonly code: Promise<string>;
	    readonly description: Promise<string>;
	}
	//# sourceMappingURL=work-center-group.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/team.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/team' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, integer, Reference, decimal, Collection } from '@sage/xtrem-core';
	import * as sageX3ManufacturingData from '@sage/x3-manufacturing-data/lib/index';
	export class Team extends Node {
	    readonly teamId: Promise<integer | null>;
	    readonly description: Promise<string>;
	    readonly employeeShortDesignation: Promise<string>;
	    readonly teamType: Promise<sageX3MasterData.enums.EmployeeType>;
	    readonly userCode: Reference<sageX3System.nodes.User | null>;
	    readonly laborRate: Promise<decimal | null>;
	    readonly isActive: Promise<boolean>;
	    readonly site: Reference<sageX3System.nodes.Site | null>;
	    readonly workCenter: Promise<string>;
	    readonly workCenterGroup: Reference<sageX3ManufacturingData.nodes.WorkCenterGroup | null>;
	    readonly teamEmployees: Collection<sageX3ManufacturingData.nodes.TeamEmployee>;
	}
	//# sourceMappingURL=team.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/team-employee.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/team-employee' {
	import { Node, Reference, integer, date } from '@sage/xtrem-core';
	import * as sageX3ManufacturingData from '@sage/x3-manufacturing-data/lib/index';
	export class TeamEmployee extends Node {
	    readonly teamId: Reference<sageX3ManufacturingData.nodes.EmployeeId>;
	    readonly teamLine: Promise<integer>;
	    readonly employeeId: Reference<sageX3ManufacturingData.nodes.EmployeeId>;
	    readonly startDate: Promise<date | null>;
	}
	//# sourceMappingURL=team-employee.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/stock-journal-import.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/stock-journal-import' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
	import * as sageX3StockData from '@sage/x3-stock-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, date, integer, decimal } from '@sage/xtrem-core';
	export class StockJournalImport extends Node {
	    readonly stockSite: Reference<sageX3System.nodes.Site>;
	    readonly isUpdated: Promise<boolean>;
	    readonly product: Reference<sageX3MasterData.nodes.Product>;
	    readonly effectiveDate: Promise<date | null>;
	    readonly sequence: Promise<integer | null>;
	    readonly index: Promise<integer | null>;
	    readonly fifoDate: Promise<date | null>;
	    readonly fifoTime: Promise<string>;
	    readonly fifoTier: Promise<decimal | null>;
	    readonly owner: Promise<string>;
	    readonly lot: Promise<string>;
	    readonly sublot: Promise<string>;
	    readonly supplierLot: Promise<string>;
	    readonly location: Reference<sageX3StockData.nodes.Location | null>;
	    readonly warehouse: Reference<sageX3StockData.nodes.Warehouse | null>;
	    readonly serialNumber: Promise<string>;
	    readonly transactionType: Promise<sageX3StockData.enums.StockTransactionType | null>;
	    readonly stockMovementGroup: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly movementDescription: Promise<string>;
	    readonly project: Reference<sageX3ProjectManagementData.nodes.ProjectLink | null>;
	    readonly businessPartner: Reference<sageX3MasterData.nodes.BusinessPartner | null>;
	    readonly documentType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly documentId: Promise<string>;
	    readonly documentLine: Promise<integer | null>;
	    readonly documentTypeOriginal: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly documentIdOriginal: Promise<string>;
	    readonly documentLineOriginal: Promise<integer | null>;
	    readonly documentSequenceOriginal: Promise<integer | null>;
	    readonly adjustementType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly adjustementDocumentId: Promise<string>;
	    readonly adjustementDocumentLineId: Promise<integer | null>;
	    readonly lotCustomField1: Promise<string>;
	    readonly lotCustomField2: Promise<string>;
	    readonly lotCustomField3: Promise<decimal | null>;
	    readonly lotCustomField4: Promise<date | null>;
	    readonly packingUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
	    readonly quantityInPackingUnit: Promise<decimal | null>;
	    readonly packingUnitToStockUnitConversionFactor: Promise<decimal | null>;
	    readonly quantityInStockUnit: Promise<decimal | null>;
	    readonly stockUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
	    readonly orginialPackingUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
	    readonly originalPackingUnitToStockUnitConversionFactor: Promise<decimal | null>;
	    readonly orderAmount: Promise<decimal | null>;
	    readonly movementValue: Promise<decimal | null>;
	    readonly orderVariance: Promise<decimal | null>;
	    readonly movementVariance: Promise<decimal | null>;
	    readonly orderCost: Promise<decimal | null>;
	    readonly valuedCost: Promise<decimal | null>;
	    readonly costSource: Promise<sageX3StockData.enums.CostSource | null>;
	    readonly secondaryMovementValue: Promise<decimal | null>;
	    readonly secondaryMovementVariance: Promise<decimal | null>;
	    readonly secondaryValuedCost: Promise<decimal | null>;
	    readonly secondaryCostSource: Promise<sageX3StockData.enums.CostSource | null>;
	    readonly isAdjusted: Promise<boolean>;
	    readonly varianceNotAbsorbed: Promise<decimal | null>;
	    readonly secondaryVarianceNotAbsorbed: Promise<decimal | null>;
	    readonly expirationDate: Promise<date | null>;
	    readonly status: Reference<sageX3StockData.nodes.StockStatus>;
	    readonly potency: Promise<decimal | null>;
	    readonly internationalUnitPotency: Promise<decimal | null>;
	    readonly activQuantity: Promise<decimal | null>;
	    readonly qualityAnalysisRequestId: Promise<string>;
	    readonly isPrinted: Promise<boolean>;
	    readonly isAdjustedMovement: Promise<boolean>;
	    readonly labelFormat: Reference<sageX3System.nodes.GenericPrintReport | null>;
	    readonly numberOfLabels: Promise<integer | null>;
	    readonly financialSite: Reference<sageX3System.nodes.Site | null>;
	    readonly hasStockInterfacePosted: Promise<boolean>;
	    readonly hasStockAccountingPosted: Promise<boolean>;
	    readonly hasStockAccountingPostedSecondary: Promise<boolean>;
	    readonly identifier1: Promise<string>;
	    readonly identifier2: Promise<string>;
	    readonly intercompany: Promise<boolean>;
	    readonly useByDate: Promise<date | null>;
	    readonly recontrolDate: Promise<date | null>;
	    readonly accountingDate: Promise<date | null>;
	    readonly majorVersion: Reference<sageX3StockData.nodes.MajorVersionStatus | null>;
	    readonly minorVersion: Promise<string>;
	    readonly startingSerialNumber: Promise<string>;
	    readonly stockCustomField1: Promise<string>;
	    readonly endingSerialNumber: Promise<string>;
	    readonly stockCustomField2: Promise<string>;
	    readonly licensePlateNumber: Reference<sageX3StockData.nodes.LicensePlateNumber | null>;
	    readonly expirationDateString: Promise<string>;
	}
	//# sourceMappingURL=stock-journal-import.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/index.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/index' {
	export * from '@sage/x3-manufacturing-data/lib/nodes/assignment';
	export * from '@sage/x3-manufacturing-data/lib/nodes/employee-id';
	export * from '@sage/x3-manufacturing-data/lib/nodes/stock-journal-import';
	export * from '@sage/x3-manufacturing-data/lib/nodes/team-employee';
	export * from '@sage/x3-manufacturing-data/lib/nodes/team';
	export * from '@sage/x3-manufacturing-data/lib/nodes/work-center-group';
	export * from '@sage/x3-manufacturing-data/lib/nodes/work-center';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/employee-id.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/employee-id' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
	import * as sageX3ManufacturingData from '@sage/x3-manufacturing-data/lib/index';
	export class EmployeeId extends Node {
	    readonly teamId: Promise<integer | null>;
	    readonly description: Promise<string>;
	    readonly employeeShortDesignation: Promise<string>;
	    readonly teamType: Promise<sageX3MasterData.enums.EmployeeType>;
	    readonly userCode: Reference<sageX3System.nodes.User | null>;
	    readonly laborRate: Promise<decimal | null>;
	    readonly isActive: Promise<boolean>;
	    readonly site: Reference<sageX3System.nodes.Site | null>;
	    readonly workCenter: Promise<string>;
	    readonly workCenterGroup: Reference<sageX3ManufacturingData.nodes.WorkCenterGroup | null>;
	}
	//# sourceMappingURL=employee-id.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/assignment.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/assignment' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3StockData from '@sage/x3-stock-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, integer, decimal } from '@sage/xtrem-core';
	import * as sageX3ManufacturingData from '@sage/x3-manufacturing-data/lib/index';
	export class Assignment extends Node {
	    readonly _auuid: Promise<string>;
	    readonly storageSite: Reference<sageX3System.nodes.Site>;
	    readonly product: Reference<sageX3MasterData.nodes.ProductSite>;
	    readonly requestType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly demandNumber: Promise<string>;
	    readonly demandLineNumber: Promise<integer | null>;
	    readonly demandSequence: Promise<integer | null>;
	    readonly demandOrderType: Promise<sageX3ManufacturingData.enums.WorkOrderType | null>;
	    readonly demandOrderStatus: Promise<sageX3ManufacturingData.enums.StatusInProgress | null>;
	    readonly resourceType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly resourceNumber: Promise<string>;
	    readonly resourceLineNumber: Promise<integer | null>;
	    readonly resourceSequence: Promise<integer | null>;
	    readonly resourceOrderType: Promise<sageX3ManufacturingData.enums.WorkOrderType | null>;
	    readonly resourceOrderStatus: Promise<sageX3ManufacturingData.enums.StatusInProgress | null>;
	    readonly quantityAssigned: Promise<decimal | null>;
	}
	//# sourceMappingURL=assignment.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/node-extensions/overhead-extension.d.ts
declare module '@sage/x3-manufacturing-data/lib/node-extensions/overhead-extension' {
	import * as sageX3StockData from '@sage/x3-stock-data';
	import * as sageX3ManufacturingData from '@sage/x3-manufacturing-data/lib/index';
	import { NodeExtension } from '@sage/xtrem-core';
	export class OverheadExtension extends NodeExtension<sageX3StockData.nodes.Overhead> {
	    readonly calculationMethod: Promise<sageX3ManufacturingData.enums.OverheadCalculationMethod | null>;
	    readonly overheadApplicationMode: Promise<sageX3ManufacturingData.enums.OverheadApplicationMethod | null>;
	    readonly formulaBase: Promise<sageX3ManufacturingData.enums.BaseFormulaToCalculateCost | null>;
	}
	declare module '@sage/x3-stock-data/lib/nodes/overhead' {
	    interface Overhead extends OverheadExtension {
	    }
	}
	//# sourceMappingURL=overhead-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/node-extensions/index.d.ts
declare module '@sage/x3-manufacturing-data/lib/node-extensions/index' {
	export * from '@sage/x3-manufacturing-data/lib/node-extensions/overhead-extension';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/work-order-type.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/work-order-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum WorkOrderTypeEnum {
	    customerOrder = 1,
	    supplierOrder = 2,
	    subcontractedMaterial = 3,
	    subcontractedService = 4,
	    workOrder = 5,
	    materialRequirements = 6,
	    transferOrder = 7,
	    transferRequest = 8,
	    byProduct = 9,
	    miscellaneousRequests = 10,
	    miscellaneousResources = 11,
	    customerReservation = 12,
	    subcontractOrder = 13,
	    projectDemand = 14
	}
	export interface WorkOrderType$EnumInterface {
	    customerOrder: 1;
	    supplierOrder: 2;
	    subcontractedMaterial: 3;
	    subcontractedService: 4;
	    workOrder: 5;
	    materialRequirements: 6;
	    transferOrder: 7;
	    transferRequest: 8;
	    byProduct: 9;
	    miscellaneousRequests: 10;
	    miscellaneousResources: 11;
	    customerReservation: 12;
	    subcontractOrder: 13;
	    projectDemand: 14;
	}
	export type WorkOrderType = keyof WorkOrderType$EnumInterface;
	export const workOrderTypeDatatype: X3EnumDataType<keyof WorkOrderType$EnumInterface, unknown>;
	//# sourceMappingURL=work-order-type.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/work-center-type.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/work-center-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum WorkCenterTypeEnum {
	    machine = 1,
	    labour = 2,
	    subcontractor = 3
	}
	export interface WorkCenterType$EnumInterface {
	    machine: 1;
	    labour: 2;
	    subcontractor: 3;
	}
	export type WorkCenterType = keyof WorkCenterType$EnumInterface;
	export const workCenterTypeDatatype: X3EnumDataType<keyof WorkCenterType$EnumInterface, unknown>;
	//# sourceMappingURL=work-center-type.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/status-in-progress.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/status-in-progress' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum StatusInProgressEnum {
	    firm = 1,
	    planned = 2,
	    suggested = 3,
	    closed = 4
	}
	export interface StatusInProgress$EnumInterface {
	    firm: 1;
	    planned: 2;
	    suggested: 3;
	    closed: 4;
	}
	export type StatusInProgress = keyof StatusInProgress$EnumInterface;
	export const statusInProgressDatatype: X3EnumDataType<keyof StatusInProgress$EnumInterface, unknown>;
	//# sourceMappingURL=status-in-progress.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/overhead-calculation-method.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/overhead-calculation-method' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum OverheadCalculationMethodEnum {
	    cumulated = 1,
	    compound = 2
	}
	export interface OverheadCalculationMethod$EnumInterface {
	    cumulated: 1;
	    compound: 2;
	}
	export type OverheadCalculationMethod = keyof OverheadCalculationMethod$EnumInterface;
	export const overheadCalculationMethodDatatype: X3EnumDataType<keyof OverheadCalculationMethod$EnumInterface, unknown>;
	//# sourceMappingURL=overhead-calculation-method.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/overhead-application-method.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/overhead-application-method' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum OverheadApplicationMethodEnum {
	    stockReceipt = 1,
	    stockIssue = 2
	}
	export interface OverheadApplicationMethod$EnumInterface {
	    stockReceipt: 1;
	    stockIssue: 2;
	}
	export type OverheadApplicationMethod = keyof OverheadApplicationMethod$EnumInterface;
	export const overheadApplicationMethodDatatype: X3EnumDataType<keyof OverheadApplicationMethod$EnumInterface, unknown>;
	//# sourceMappingURL=overhead-application-method.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/operation-status.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/operation-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum OperationStatusEnum {
	    pending = 1,
	    previousOperationInProcess = 2,
	    previousOperationClosed = 3,
	    inProcess = 4,
	    closed = 5,
	    excluded = 6,
	    ordered = 7
	}
	export interface OperationStatus$EnumInterface {
	    pending: 1;
	    previousOperationInProcess: 2;
	    previousOperationClosed: 3;
	    inProcess: 4;
	    closed: 5;
	    excluded: 6;
	    ordered: 7;
	}
	export type OperationStatus = keyof OperationStatus$EnumInterface;
	export const operationStatusDatatype: X3EnumDataType<keyof OperationStatus$EnumInterface, unknown>;
	//# sourceMappingURL=operation-status.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/index.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/index' {
	export * from '@sage/x3-manufacturing-data/lib/enums/base-formula-to-calculate-cost';
	export * from '@sage/x3-manufacturing-data/lib/enums/operation-status';
	export * from '@sage/x3-manufacturing-data/lib/enums/overhead-application-method';
	export * from '@sage/x3-manufacturing-data/lib/enums/overhead-calculation-method';
	export * from '@sage/x3-manufacturing-data/lib/enums/status-in-progress';
	export * from '@sage/x3-manufacturing-data/lib/enums/work-center-type';
	export * from '@sage/x3-manufacturing-data/lib/enums/work-order-type';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/base-formula-to-calculate-cost.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/base-formula-to-calculate-cost' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum BaseFormulaToCalculateCostEnum {
	    amount = 1,
	    hoursOperationsOrQuantities = 2
	}
	export interface BaseFormulaToCalculateCost$EnumInterface {
	    amount: 1;
	    hoursOperationsOrQuantities: 2;
	}
	export type BaseFormulaToCalculateCost = keyof BaseFormulaToCalculateCost$EnumInterface;
	export const baseFormulaToCalculateCostDatatype: X3EnumDataType<keyof BaseFormulaToCalculateCost$EnumInterface, unknown>;
	//# sourceMappingURL=base-formula-to-calculate-cost.d.ts.map
}
declare module '@sage/x3-manufacturing-data' {
	export * from '@sage/x3-manufacturing-data/index';
}
